Fri Jul 27 06:50:14 CDT 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

	* TAO version 1.5.10 released.

Thu Jul 26 09:21:50 UTC 2007  Vadym Ridosh  <vridosh@prismtech.com>

        * tao/Strategies/DIOP_Connector.cpp:
        * tao/Strategies/DIOP_Acceptor.cpp:
          The previous attempt to fix potential memory leaks when
          connection handler is allocated but later code fails was
          not completely correct. Now it's fixed.

Tue Jul 24 20:38:50 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * COPYING: Updated this file to reflect 2007.

Wed Jul 25 08:00:23 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Oneway_Buffering/Oneway_Buffering_Admin.cpp:
          Fixed method signatures to resolve warnings on OpenVMS

Wed Jul 25 07:52:23 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Makefile.am:
          Added new UIPMC_Mcast_Connection_Handler files

Wed Jul 25 07:50:23 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/POA/Adapter_Activator/run_test.pl:
        * examples/POA/Default_Servant/run_test.pl:
        * examples/POA/DSI/run_test.pl:
        * examples/POA/Explicit_Activation/run_test.pl:
        * examples/POA/FindPOA/run_test.pl:
        * examples/POA/Loader/run_test.pl:
        * examples/POA/NewPOA/run_test.pl:
        * examples/POA/On_Demand_Activation/run_test.pl:
        * examples/POA/On_Demand_Loading/run_test.pl:
        * examples/POA/POA_BiDir/run_test.pl:
        * examples/POA/Reference_Counted_Servant/run_test.pl:
        * examples/POA/RootPOA/run_test.pl:
        * examples/POA/TIE/run_test.pl:
          Added support for VxWorks cross platform testing

Tue Jul 24 19:58:38 UTC 2007  Ciju John  <johnc at ociweb dot com>

        * tests/Bug_3000_Regression:
        * tests/Bug_3000_Regression/Bug_3000_Regression.mpc:
        * tests/Bug_3000_Regression/Callback.h:
        * tests/Bug_3000_Regression/Callback.cpp:
        * tests/Bug_3000_Regression/Makefile.am:
        * tests/Bug_3000_Regression/README:
        * tests/Bug_3000_Regression/Service.h:
        * tests/Bug_3000_Regression/Service.cpp:
        * tests/Bug_3000_Regression/Test.idl:
        * tests/Bug_3000_Regression/client.cpp:
        * tests/Bug_3000_Regression/run_test.pl:
        * tests/Bug_3000_Regression/rw.conf:
        * tests/Bug_3000_Regression/server.cpp:
          New regression test for Bug 3000 (Handle leak upon oneway
          invocation with RW wait startegy).

Tue Jul 24 18:13:23 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.cpp:
          Fixed compile problems related to my changes earlier today

Tue Jul 24 15:55:59 UTC 2007  Vadym Ridosh  <vridosh@prismtech.com>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.h:
          Fixed incorrect #include within Versioned namespace block.

Tue Jul 24 14:22:54 UTC 2007  Vadym Ridosh  <vridosh@prismtech.com>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Acceptor.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Acceptor.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connection_Handler.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Endpoint.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connector.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Endpoint.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Mcast_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Mcast_Connection_Handler.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.cpp:
          Fixed bug#3002 that was introduced with fix for bug#2925.
          Thanks to Daniel de Angelis Cordeiro < dcordeiro at gmail dot com >
          for reporting it. Fixed potential memory leaks in
          TAO_UIPMC_Acceptor::open_i and TAO_UIPMC_Connector::make_connection
          that could occur after connection handler is created and later
          code fails for any reason. Simplified connection handler.
          Added connection handler specific to Acceptor. Simplified the code
          in TAO_UIPMC_Profile::parse_string_i that was introduced with fix
          for bug#2377.

        * orbsvcs/tests/Bug_2377_Regression/run_test_ipv6.pl:
        * orbsvcs/tests/Bug_2377_Regression/run_test.pl:
        * orbsvcs/tests/Bug_2377_Regression/uipmc_test.cpp:
          Changed this test a bit so that it tests fix for bug#3002 as well.

Tue Jul 24 12:20:23 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Asynch_Queued_Message.h:
          Doxygen and const changes

        * tao/CDR.{h,cpp}:
          Added a get_version call that accepts a
          TAO_GIOP_Message_Version. Have to see if we can move
          this to the ACE CDR Streams (check bugzilla 3006 for
          more ideas)

        * tao/CSD_Framework/CSD_FW_Server_Request_Wrapper.cpp:
          Use the new get_version call on the cdr stream

        * tao/GIOP_Fragmentation_Strategy.h:
          Layout change

        * tao/GIOP_Message_Base.{h,cpp}:
          Use the new get_version call on the cdr stream. Changed
          parse_next_message to not require the ACE_Message_Block, it
          is already part of the TAO_Queued_Data. Also updated
          fragment_header_length to use TAO_GIOP_Message_Versin

        * tao/GIOP_Message_State.{h,cpp,inl}:
          The message size is really the payload size

        * tao/GIOP_Message_Version.{h,inl}:
          Added methods to retrieve version numbers in preparation of
          bugzilla 3006

        * tao/On_Demand_Fragmentation_Strategy.cpp:
          Use the new get_version call on the cdr stream

        * tao/Pluggable_Messaging.h:
          Updated to use TAO_GIOP_Message_Version

        * tao/Queued_Data.{h,cpp,inl}:
          Use TAO_GIOP_Message_State as member, changed version storage
          and inlined all constructors. This fixes bugzilla 2999

        * tao/Strategies/DIOP_Transport.cpp:
        * tao/Strategies/SHMIOP_Transport.cpp
        * tao/Transport.cpp:
          Updated for change of parse_next_message in GIOP Message Base

Tue Jul 24 10:38:23 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Queued_Data.{h,inl}:
          Made all members private and added inlined accessor methods. This
          makes it easier to change the members to a GIOP_Message_State
          instance. Added a set_state method that accepts a GIOP_Message_State
          instance

        * tao/GIOP_Message_Base.cpp:
        * tao/GIOP_Message_Base.h:
        * tao/Incoming_Message_Queue.cpp:
        * tao/Incoming_Message_Stack.inl:
        * tao/Strategies/DIOP_Transport.cpp:
        * tao/Strategies/SHMIOP_Transport.cpp:
        * tao/Transport.cpp:
          Updated for the changes to Queued_Data

        * tao/GIOP_Message_Base.cpp:
        * tao/Transport.cpp:
          Changed a few large if checks to a switch statement

        * tao/Queued_Message.h:
          No need to declare the list manipulation methods as virtual

Tue Jul 24 09:41:23 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Incoming_Message_Stack.{h,inl}:
          Made top method const

        * tao/GIOP.pidl:
          Added several enums as mentioned in the CORBA spec

        * tao/GIOP_Message_Base.{h,cpp}:
        * tao/GIOP_Message_State.{h,cpp,inl}:
          Moved message_type method to the state class, this one now
          converts an Octet to TAO_Pluggable_Message_Type

        * tao/Transport.cpp:
          Const changes

Tue Jul 24 08:17:23 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Queued_Data.{h,cpp,inl}:
          Moved TAO_Queued_Data to its own file

        * tao/Incoming_Message_Queue.{h,cpp,inl}:
        * tao/tao.mpc:
        * tao/Makefile.am:
        * tao/Incoming_Message_Stack.h:
          Updated because of move of TAO_Queued_Data

Tue Jul 24 08:02:23 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/IFRService/IFR_Service_Utils_T.cpp:
          Also BCB2007 needs the workaround in this file

Tue Jul 24 07:56:23 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/GIOP_Message_Base.{h,cpp}:
        * tao/ORB_Core.h:
          Laout changes

        * tao/Incoming_Message_Queue.{cpp,inl}:
          Mode constructor inline

        * tao/Incoming_Message_Stack.h:
          Fixed typo

Tue Jul 24 06:56:23 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Cubit/TAO/IDL_Cubit/iiop_lite.conf:
        * performance-tests/Cubit/TAO/IDL_Cubit/iiop_lite.conf.xml:
        * performance-tests/Cubit/TAO/IDL_Cubit/run_test_lite.pl:
        * performance-tests/Cubit/TAO/IDL_Cubit/uiop_lite.conf:
        * performance-tests/Cubit/TAO/IDL_Cubit/uiop_lite.conf.xml:
          Removed, lite protocols are not supported anymore

Mon Jul 23 19:38:23 UTC 2007  Wallace Zhang  <zhang_w@ociweb.com>

        * tao/Object_KeyC.cpp:
        * tao/diffs/Object_Key.diff:

          Fixed a warning in the WinCE VC8 debug build.

Mon Jul 23 13:19:19 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * NEWS:

          Added item about support for forward declared IDL structs
          and unions in the IFR loader.

Mon Jul 23 12:35:00 UTC 2007  Simon Massey  <sma@prismtech.com>

        * tests\OctetSeq\client.cpp:
        * tests\OctetSeq\server.cpp:
        * performance-tests\Protocols\distributor.cpp:
        * performance-tests\Protocols\receiver.cpp:
        * performance-tests\Protocols\sender.cpp:

          Add small delay to shutdown between run loop and destroy orb.

Mon Jul 23 12:21:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Muxed_TMS.{h,cpp}
        * tao/Transport_Mux_Strategy.{h,cpp}:
          Moved lock_ from base to derived class, no need to be in
          the base

Mon Jul 23 12:12:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Exclusive_TMS.h:
          Removed commented out code

        * tao/GIOP_Message_Base.cpp:
          Layout changes

        * tao/GIOP_Message_Generator_Parser_10.h:
        * tao/GIOP_Message_Generator_Parser_12.h:
          Reduced number of forward declarations

Mon Jul 23 11:58:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/IIOP_Acceptor.cpp:
          Const change

        * tao/Reply_Dispatcher.h:
          Reduced number of forward declarations

Mon Jul 23 11:36:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/GIOP_Message_Base.{h,cpp}:
          Removed parse_incoming_messages method and message_state_ member,
          both are not used at all

        * tao/GIOP_Message_State.{h,inl}:
          Removed reset method, it is not used anymore

Mon Jul 23 11:18:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/GIOP_Message_State.{h,cpp,inl}:
          Removed friend with GIOP_Message_Base and provided inline
          accessor methods. Removed missing_data_ member, it was not
          used at all

        * tao/GIOP_Message_Base.cpp:
          Use accessor methods of GIOP_Message_State because we are
          not a friend anymore

Mon Jul 23 09:02:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/GIOP_Message_Base.cpp:
        * tao/GIOP_Message_Generator_Parser_12.cpp:
        * tao/On_Demand_Fragmentation_Strategy.cpp:
          get_version doesn't have a return value anymore

Mon Jul 23 05:32:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Security/SL2_SecurityManager.cpp:
          Commented out non reachable code to resolve warnings
          on OpenVMS

Sun Jul 22 13:06:14 UTC 2007  Martin Corino <mcorino@remedy.nl>

        * tests/ORB_Local_Config/Two_DLL_ORB/Two_DLL_ORB.mpc:
          Added small verbatim section to make this test build on OpenVMS.

Fri Jul 20 15:03:14 UTC 2007  Vadym Ridosh  <vridosh@prismtech.com>

        * tao/Strategies/DIOP_Connector.cpp:
        * tao/Strategies/DIOP_Transport.cpp:
        * tao/Strategies/DIOP_Acceptor.cpp:
        * tao/Strategies/DIOP_Connection_Handler.h:
        * tao/Strategies/DIOP_Connection_Handler.cpp:
        * tao/Strategies/DIOP_Transport.h:
          Fixed potential memory leaks while DIOP_Connection_Handler
          is being created in DIOP_Acceptor::open_i and
          DIOP_Connector::make_connection. Made DIOP even more look
          like IIOP. Fixed warning genereated by MS VS in
          DIOP_Acceptor::parse_options.

Fri Jul 20 09:42:40 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/POA/Forwarding/*:
        * test/POA/Forwarding/*:
          Moved this example to tests

        * configure.ac
        * examples/POA/Makefile.am:
        * tests/POA/Makefile.am:
          Updated for change above

Thu Jul 19 20:01:40 UTC 2007  Adam Mitz  <mitza@ociweb.com>

        * tests/InterOp-Naming/INS_test_client.cpp:
        * tests/Param_Test/any.cpp:
        * tests/Param_Test/param_test_i.cpp:
        * tests/Typedef_String_Array/testImpl.cpp:

         Replaced size_t with CORBA::ULong in places where it is used to index
         CORBA sequences.  size_t is not 32-bit on all platforms.

Thu Jul 19 15:13:51 UTC 2007  Wallace Zhang  <zhang_w@ociweb.com>

        * NEWS:

          Updated with the disconnect fix.

        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushConsumer.cpp:

          Changed to use the newly added send_deletion_change() in the case of
          saving the topology with a deleting object in the disconnect callback.

        * orbsvcs/tests/Notify/Reconnecting/run_test.pl:

          Added the disconnect test on the supplier side too.

Thu Jul 19 11:52:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Strategies/SCIOP_Connection_Handler.{h,cpp}:
          Also removed the GIOP Message Lite flag from this class

Wed Jul 18 18:19:47 UTC 2007  Ossama Othman  <ossama_othman at symantec dot com>

        * tests/Bug_2084_Regression/tid_to_int.h (ACE_thread_t_to_integer_i):
        * tests/Bug_2084_Regression/tid_to_int.h (ACE_thread_t_to_integer_i):

          Fixed typo that circumvented the intermediate cast to an integer
          large enough to hold the thread ID pointer.

Wed Jul 18 14:36:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Strategies/UIOP_Acceptor.{h,cpp}:
          Fixed unused parameter warning

Wed Jul 18 12:40:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORBInitializer_Registry.cpp:
          Corrected comment

        * tao/ORBInitializer_Registry_Adapter.h:
          Fixed doxygen tags

        * tao/PI/ORBInitializer_Registry_Impl.cpp:
          Layout change

        * tao/BooleanSeq.pidl:
        * tao/CharSeq.pidl:
        * tao/CONV_FRAME.pidl:
        * tao/Current.pidl:
          Updated file header.

Wed Jul 18 12:06:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Acceptor.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Acceptor.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connector.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connector.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.h:
          Also removed GIOP_Message_Lite support

Wed Jul 18 09:55:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/HTIOP/HTIOP_Acceptor.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Acceptor_Impl.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Acceptor_Impl.h:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Completion_Handler.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connection_Handler.h:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connector.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connector_Impl.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connector_Impl.h:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Transport.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Transport.h:
        * orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Acceptor.cpp:
        * orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Acceptor.h:
        * orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Connection_Handler.h:
        * orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Connector.cpp:
        * orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Connector.h:
        * orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Transport.cpp:
        * orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Transport.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Acceptor.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connection_Handler.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connector.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Transport.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Transport.h:
        * tao/Acceptor_Impl.cpp:
        * tao/Acceptor_Impl.h:
        * tao/Connector_Impl.cpp:
        * tao/Connector_Impl.h:
        * tao/GIOP_Message_Base.cpp:
        * tao/GIOP_Message_Base.h:
        * tao/GIOP_Message_Generator_Parser.cpp:
        * tao/IIOP_Acceptor.cpp:
        * tao/IIOP_Acceptor.h:
        * tao/IIOP_Connection_Handler.cpp:
        * tao/IIOP_Connection_Handler.h:
        * tao/IIOP_Connector.cpp:
        * tao/IIOP_Connector.h:
        * tao/IIOP_Transport.cpp:
        * tao/IIOP_Transport.h:
        * tao/Makefile.am:
        * tao/ORB_Core.cpp:
        * tao/params.cpp:
        * tao/params.h:
        * tao/Strategies/COIOP_Acceptor.cpp:
        * tao/Strategies/COIOP_Acceptor.h:
        * tao/Strategies/COIOP_Connection_Handler.cpp:
        * tao/Strategies/COIOP_Connection_Handler.h:
        * tao/Strategies/COIOP_Connector.cpp:
        * tao/Strategies/COIOP_Connector.h:
        * tao/Strategies/COIOP_Transport.cpp:
        * tao/Strategies/COIOP_Transport.h:
        * tao/Strategies/DIOP_Acceptor.cpp:
        * tao/Strategies/DIOP_Acceptor.h:
        * tao/Strategies/DIOP_Connection_Handler.cpp:
        * tao/Strategies/DIOP_Connection_Handler.h:
        * tao/Strategies/DIOP_Connector.cpp:
        * tao/Strategies/DIOP_Connector.h:
        * tao/Strategies/DIOP_Transport.cpp:
        * tao/Strategies/DIOP_Transport.h:
        * tao/Strategies/SCIOP_Acceptor.cpp:
        * tao/Strategies/SCIOP_Acceptor.h:
        * tao/Strategies/SCIOP_Connector.cpp:
        * tao/Strategies/SCIOP_Connector.h:
        * tao/Strategies/SCIOP_Transport.cpp:
        * tao/Strategies/SCIOP_Transport.h:
        * tao/Strategies/SHMIOP_Acceptor.cpp:
        * tao/Strategies/SHMIOP_Acceptor.h:
        * tao/Strategies/SHMIOP_Connection_Handler.cpp:
        * tao/Strategies/SHMIOP_Connection_Handler.h:
        * tao/Strategies/SHMIOP_Connector.cpp:
        * tao/Strategies/SHMIOP_Connector.h:
        * tao/Strategies/SHMIOP_Transport.cpp:
        * tao/Strategies/SHMIOP_Transport.h:
        * tao/Strategies/UIOP_Acceptor.cpp:
        * tao/Strategies/UIOP_Acceptor.h:
        * tao/Strategies/UIOP_Connection_Handler.cpp:
        * tao/Strategies/UIOP_Connection_Handler.h:
        * tao/Strategies/UIOP_Connector.cpp:
        * tao/Strategies/UIOP_Connector.h:
        * tao/Strategies/UIOP_Transport.cpp:
        * tao/Strategies/UIOP_Transport.h:
        * tao/tao.mpc:
          Removed GIOP_Messaging_Lite and the required flag
          in all protocols. This was proposed some time ago
          by Iliyan Jeliazkov and stored as bugzilla issue 2803.
          The lite version had a lot of duplicated code but
          there is a replacement (using cdr without alignment)
          and isn't really used so far as we know. With the removal
          of this we lower our footprint.

          This was exposed to the end user as -ORBGIOPLite.

        * tao/Strategies/SCIOP_Lite_Factory.cpp:
        * tao/Strategies/SCIOP_Lite_Factory.h:
        * tao/Strategies/UIOP_Lite_Factory.cpp:
        * tao/Strategies/UIOP_Lite_Factory.h:
        * tao/IIOP_Lite_Factory.cpp:
        * tao/IIOP_Lite_Factory.h:
        * tao/GIOP_Message_Lite.cpp:
        * tao/GIOP_Message_Lite.h:
          Removed from the repository, no needed anymore

Wed Jul 18 05:07:13 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * orbsvcs/orbsvcs/Scheduler_Factory.cpp:
        * tests/Bug_1361_Regression/Server_Thread_Pool.cpp:
        * tests/Bug_2234_Regression/server.cpp:
        * tests/MProfile_Forwarding/client.cpp:

          Fixed Fuzz warnings. Zapped the usage of NULL and replaced every
          NULL with 0 instead.

Wed Jul 18 02:43:38 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/objref_comparison_test/main.cpp:
          Scoreboard cleanup.

Tue Jul 17 18:46:23 UTC 2007  Wallace Zhang  <zhang_w@ociweb.com>

        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushSupplier.cpp:

          Changed to use the newly added send_deletion_change() in the case of
          saving the topology with a deleting object in the disconnect callback.

        * orbsvcs/orbsvcs/Notify/Topology_Object.h:
        * orbsvcs/orbsvcs/Notify/Topology_Object.cpp:

          Added a new method for handling saving the topology with a deleting
          object.

        * orbsvcs/tests/Notify/Reconnecting/run_test.pl:

          Added "disconnect" as a command line option.
          Run "run_test.pl -str -disconnect" as the regression test.


Mon Jul 17 05:42:20 UTC 2007  Ossama Othman  <ossama_othman at symantec dot com>

        * tests/Bug_1495_Regression/tid_to_int.h:
        * tests/Bug_2084_Regression/tid_to_int.h:

          New header containing portable ACE_thread_t to integer
          conversion code that doesn't rely heavily on platform specific
          configuration.  This file should probably be moved to a common
          location if there is interest in the conversion functionality it
          provides.

        * tests/Bug_1495_Regression/Client_Task.cpp (svc):
        * tests/Bug_1495_Regression/test_i.cpp (get_thread_id):
        * tests/Bug_2084_Regression/EventNode.cpp (registerHello):
        * tests/Bug_2084_Regression/Hello.cpp (get_string):

          Convert from ACE_thread_t to the test's ThreadId type using the
          conversion utility function in tid_to_int.h.  Addresses "cast
          from pointer to integer of different size" compile-time
          warnings on platforms where ACE_thread_t is a pointer, such as
          VxWorks.

Mon Jul 16 13:47:54 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * configure.ac:
          Added custom configuration step required for bug 2399 regression
          test.

        * tests/Bug_2791_Regression/Bug_2791_Regression.mpc:
        * tests/Bug_2791_Regression/Makefile.am:
          Removed redundent LD_FLAGS declaration to prevent errors on
          automake builds.

Sun Jul 15 19:22:18 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/objref_comparison_test/main.cpp:
          Fix for VxWorks compilation.

Sun Jul 15 13:01:49 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * docs/tutorials/Quoter/Event_Service/Stock_Consumer.h:
        * docs/tutorials/Quoter/Event_Service/Stock_Consumer.cpp:
        * docs/tutorials/Quoter/Naming_Service/Stock_Factory_i.h:
        * docs/tutorials/Quoter/Naming_Service/Stock_Factory_i.cpp:
        * docs/tutorials/Quoter/Naming_Service/Stock_i.h:
        * docs/tutorials/Quoter/Naming_Service/Stock_i.cpp:
        * docs/tutorials/Quoter/On_Demand_Activation/Handler_i.h:
        * docs/tutorials/Quoter/On_Demand_Activation/Handler_i.cpp:
        * docs/tutorials/Quoter/On_Demand_Activation/Stock_Factory_Locator_i.h:
        * docs/tutorials/Quoter/On_Demand_Activation/Stock_Factory_Locator_i.cpp:
        * docs/tutorials/Quoter/On_Demand_Activation/Stock_Factory_i.h:
        * docs/tutorials/Quoter/On_Demand_Activation/Stock_Factory_i.cpp:
        * docs/tutoriasls/Quoter/On_Demand_Activation/Stock_i.h:
        * docs/tutorials/Quoter/On_Demand_Activation/Stock_i.cpp:
        * docs/tutorials/Quoter/RTCORBA/Broker_i.h:
        * docs/tutorials/Quoter/RTCORBA/Broker_i.cpp:
        * docs/tutorials/Quoter/RTCORBA/Distributor_i.h:
        * docs/tutorials/Quoter/RTCORBA/Distributor_i.cpp:
        * docs/tutorials/Quoter/RTCORBA/StockNameConsumer_i.h:
        * docs/tutorials/Quoter/RTCORBA/StockNameConsumer_i.cpp:
        * docs/tutorials/Quoter/RTCORBA/Stock_Database.h:
        * docs/tutorials/Quoter/RTCORBA/Stock_Database.tpp:
        * docs/tutorials/Quoter/Simple/Impl-Repo/Stock_Factory_i.h:
        * docs/tutorials/Quoter/Simple/Impl-Repo/Stock_Factory_i.cpp:
        * docs/tutorials/Quoter/Simple/Impl-Repo/Stock_i.h:
        * docs/tutorials/Quoter/Simple/Impl-Repo/Stock_i.cpp:
        * docs/tutorials/Quoter/Simple/ImprovedServer/Stock_Factory_i.h:
        * docs/tutorials/Quoter/Simple/ImprovedServer/Stock_Factory_i.cpp:
        * docs/tutorials/Quoter/Simple/ImprovedServer/Stock_i.h:
        * docs/tutorials/Quoter/Simple/ImprovedServer/Stock_i.cpp:
        * docs/tutorials/Quoter/Simple/Persistent/Stock_Factory_i.h:
        * docs/tutorials/Quoter/Simple/Persistent/Stock_Factory_i.cpp:
        * docs/tutorials/Quoter/Simple/Persistent/Stock_i.h:
        * docs/tutorials/Quoter/Simple/Persistent/Stock_i.cpp:
        * docs/tutorials/Quoter/Simple/Server/Stock_Factory_i.h:
        * docs/tutorials/Quoter/Simple/Server/Stock_Factory_i.cpp:
        * docs/tutorials/Quoter/Simple/Server/Stock_i.h:
        * docs/tutorials/Quoter/Simple/Server/Stock_i.cpp:
        * orbsvcs/ImplRepo_Service/Locator_XMLHandler.h:
        * orbsvcs/ImplRepo_Service/Locator_XMLHandler.cpp:
        * orbsvcs/examples/FaultTolerance/RolyPoly/LogACE_RB_Tree.h:
        * orbsvcs/examples/FaultTolerance/RolyPoly/LogStdMap.h:
        * orbsvcs/examples/LoadBalancing/Stock.h:
        * orbsvcs/examples/LoadBalancing/Stock.cpp:
        * orbsvcs/examples/LoadBalancing/StockFactory.h:
        * orbsvcs/examples/LoadBalancing/StockFactory.cpp:
        * orbsvcs/orbsvcs/Notify/XML_Loader.h:
        * orbsvcs/orbsvcs/Notify/XML_Loader.cpp:
        * orbsvcs/tests/Bug_2316_Regression/Test_impl.h:
        * orbsvcs/tests/Bug_2316_Regression/Test_impl.cpp:
        * orbsvcs/tests/CosEvent/Timeout/TestEventConsumer_i.h:
        * orbsvcs/tests/CosEvent/Timeout/TestEventConsumer_i.cpp:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/EchoEventConsumer_i.h:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/EchoEventConsumer_i.cpp:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/EchoEventSupplier_i.h:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/EchoEventSupplier_i.cpp:
        * orbsvcs/tests/Notify/XML_Persistence/main.cpp:
        * tao/PortableServer/POAManager.cpp:
        * tao/PortableServer/ServantRetentionStrategyRetain.cpp:

          Fixed Fuzz warnings regarding the usage of exception specification.

Sun Jul 15 04:36:50 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * performance-tests/CSD_Strategy/TestInf/Makefile.am:
        * performance-tests/CSD_Strategy/TestInf/csd_pt_testinf.mpc:
          More reconciling differences between automake and non automake
          build environments.

Sun Jul 15 01:43:25 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * examples/Advanced/ch_12/server.h:
        * examples/Advanced/ch_12/server.cpp:
        * examples/Advanced/ch_18/client.cpp:
        * examples/Advanced/ch_18/server.h:
        * examples/Advanced/ch_18/server.cpp:
        * examples/Advanced/ch_21/server.h:
        * examples/Advanced/ch_21/server.cpp:
        * examples/Advanced/ch_3/server.h:
        * examples/Advanced/ch_3/server.cpp:
        * examples/Advanced/ch_8_and_10/server.h:
        * examples/Advanced/ch_8_and_10/server.cpp:
        * examples/Borland/ReceiverImpl.h:
        * examples/Borland/ReceiverImpl.cpp:

          Fixed fuzz warnings. Zap the usage of exception specification.

Sat Jul 14 15:44:13 UTC 2007  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * TAO_IDL/driver/drv_preproc.cpp:
        * TAO_IDL/include/drv_extern.h:

          Factored out the code to add include paths and ensured that the
          paths are enclosed in quotes.  Resolves an issue with
          space-containing paths on windows (bug#2977).

Sat Jul 14 14:43:31 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * TAO_IDL/ast/ast_expression.cpp:
        * TAO_IDL/driver/drv_preproc.cpp:
        * TAO_IDL/util/utl_scope.cpp:
        * TAO_IDL/util/utl_tmpl/utl_list.cpp:
        * TAO_IDL/util/utl_tmpl/utl_strlist.cpp:
        * examples/Kokyu_dsrt_schedulers/EDF_Scheduler.cpp:
        * examples/RTScheduling/DT_Creator.cpp:
        * orbsvcs/FTRT_Event_Service/Event_Service/FT_EventService.cpp:
        * orbsvcs/ImplRepo_Service/Activator_Options.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Activator.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator.cpp:
        * orbsvcs/ImplRepo_Service/Locator_Options.cpp:
        * orbsvcs/ImplRepo_Service/tao_imr_i.cpp:
        * orbsvcs/Naming_Service/NT_Naming_Service.cpp:
        * orbsvcs/Notify_Service/NT_Notify_Service.cpp:
        * orbsvcs/examples/ImR/Advanced/TestClient.cpp:
        * orbsvcs/examples/ImR/Advanced/TestServer.cpp:
        * orbsvcs/orbsvcs/ETCL/ETCL_y.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/ConnectionHandler_T.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Event_Channel.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Event_Channel_Impl.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_CPU_Load_Average_Monitor.cpp:
        * orbsvcs/orbsvcs/Notify/CosNotify_Service.cpp:
        * orbsvcs/orbsvcs/RTCosScheduling/RTCosScheduling_ClientScheduler_i.cpp:
        * orbsvcs/orbsvcs/RTCosScheduling/RTCosScheduling_PCP_Manager.cpp:
        * orbsvcs/orbsvcs/RTCosScheduling/RTCosScheduling_ServerScheduler_i.cpp:
        * orbsvcs/orbsvcs/Trader/Constraint_y.cpp:
        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/Connection_Manager.cpp:
        * orbsvcs/tests/Concurrency/CC_command.tab.cpp:
        * orbsvcs/tests/Concurrency/lex.CC_command.cpp:
        * orbsvcs/tests/RTCosScheduling/client.cpp:
        * performance-tests/Protocols/sender.cpp:
        * tests/Permanent_Forward/StubTest.cpp:
        * tests/Xt_Stopwatch/Stopwatch_display.cpp:
        * tests/Xt_Stopwatch/client.cpp:
        * tests/Xt_Stopwatch/server.cpp:
        * utils/NamingViewer/AddNameServerDlg.h:
        * utils/NamingViewer/BindDialog.h:
        * utils/NamingViewer/BindNewContext.h:
        * utils/NamingViewer/NamingTreeCtrl.h:
        * utils/NamingViewer/NamingTreeCtrl.cpp:
        * utils/NamingViewer/NamingViewerDlg.h:
        * utils/NamingViewer/NamingViewerDlg.cpp:
        * utils/NamingViewer/SelectNSDialog.h:
        * utils/NamingViewer/ViewIORDialog.h:

          Fixed Fuzz warnings. Used 0 instead of NULL.

Sat Jul 14 13:20:26 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/Security/mixed_security_test/Foo_i.cpp:
          Fixed borland detected ambiguity.

Sat Jul 14 01:32:45 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * configure.ac:
          Added new test directories.

        * examples/RTScheduling/Fixed_Priority_Scheduler/Fixed_Priority_Scheduler.mpc:
        * examples/RTScheduling/Fixed_Priority_Scheduler/Makefile.am:
        * examples/RTScheduling/MIF_Scheduler/MIF_Scheduler.mpc:
        * examples/RTScheduling/MIF_Scheduler/Makefile.am:
          Added included directories needed for automake to ensure that
          both generated and stored indirect headers may be found. This is
          necessary because automake refers to stored (svn-based) files in
          a different directory tree that used by generated files.

        * examples/Simple/time-date/Makefile.am:
        * orbsvcs/FTRT_Event_Service/Event_Service/Makefile.am:
        * orbsvcs/ImplRepo_Service/Makefile.am:
        * orbsvcs/examples/Notify/Lanes/Makefile.am:
        * orbsvcs/examples/Notify/ThreadPool/Makefile.am:
          Minor regen tweaks.

        * orbsvcs/orbsvcs/Makefile.am:
        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/Makefile.am:
        * orbsvcs/tests/AVStreams/Bidirectional_Flows/Makefile.am:
        * orbsvcs/tests/AVStreams/Component_Switching/Makefile.am:
        * orbsvcs/tests/AVStreams/Full_Profile/Makefile.am:
        * orbsvcs/tests/AVStreams/Latency/Makefile.am:
        * orbsvcs/tests/AVStreams/Modify_QoS/Makefile.am:
        * orbsvcs/tests/AVStreams/Multicast/Makefile.am:
        * orbsvcs/tests/AVStreams/Multicast_Full_Profile/Makefile.am:
        * orbsvcs/tests/AVStreams/Multiple_Flows/Makefile.am:
        * orbsvcs/tests/AVStreams/Pluggable/Makefile.am:
        * orbsvcs/tests/AVStreams/Pluggable_Flow_Protocol/Makefile.am:
        * orbsvcs/tests/AVStreams/Simple_Three_Stage/Makefile.am:
        * orbsvcs/tests/AVStreams/Simple_Two_Stage/Makefile.am:
        * orbsvcs/tests/AVStreams/Simple_Two_Stage_With_QoS/Makefile.am:
          Removed reverences to ACE_QoS. This was introduced by an earlier
          attempt to resolve build problems by adding "qos=1" to
          default.features and generating Makefile.am files. This is now correct.

        * orbsvcs/tests/Notify/Basic/Makefile.am:
        * orbsvcs/tests/Notify/Blocking/Makefile.am:
        * orbsvcs/tests/Notify/Bug_1385_Regression/Makefile.am:
        * orbsvcs/tests/Notify/Bug_2561_Regression/Makefile.am:
        * orbsvcs/tests/Notify/Destroy/Makefile.am:
        * orbsvcs/tests/Notify/Discarding/Makefile.am:
        * orbsvcs/tests/Notify/Driver/Makefile.am:
        * orbsvcs/tests/Notify/MT_Dispatching/Makefile.am:
        * orbsvcs/tests/Notify/Ordering/Makefile.am:
        * orbsvcs/tests/Notify/RT_lib/Makefile.am:
        * orbsvcs/tests/Notify/Reconnecting/Makefile.am:
        * orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter/Makefile.am:
        * orbsvcs/tests/Notify/Sequence_Multi_Filter/Makefile.am:
        * orbsvcs/tests/Notify/Structured_Filter/Makefile.am:
        * orbsvcs/tests/Notify/Structured_Multi_Filter/Makefile.am:
        * orbsvcs/tests/Notify/performance-tests/Filter/Makefile.am:
        * orbsvcs/tests/Notify/performance-tests/RedGreen/Makefile.am:
        * orbsvcs/tests/Notify/performance-tests/Throughput/Makefile.am:
          Added include path to find generated files. This was done via
          the TAO/MPC/config/notifytest.mpb file.

        * orbsvcs/tests/Security/Makefile.am:
          Added new mixed_security_test to the subdir list.

        * orbsvcs/tests/Security/mixed_security_test/client.cpp:
          Cleaned up execption code to silence a warning.

        * performance-tests/CSD_Strategy/TestInf/AppHelper.h:
        * performance-tests/CSD_Strategy/TestInf/Makefile.am:
        * performance-tests/CSD_Strategy/TestInf/ServantList_T.cpp:
        * performance-tests/CSD_Strategy/TestInf/csd_pt_testinf.mpc:
        * performance-tests/CSD_Strategy/TestServant/Foo_ClientEngine.h:
        * performance-tests/CSD_Strategy/TestServant/Foo_i.h:
        * performance-tests/CSD_Strategy/TestServant/Makefile.am:
        * performance-tests/CSD_Strategy/TestServant/csd_pt_testservant.mpc:
          Added specific directories for finding generated and stored
          headers in the automake environment.

        * tests/Makefile.am:
          Added new test, objref_comparison_test.

Fri Jul 13 17:35:42 UTC 2007  Ossama Othman  <ossama_othman at symantec dot com>

        * TAO_IDL/ast/ast_argument.cpp:
        * TAO_IDL/ast/ast_array.cpp:
        * TAO_IDL/ast/ast_attribute.cpp:
        * TAO_IDL/ast/ast_component.cpp:
        * TAO_IDL/ast/ast_component_fwd.cpp:
        * TAO_IDL/ast/ast_concrete_type.cpp:
        * TAO_IDL/ast/ast_constant.cpp:
        * TAO_IDL/ast/ast_decl.cpp:
        * TAO_IDL/ast/ast_enum.cpp:
        * TAO_IDL/ast/ast_enum_val.cpp:
        * TAO_IDL/ast/ast_eventtype.cpp:
        * TAO_IDL/ast/ast_eventtype_fwd.cpp:
        * TAO_IDL/ast/ast_exception.cpp:
        * TAO_IDL/ast/ast_factory.cpp:
        * TAO_IDL/ast/ast_field.cpp:
        * TAO_IDL/ast/ast_home.cpp:
        * TAO_IDL/ast/ast_interface.cpp:
        * TAO_IDL/ast/ast_interface_fwd.cpp:
        * TAO_IDL/ast/ast_module.cpp:
        * TAO_IDL/ast/ast_native.cpp:
        * TAO_IDL/ast/ast_operation.cpp:
        * TAO_IDL/ast/ast_predefined_type.cpp:
        * TAO_IDL/ast/ast_root.cpp:
        * TAO_IDL/ast/ast_sequence.cpp:
        * TAO_IDL/ast/ast_string.cpp:
        * TAO_IDL/ast/ast_structure.cpp:
        * TAO_IDL/ast/ast_structure_fwd.cpp:
        * TAO_IDL/ast/ast_type.cpp:
        * TAO_IDL/ast/ast_typedef.cpp:
        * TAO_IDL/ast/ast_union.cpp:
        * TAO_IDL/ast/ast_union_branch.cpp:
        * TAO_IDL/ast/ast_union_fwd.cpp:
        * TAO_IDL/ast/ast_valuebox.cpp:
        * TAO_IDL/ast/ast_valuetype.cpp:
        * TAO_IDL/ast/ast_valuetype_fwd.cpp:
        * TAO_IDL/be/be_argument.cpp:
        * TAO_IDL/be/be_array.cpp:
        * TAO_IDL/be/be_attribute.cpp:
        * TAO_IDL/be/be_component.cpp:
        * TAO_IDL/be/be_component_fwd.cpp:
        * TAO_IDL/be/be_constant.cpp:
        * TAO_IDL/be/be_decl.cpp:
        * TAO_IDL/be/be_enum.cpp:
        * TAO_IDL/be/be_enum_val.cpp:
        * TAO_IDL/be/be_eventtype.cpp:
        * TAO_IDL/be/be_eventtype_fwd.cpp:
        * TAO_IDL/be/be_exception.cpp:
        * TAO_IDL/be/be_factory.cpp:
        * TAO_IDL/be/be_field.cpp:
        * TAO_IDL/be/be_home.cpp:
        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_interface_fwd.cpp:
        * TAO_IDL/be/be_module.cpp:
        * TAO_IDL/be/be_native.cpp:
        * TAO_IDL/be/be_operation.cpp:
        * TAO_IDL/be/be_predefined_type.cpp:
        * TAO_IDL/be/be_root.cpp:
        * TAO_IDL/be/be_scope.cpp:
        * TAO_IDL/be/be_sequence.cpp:
        * TAO_IDL/be/be_string.cpp:
        * TAO_IDL/be/be_structure.cpp:
        * TAO_IDL/be/be_structure_fwd.cpp:
        * TAO_IDL/be/be_type.cpp:
        * TAO_IDL/be/be_typedef.cpp:
        * TAO_IDL/be/be_union.cpp:
        * TAO_IDL/be/be_union_branch.cpp:
        * TAO_IDL/be/be_union_fwd.cpp:
        * TAO_IDL/be/be_valuebox.cpp:
        * TAO_IDL/be/be_valuetype.cpp:
        * TAO_IDL/be/be_valuetype_fwd.cpp:
        * TAO_IDL/be_include/be_argument.h:
        * TAO_IDL/be_include/be_array.h:
        * TAO_IDL/be_include/be_attribute.h:
        * TAO_IDL/be_include/be_component.h:
        * TAO_IDL/be_include/be_component_fwd.h:
        * TAO_IDL/be_include/be_constant.h:
        * TAO_IDL/be_include/be_decl.h:
        * TAO_IDL/be_include/be_enum.h:
        * TAO_IDL/be_include/be_enum_val.h:
        * TAO_IDL/be_include/be_eventtype.h:
        * TAO_IDL/be_include/be_eventtype_fwd.h:
        * TAO_IDL/be_include/be_exception.h:
        * TAO_IDL/be_include/be_factory.h:
        * TAO_IDL/be_include/be_field.h:
        * TAO_IDL/be_include/be_home.h:
        * TAO_IDL/be_include/be_interface.h:
        * TAO_IDL/be_include/be_interface_fwd.h:
        * TAO_IDL/be_include/be_module.h:
        * TAO_IDL/be_include/be_native.h:
        * TAO_IDL/be_include/be_operation.h:
        * TAO_IDL/be_include/be_predefined_type.h:
        * TAO_IDL/be_include/be_root.h:
        * TAO_IDL/be_include/be_scope.h:
        * TAO_IDL/be_include/be_sequence.h:
        * TAO_IDL/be_include/be_string.h:
        * TAO_IDL/be_include/be_structure.h:
        * TAO_IDL/be_include/be_structure_fwd.h:
        * TAO_IDL/be_include/be_type.h:
        * TAO_IDL/be_include/be_typedef.h:
        * TAO_IDL/be_include/be_union.h:
        * TAO_IDL/be_include/be_union_branch.h:
        * TAO_IDL/be_include/be_union_fwd.h:
        * TAO_IDL/be_include/be_valuebox.h:
        * TAO_IDL/be_include/be_valuetype.h:
        * TAO_IDL/be_include/be_valuetype_fwd.h:
        * TAO_IDL/include/ast_argument.h:
        * TAO_IDL/include/ast_array.h:
        * TAO_IDL/include/ast_attribute.h:
        * TAO_IDL/include/ast_component.h:
        * TAO_IDL/include/ast_component_fwd.h:
        * TAO_IDL/include/ast_concrete_type.h:
        * TAO_IDL/include/ast_constant.h:
        * TAO_IDL/include/ast_decl.h:
        * TAO_IDL/include/ast_enum.h:
        * TAO_IDL/include/ast_enum_val.h:
        * TAO_IDL/include/ast_eventtype.h:
        * TAO_IDL/include/ast_eventtype_fwd.h:
        * TAO_IDL/include/ast_exception.h:
        * TAO_IDL/include/ast_factory.h:
        * TAO_IDL/include/ast_field.h:
        * TAO_IDL/include/ast_home.h:
        * TAO_IDL/include/ast_interface.h:
        * TAO_IDL/include/ast_interface_fwd.h:
        * TAO_IDL/include/ast_module.h:
        * TAO_IDL/include/ast_native.h:
        * TAO_IDL/include/ast_operation.h:
        * TAO_IDL/include/ast_predefined_type.h:
        * TAO_IDL/include/ast_root.h:
        * TAO_IDL/include/ast_sequence.h:
        * TAO_IDL/include/ast_string.h:
        * TAO_IDL/include/ast_structure.h:
        * TAO_IDL/include/ast_structure_fwd.h:
        * TAO_IDL/include/ast_type.h:
        * TAO_IDL/include/ast_typedef.h:
        * TAO_IDL/include/ast_union.h:
        * TAO_IDL/include/ast_union_branch.h:
        * TAO_IDL/include/ast_union_fwd.h:
        * TAO_IDL/include/ast_valuebox.h:
        * TAO_IDL/include/ast_valuetype.h:
        * TAO_IDL/include/ast_valuetype_fwd.h:
        * TAO_IDL/include/idl_narrow.h:
        * TAO_IDL/include/utl_scope.h:
        * TAO_IDL/util/utl_scope.cpp:

          Removed all {DEF,IMPL}_NARROW_METHODS[0-5] macros.  They are no
          longer needed.

          Removed extern type_id_to_string() declaration.  It is no longer
          needed or used.

Fri Jul 13 16:59:26 UTC 2007  Ossama Othman  <ossama_othman at symantec dot com>

        * tests/Bug_1495_Regression/test_i.cpp (get_thread_id):

          Corrected type used in cast.

        * tests/Bug_2084_Regression/Hello.cpp (get_string):

          Removed emulated exception macro.

Fri Jul 13 15:52:22 UTC 2007  Vadym Ridosh  <vridosh@prismtech.com>

        * examples/PluggableUDP/tests/Performance/UDP_PerformanceClient.cpp:
          Fixed output format for ACE_DEBUG message for time_t and unsigned
          long values.

Fri Jul 13 13:15:04 UTC 2007  Vadym Ridosh  <vridosh@prismtech.com>

        * examples/PluggableUDP/tests/Performance/Performance.mpc:
        * examples/PluggableUDP/tests/Performance/client.cpp:
        * examples/PluggableUDP/tests/Performance/UDP_i.cpp:
        * examples/PluggableUDP/tests/Performance/UDP_i.h:
        * examples/PluggableUDP/tests/Performance/server.cpp:
        * examples/PluggableUDP/tests/Performance/UDP_PerformanceClient.cpp:
        * examples/PluggableUDP/tests/Performance/UDP_PerformanceClient.h:
          Changed this test because in its previous implementation it could
          run too long and time out. Also beatufied the code a bit and used
          casting to 32 int of sec/msec/usec of the measured perfomance
          because on VC8 plain those values produced strange output.

Fri Jul 13 12:35:16 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/Security/mixed_security_test/constants.h:
          Removed superfluous semicolon.

Fri Jul 13 11:33:42 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/Security/mixed_security_test/Foo_i.h:
        * orbsvcs/tests/Security/mixed_security_test/Foo_i.cpp:
          Coding style update.

        * orbsvcs/tests/Security/mixed_security_test/client.cpp:
        * orbsvcs/tests/Security/mixed_security_test/server.cpp:
          Exception report improvement.

Fri Jul 13 03:43:00 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * orbsvcs/tests/Security/mixed_security_test/Foo_i.h:
        * orbsvcs/tests/Security/mixed_security_test/Foo_i.cpp:

          Don't use ACE_THROW_SPEC, it is deprecated.

        * orbsvcs/tests/Security/mixed_security_test/client.cpp:
        * orbsvcs/tests/Security/mixed_security_test/server.cpp:

          Don't use ACE_PRINT_EXCEPTION macro anymore. It is deprecated.

        * tests/objref_comparison_test/main.cpp:

          Don't include any ACE/TAO/CIAO header file as <ace/*.h>, use "ace/*.h"
          instead.

Fri Jul 13 06:43:03 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/IFR_Service/ifr_adding_visitor.cpp (element_type):

          Fixed unused arg warning.

Thu Jul 12 23:42:00 UTC 2007  Ossama Othman  <ossama_othman at symantec dot com>

        * TAO_IDL/tao_idl.cpp:

          Paired deallocation of ACE::strnew()-created string array with
          ACE::strdelete() instead operator delete[]().

        * TAO_IDL/driver/drv_preproc.cpp:

          Paired deallocation of ACE::strnew()-created string array with
          ACE::strdelete() instead operator delete[]().

          Statically initialize argument array elements to zero.

          Corrected problem where memory corresponding to tao_idl command
          line "-Yp" argument owned by the shell was being deallocated.

          Changed DRV_cpp_new_location() parameter from "char*" to "char
          const*" to better enforce proper argument list memory
          management.

          Search for orb.idl in supplied include path, and only fallback
          on $TAO_ROOT/tao if the include path search fails.  Addresses
          regression where orb.idl could not be found if $TAO_ROOT was not
          set even if it existed in the include path, as well allowing the
          user to override $TAO_ROOT/tao, if necessary.

          Const correctness imrovements.

        * TAO_IDL/include/drv_extern.h:

          Match function protototype signature with implementation
          signature.  Necessitated by const correctness improvements
          above.

        * TAO_IDL/include/idl_global.h (open_included_file):
        * TAO_IDL/util/utl_global.cpp  (open_included_file):

          New utility function that searches for the given file in the
          include path supplied to the TAO_IDL compiler, and opens it.

        * TAO_IDL/include/idl_narrow.h:

          Replaced legacy type narrowing code with standard C++
          dynamic_cast<> calls.  This is now possible since ACE/TAO
          require RTTI to be enabled.

        * tao/Exception.h:
        * tao/SystemException.h:

          Moved #undef of THREAD_CANCELLED to tao/SystemException.h.

          (SystemException):

          For g++ >= 4, exceptions found in DLL A but potentially thrown
          in DLL B must always be exported.

        * tao/ORB_Core.h (open_called_):

          Removed unused TAO_ORB_Core member.

        * tao/Unbounded_Octet_Sequence_T.h (operator==):

          Use the subscript operator instead of get_buffer() to avoid a
          potential buffer allocation.

        * tao/AnyTypeCode/Any_Array_Impl_T.cpp (extract):
        * tao/Valuetype/AbstractBase_T.cpp (unchecked_narrow):

          Check for null pointer before dereferencing dynamic_cast<>
          result.  Addresses FORWARD_NULL Coverity error.

        * tao/BiDir_GIOP/BiDir_ORBInitializer.cpp:

          Addressed Coverity UNUSED_VALUE error.

        * tests/Bug_1495_Regression/Client_Task.cpp:
        * tests/Bug_1495_Regression/Client_Task.h:
        * tests/Bug_1495_Regression/test.idl:
        * tests/Bug_1495_Regression/test_i.cpp:
        * tests/Bug_1495_Regression/test_i.h:
        * tests/Bug_2084_Regression/EventNode.cpp:
        * tests/Bug_2084_Regression/EventNode.h:
        * tests/Bug_2084_Regression/Hello.cpp:
        * tests/Bug_2084_Regression/Hello.h:
        * tests/Bug_2084_Regression/Test.idl:

          Support platforms with 64 bit thread IDs.

        * utils/catior/catior.cpp:

          Fixed memory leak.

          Added CDR demarshaling operation check.

          Converted boolean 1's and 0's to true and false, respectively.

Thu Jul 12 23:33:43 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * tests/objref_comparison_test/foo.idl:
        * tests/objref_comparison_test/main.cpp:
        * tests/objref_comparison_test/objref_comparison_test.mpc:

          Added $id$ subversion tag to silence fuzz warnings.

        * tests/objref_comparison_test/foo.idl:

          Added missing include guards.

Thu Jul 12 23:21:29 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * orbsvcs/FTRT_Event_Service/Event_Service/FT_EventService.cpp:
        * orbsvcs/FTRT_Event_Service/Factory_Service/EventChannelFactory_i.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Activator_i.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/Notify_Service/Notify_Service.cpp:
        * orbsvcs/PSS/PSDL_Interpreter.cpp:
        * orbsvcs/PSS/PSDL_Node.cpp:
        * orbsvcs/PSS/PSDL_l.cpp:
        * orbsvcs/PSS/PSDL_y.cpp:
        * orbsvcs/Scheduling_Service/Scheduling_Service.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/ClientORB/FTRT_ClientORB_Loader.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/ConnectionHandler_T.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Dynamic_Bitset.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Identification_Service.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/SCTP_Fault_Detector.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Set_Update_Interceptor.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/UpdateableHandler.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/FTEC_Gateway.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/UUID.inl:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/UUID.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Factory.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_CPU_Load_Average_Monitor.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_CPU_Utilization_Monitor.cpp:
        * orbsvcs/orbsvcs/Naming/Flat_File_Persistence.cpp:
        * orbsvcs/orbsvcs/Naming/Naming_Context_Interface.cpp:
        * orbsvcs/orbsvcs/Notify/Name_Value_Pair.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.cpp:
        * orbsvcs/orbsvcs/Sched/DynSched.cpp:
        * orbsvcs/orbsvcs/Scheduler_Factory.cpp:
        * orbsvcs/orbsvcs/Trader/Constraint_l.cpp:
        * orbsvcs/orbsvcs/Trader/Constraint_y.cpp:
        * orbsvcs/orbsvcs/Trader/Interpreter.cpp:

          Fixed ACE_OS fuzz warnings. Use ACE_OS calls instead of raw OS function
          where possible. If fuzz detected a false-positive, then disable
          the ACE_OS fuzz check for that section of the code.

Thu Jul 12 18:33:31 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/Strategies/DIOP_Profile.cpp (parse_string_i):
          Fix throw spec.

Thu Jul 12 17:21:51 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * NEWS:
          Documented the mixed security feature.

Thu Jul 12 16:51:30 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connector.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Invocation_Interceptor.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Invocation_Interceptor.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_ORBInitializer.cpp:
        * orbsvcs/orbsvcs/Security/SL2_SecurityManager.h:
        * orbsvcs/orbsvcs/Security/SL2_SecurityManager.cpp:
        * orbsvcs/orbsvcs/Security/Security_ORBInitializer.cpp:
          The mixed security feature is an implementation of the Security
          Level 2 Access Decision interface. The actual implementation
          deviates slightly from the specification because the spec
          requires passing an object reference for the target to be
          considered by the access_allowed operation. Unfortunately the
          point where this method is called requires synthesizing an
          object reference based on a POA and an object ID. But doing this
          requires the POA to have the RETAIN policy set otherwise
          id_to_reference fails. Furthermore, there is no way to
          conclusively compare two object references. The obvious way,
          calling object_to_string() and comparing the results fails
          because the stringified reference is really a CDR buffer that
          contains alignment padding bytes that are filled with garbage.
          Two otherwise identical references might have different strings.
          To work around these problems, we implement an alternative
          interface to take ORB, POA, and object ids as blobs and use
          these for comparisons.

        * orbsvcs/orbsvcs/SecurityLevel2.idl:
        * orbsvcs/tests/Security/mixed_security_test:
        * orbsvcs/tests/Security/mixed_security_test/Foo.idl:
        * orbsvcs/tests/Security/mixed_security_test/Foo_i.h:
        * orbsvcs/tests/Security/mixed_security_test/Foo_i.cpp:
        * orbsvcs/tests/Security/mixed_security_test/README:
        * orbsvcs/tests/Security/mixed_security_test/cacert.pem:
        * orbsvcs/tests/Security/mixed_security_test/client.conf:
        * orbsvcs/tests/Security/mixed_security_test/client.conf.xml:
        * orbsvcs/tests/Security/mixed_security_test/client.cpp:
        * orbsvcs/tests/Security/mixed_security_test/client_cert.pem:
        * orbsvcs/tests/Security/mixed_security_test/client_key.pem:
        * orbsvcs/tests/Security/mixed_security_test/client_key_nopasswd.pem:
        * orbsvcs/tests/Security/mixed_security_test/client_none.conf:
        * orbsvcs/tests/Security/mixed_security_test/client_nopasswd.conf:
        * orbsvcs/tests/Security/mixed_security_test/client_nopasswd.conf.xml:
        * orbsvcs/tests/Security/mixed_security_test/constants.h:
        * orbsvcs/tests/Security/mixed_security_test/mixed_security.mpc:
        * orbsvcs/tests/Security/mixed_security_test/run_test.pl:
        * orbsvcs/tests/Security/mixed_security_test/server.conf:
        * orbsvcs/tests/Security/mixed_security_test/server.conf.xml:
        * orbsvcs/tests/Security/mixed_security_test/server.cpp:
        * orbsvcs/tests/Security/mixed_security_test/server_cert.pem:
        * orbsvcs/tests/Security/mixed_security_test/server_key.pem:
        * orbsvcs/tests/Security/mixed_security_test/server_key_nopasswd.pem:
        * orbsvcs/tests/Security/mixed_security_test/server_none.conf:
        * orbsvcs/tests/Security/mixed_security_test/server_none.conf.xml:
        * orbsvcs/tests/Security/mixed_security_test/server_nopasswd.conf:
        * orbsvcs/tests/Security/mixed_security_test/server_nopasswd.conf.xml:
          This is the regression test for validating the mixed security
          feature.

        * tao/CDR.cpp:
        * tao/Profile.cpp:
          During the development of the mixed security feature, it was
          discovered that comparing object references by comparing
          stringified buffers failed because the stringified buffers
          contained alignment padding bytes that contained garbage. This
          garbage is ignored by CDR, but causes two otherwise identical
          object references to fail to compare. As a way to validate this
          problem we added some code to initialize a CDR buffer to all
          zeros before encoding to it, thereby ensuring that twe encodings
          of the same object reference would yield the same stringified
          result. The mixed security feature was reimplemented to not
          require a full object reference for comparison anyway, rending
          this problem moot for the moment. The buffer blanking code is
          left in place, but not compiled.

        * tests/objref_comparison_test/foo.idl:
        * tests/objref_comparison_test/main.cpp:
        * tests/objref_comparison_test/objref_comparison_test.mpc:
        * tests/objref_comparison_test/server.conf:
        * tests/objref_comparison_test/server_cert.pem:
        * tests/objref_comparison_test/server_key.pem:
          This test is used to highlight the difficulty in comparing
          object references. It is not to be added to the nightly build
          suite.

        * utils/catior/catior.cpp:
          Add the ability to parse out ssl component elements. This does
          not require linking any ssl or SSLIOP code.

        * orbsvcs/Naming_Service/NT_Naming_Server.cpp:
          Fix emacs mode selector line.

Thu Jul 12 11:29:39 UTC 2007  Vadym Ridosh  <vridosh@prismtech.com>

        * tao/Strategies/DIOP_Connector.cpp:
        * tao/Strategies/DIOP_Transport.cpp:
        * tao/Strategies/DIOP_Acceptor.h:
        * tao/Strategies/DIOP_Acceptor.cpp:
        * tao/Strategies/DIOP_Endpoint.h:
        * tao/Strategies/DIOP_Connection_Handler.cpp:
        * tao/Strategies/DIOP_Profile.cpp:
        * tao/Strategies/DIOP_Endpoint.cpp:
        * tao/Strategies/DIOP_Connector.h:
        * tao/Strategies/DIOP_Acceptor.inl:

          Implemented DIOP over IPv6. Also made connection managment
          same as in other protocols and fixed few log messages.
          This is for fix of bug#2979.

        * tests/DIOP/UDP_Client_i.cpp:
        * tests/DIOP/run_test_ipv6.pl:
        * examples/PluggableUDP/tests/Performance/client.cpp:
        * examples/PluggableUDP/tests/Performance/run_test_ipv6.pl:
        * examples/PluggableUDP/tests/Performance/UDP_PerformanceClient.cpp:
        * examples/PluggableUDP/tests/SimplePerformance/client.cpp:
        * examples/PluggableUDP/tests/SimplePerformance/run_test_ipv6.pl:

          Made that shutdown is called 10 times in all DIOP tests to make
          sure that server does not miss it. Added scripts for testing IPv6
          implementation in DIOP.

Thu Jul 12 09:39:46 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/orbsvcs/IFRService/UnionDef_i.h:

          Cosmetic changes.

        * orbsvcs/orbsvcs/IFRService/Container_i.cpp(create_union_i):

          Added check for a null discriminator type before setting
          a reference to it in the repository. Required to support
          creation of an entry for a forward declared union, in
          which case the discriminator and the members will be
          added when the full definition is seen.

        * orbsvcs/IFR_Service/ifr_adding_visitor.h:
        * orbsvcs/IFR_Service/ifr_adding_visitor_union.h:
        * orbsvcs/IFR_Service/ifr_adding_visitor_exception.h:
        * orbsvcs/IFR_Service/ifr_adding_visitor_structure.h:
        * orbsvcs/IFR_Service/ifr_adding_visitor.cpp:
        * orbsvcs/IFR_Service/ifr_adding_visitor_union.cpp:
        * orbsvcs/IFR_Service/ifr_adding_visitor_exception.cpp:
        * orbsvcs/IFR_Service/ifr_adding_visitor_structure.cpp:

          - Added support for forward declared structs and unions.
          - Factored out common code that adds union members, used
            when creating a new union entry in the repo and also
            when filling in members of an existing entry originally
            created for a forward delared union.
          - Added changes required by changes in the TAO_IDL front
            end for typedefs.

        * tao/AnyTypeCode/TypeCode_Case_Enum_T.cpp:

          Changed code that compares equality of union labels where
          the discriminator is an enum to always extract the value
          to compare as an unsigned long, since the Any extraction
          operator overload for the enum type may not be known to the
          ORB code that is doing the comparison.

        * tao/TypeCodeFactory/TypeCodeFactory_i.h(check_recursion):
        * tao/TypeCodeFactory/TypeCodeFactory_i.cpp(check_recursion):

          Added parameter to the method that holds a 'working id'
          that enables the method to determine that, although a
          recursion has been detected, it may be the recursion of
          another member at a lower level that isn't the one we're
          interested in. If such a thing is detected, we pop out
          of the method's recursion and prevent an infinite
          regression.

Wed Jul 11 19:33:48 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * configure.ac:
          Added yet another missed test directory

        * MPC/config/csd_pt_testinf_lib.mpb:
        * MPC/config/csd_tp_foo_a_lib.mpb:
        * MPC/config/csd_tp_foo_b_lib.mpb:
        * MPC/config/csd_tp_foo_c_lib.mpb:
        * MPC/config/csd_tp_test_lib.mpb:
        * MPC/config/ftrteventchannel.mpb:
        * MPC/config/notifytest.mpb:
          Added automake-specific sections to catch the different include
          files necessary in the automake environment for finding idl
          generated header files.


        * examples/Kokyu_dsrt_schedulers/fp_example/Makefile.am:
        * examples/Kokyu_dsrt_schedulers/mif_example/Makefile.am:
        * examples/Kokyu_dsrt_schedulers/muf_example/Makefile.am:
          I had to manually touch these files. For some reason the LDADD
          list included $(ACE_BUILDDIR)/examples/Kokyu... for libraries
          that are really in $(TAO_BUILDDIR)/examples/Kokyu... I'm not
          sure the correct value to put in the kokyu_dsrt_schedulers.mpb
          to make this work right.

        * examples/RTScheduling/MIF_Scheduler/MIF_Scheduler.mpc:
        * examples/RTScheduling/Fixed_Priority_Scheduler.mpc:
          Added -I.. to top level to ensure it gets the right generated
          files. This should probably be in a base file, and probably in a
          specific() section, but I don't think there is any harm putting
          it here.

        * orbsvcs/orbsvcs/Makefile.am:
        * tao/Makefile.am:
          Manually touched the @includedir@ specification to exclude the
          full path from my local build machine. I don't know the role of
          this definition, but I'm pretty sure something specific to my
          local workstation should not put into SVN.

        * docs/tutorials/Quoter/RTCORBA/Makefile.am:
        * examples/RTScheduling/MIF_Scheduler/Makefile.am:
        * examples/RTScheduling/Fixed_Priority_Scheduler/Makefile.am:
        * examples/Simple/time-date/Makefile.am:
        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/Makefile.am:
        * orbsvcs/tests/AVStreams/Bidirectional_Flows/Makefile.am:
        * orbsvcs/tests/AVStreams/Component_Switching/Makefile.am:
        * orbsvcs/tests/AVStreams/Full_Profile/Makefile.am:
        * orbsvcs/tests/AVStreams/Latency/Makefile.am:
        * orbsvcs/tests/AVStreams/Modify_QoS/Makefile.am:
        * orbsvcs/tests/AVStreams/Multicast/Makefile.am:
        * orbsvcs/tests/AVStreams/Multicast_Full_Profile/Makefile.am:
        * orbsvcs/tests/AVStreams/Multiple_Flows/Makefile.am:
        * orbsvcs/tests/AVStreams/Pluggable/Makefile.am:
        * orbsvcs/tests/AVStreams/Pluggable_Flow_Protocol/Makefile.am:
        * orbsvcs/tests/AVStreams/Simple_Three_Stage/Makefile.am:
        * orbsvcs/tests/AVStreams/Simple_Two_Stage/Makefile.am:
        * orbsvcs/tests/AVStreams/Simple_Two_Stage_With_QoS/Makefile.am:
        * orbsvcs/tests/Event/Basic/Makefile.am:
        * performance-tests/CSD_Strategy/TestApps/Makefile.am:
        * performance-tests/CSD_Strategy/TestInf/Makefile.am:
        * performance-tests/CSD_Strategy/TestServant/Makefile.am:
        * tests/CSD_Strategy_Tests/Broken/Makefile.am:
        * tests/CSD_Strategy_Tests/TP_Foo_A/Makefile.am:
        * tests/CSD_Strategy_Tests/TP_Foo_B/Makefile.am:
        * tests/CSD_Strategy_Tests/TP_Foo_C/Makefile.am:
        * tests/CSD_Strategy_Tests/TP_Test_1/Makefile.am:
        * tests/CSD_Strategy_Tests/TP_Test_2/Makefile.am:
        * tests/CSD_Strategy_Tests/TP_Test_3/Makefile.am:
        * tests/CSD_Strategy_Tests/TP_Test_4/Makefile.am:
        * tests/CSD_Strategy_Tests/TP_Test_Static/Makefile.am:
        * tests/DLL_ORB/Makefile.am:
        * tests/IDL_Test/Makefile.am:
        * tests/QtTests/Makefile.am:

          Regenerated automake files. These all contain minor changes that
          appear to relate to minor changes in various MPC files. The
          technique I used to generate these is this:

          CD $TAO_ROOT, where TAO_ROOT is the SVN workspace, not a cloned
          build directory.

          ../bin/mwc.pl -type automake -noreldefs TAO.mwc

          I used that exact command line as that is what had been used
          previously. The command line is stored in header comments in the
          generated Makefile.am, so using a different command path will
          yeild hundreds of changed files.

          I also post-processed the generated files to remove other
          innocuous changes, specificly resplacing the string
           'touch "$@"' with 'touch $@' and reordering some default
          initialization of BUILT_SOURCES and CLEAN_SOURCES. I only did
          this to avoid having several hundred checked files that only had
          these trivial changes.

Tue Jul 10 19:31:15 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * configure.ac:
          Updated to catch new test directories.

Tue Jul 10 16:06:47 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/DLL_ORB/DLL_ORB.mpc:
        * tests/DLL_ORB/Makefile.am:

          Refactored mpc file was missing the generated sources for the
          server lib.

Tue Jul 10 14:44:00 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/RTCORBA/RT_ProtocolProperties.*:
          Regenerated

Tue Jul 10 10:20:00 UTC 2007  Simon Massey  <sma@prismtech.com>

        * tao/AnyTypeCode/TypeCode_CDR_Extraction.cpp

          Bug fix for Bugzilla 2918 and 2982. Second and subsequent indirect
          typecodes are not duplicated. (tao527 and tao536).

Mon Jul  9 15:40:40 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * configure.ac:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/CosEC_RtEC_Based_Mult.mpc:
        * orbsvcs/tests/Event/Basic/Event_Basic.mpc:
        * tests/CSD_Strategy_Tests/TP_Test_Dynamic/CSD_TP_Test_Dynamic.mpc:
        * tests/DLL_ORB/DLL_ORB.mpc:
        * tests/ORB_Local_Config/Two_DLL_ORB/Two_DLL_ORB.mpc:
        * tests/Object_Loader/Object_Loader.mpc:

          Updates to correct automake warnings and errors. These changes
          resolve bug 2954.

        * Makefile.am:
        * docs/tutorials/Quoter/RTCORBA/Makefile.am:
        * docs/tutorials/Quoter/idl/Makefile.am:
        * examples/AMH/Sink_Server/Makefile.am:
        * examples/AMI/FL_Callback/Makefile.am:
        * examples/CSD_Strategy/ThreadPool4/Makefile.am:
        * examples/Kokyu_dsrt_schedulers/Makefile.am:
        * examples/Kokyu_dsrt_schedulers/fp_example/Makefile.am:
        * examples/Kokyu_dsrt_schedulers/mif_example/Makefile.am:
        * examples/Kokyu_dsrt_schedulers/muf_example/Makefile.am:
        * examples/Load_Balancing/Makefile.am:
        * examples/Makefile.am:
        * examples/POA/Generic_Servant/Makefile.am:
        * examples/PluggableUDP/Makefile.am:
        * examples/PluggableUDP/tests/Performance/Makefile.am:
        * examples/PluggableUDP/tests/SimplePerformance/Makefile.am:
        * examples/RTScheduling/Makefile.am:
        * examples/Simple/time-date/Makefile.am:
        * orbsvcs/ImplRepo_Service/Makefile.am:
        * orbsvcs/LifeCycle_Service/Makefile.am:
        * orbsvcs/Makefile.am:
        * orbsvcs/Naming_Service/Makefile.am:
        * orbsvcs/examples/CosEC/RtEC_Based/Makefile.am:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/Makefile.am:
        * orbsvcs/examples/LoadBalancing/Makefile.am:
        * orbsvcs/examples/Notify/Filter/Makefile.am:
        * orbsvcs/orbsvcs/Makefile.am:
        * orbsvcs/tests/AVStreams/Component_Switching/Makefile.am:
        * orbsvcs/tests/AVStreams/Latency/Makefile.am:
        * orbsvcs/tests/AVStreams/Multicast/Makefile.am:
        * orbsvcs/tests/Event/Basic/Makefile.am:
        * orbsvcs/tests/Event/Mcast/Makefile.am:
        * orbsvcs/tests/ImplRepo/Bug_689_Regression/Makefile.am:
        * orbsvcs/tests/InterfaceRepo/IFR_Inheritance_Test/Makefile.am:
        * orbsvcs/tests/InterfaceRepo/Makefile.am:
        * orbsvcs/tests/Makefile.am:
        * orbsvcs/tests/Notify/Bug_2561_Regression/Makefile.am:
        * orbsvcs/tests/Notify/Makefile.am:
        * orbsvcs/tests/Security/Makefile.am:
        * orbsvcs/tests/Trading/Makefile.am:
        * orbsvcs/tests/unit/Trading/Interpreter/Makefile.am:
        * performance-tests/Anyop/Makefile.am:
        * performance-tests/Callback/Makefile.am:
        * performance-tests/Cubit/TAO/DII_Cubit/Makefile.am:
        * performance-tests/Cubit/TAO/IDL_Cubit/Makefile.am:
        * performance-tests/Latency/AMH_Single_Threaded/Makefile.am:
        * performance-tests/Latency/AMI/Makefile.am:
        * performance-tests/Latency/Collocation/Makefile.am:
        * performance-tests/Latency/DII/Makefile.am:
        * performance-tests/Latency/DSI/Makefile.am:
        * performance-tests/Latency/Deferred/Makefile.am:
        * performance-tests/Latency/Single_Threaded/Makefile.am:
        * performance-tests/Latency/Thread_Per_Connection/Makefile.am:
        * performance-tests/Latency/Thread_Pool/Makefile.am:
        * performance-tests/Makefile.am:
        * performance-tests/Memory/Single_Threaded/Makefile.am:
        * performance-tests/POA/Demux/Makefile.am:
        * performance-tests/POA/Object_Creation_And_Registration/Makefile.am:
        * performance-tests/RTCorba/Multiple_Endpoints/Common/Makefile.am:
        * performance-tests/Sequence_Latency/AMH_Single_Threaded/Makefile.am:
        * performance-tests/Sequence_Latency/DII/Makefile.am:
        * performance-tests/Sequence_Latency/DSI/Makefile.am:
        * performance-tests/Sequence_Latency/Deferred/Makefile.am:
        * performance-tests/Sequence_Latency/Single_Threaded/Makefile.am:
        * performance-tests/Sequence_Latency/Thread_Per_Connection/Makefile.am:
        * performance-tests/Sequence_Latency/Thread_Pool/Makefile.am:
        * performance-tests/Throughput/Makefile.am:
        * tao/Makefile.am:
        * tests/AMH_Exceptions/Makefile.am:
        * tests/AMI/Makefile.am:
        * tests/AMI_Buffering/Makefile.am:
        * tests/AMI_Timeouts/Makefile.am:
        * tests/Any/Recursive/Makefile.am:
        * tests/Big_AMI/Makefile.am:
        * tests/Big_Oneways/Makefile.am:
        * tests/Big_Request_Muxing/Makefile.am:
        * tests/Big_Twoways/Makefile.am:
        * tests/Blocking_Sync_None/Makefile.am:
        * tests/Bug_1020_Basic_Regression/Makefile.am:
        * tests/Bug_1254_Regression/Makefile.am:
        * tests/Bug_1269_Regression/Makefile.am:
        * tests/Bug_1270_Regression/Makefile.am:
        * tests/Bug_1330_Regression/Makefile.am:
        * tests/Bug_1361_Regression/Makefile.am:
        * tests/Bug_1476_Regression/Makefile.am:
        * tests/Bug_1482_Regression/Makefile.am:
        * tests/Bug_1495_Regression/Makefile.am:
        * tests/Bug_1535_Regression/Makefile.am:
        * tests/Bug_1551_Regression/Makefile.am:
        * tests/Bug_1568_Regression/Makefile.am:
        * tests/Bug_1627_Regression/Makefile.am:
        * tests/Bug_1670_Regression/Makefile.am:
        * tests/Bug_1676_Regression/Makefile.am:
        * tests/Bug_1812_Regression/Makefile.am:
        * tests/Bug_1813_Regression/Makefile.am:
        * tests/Bug_1869_Regression/Makefile.am:
        * tests/Bug_1904_Regression/Makefile.am:
        * tests/Bug_2084_Regression/Makefile.am:
        * tests/Bug_2124_Regression/Makefile.am:
        * tests/Bug_2174_Regression/Makefile.am:
        * tests/Bug_2183_Regression/Makefile.am:
        * tests/Bug_2186_Regression/Makefile.am:
        * tests/Bug_2188_Regression/Makefile.am:
        * tests/Bug_2222_Regression/Makefile.am:
        * tests/Bug_2289_Regression/Makefile.am:
        * tests/Bug_2328_Regression/Makefile.am:
        * tests/Bug_2349_Regression/Makefile.am:
        * tests/Bug_2399_Regression/Makefile.am:
        * tests/Bug_2417_Regression/Makefile.am:
        * tests/Bug_2419_Regression/Makefile.am:
        * tests/Bug_2424_Regression/Makefile.am:
        * tests/Bug_2429_Regression/Makefile.am:
        * tests/Bug_2494_Regression/Makefile.am:
        * tests/Bug_2503_Regression/Makefile.am:
        * tests/Bug_2560_Regression/Makefile.am:
        * tests/Bug_2593_Regression/Makefile.am:
        * tests/Bug_2595_Regression/Makefile.am:
        * tests/Bug_2669_Regression/Makefile.am:
        * tests/Bug_2677_Regression/Makefile.am:
        * tests/Bug_2683_Regression/Makefile.am:
        * tests/Bug_2735_Regression/Makefile.am:
        * tests/COIOP/Makefile.am:
        * tests/CSD_Strategy_Tests/TP_Test_Dynamic/Makefile.am:
        * tests/Cache_Growth_Test/Makefile.am:
        * tests/CallbackTest/Makefile.am:
        * tests/Client_Leaks/Makefile.am:
        * tests/CodeSets/simple/Makefile.am:
        * tests/Collocation/Makefile.am:
        * tests/CollocationLockup/Makefile.am:
        * tests/Collocation_Exception_Test/Makefile.am:
        * tests/Collocation_Opportunities/Makefile.am:
        * tests/Collocation_Tests/Makefile.am:
        * tests/Compression/Makefile.am:
        * tests/Connect_Strategy_Test/Makefile.am:
        * tests/Connection_Purging/Makefile.am:
        * tests/Crash_On_Write/Makefile.am:
        * tests/Crashed_Callback/Makefile.am:
        * tests/DIOP/Makefile.am:
        * tests/DLL_ORB/Makefile.am:
        * tests/DSI_Gateway/Makefile.am:
        * tests/Explicit_Event_Loop/Makefile.am:
        * tests/Exposed_Policies/Makefile.am:
        * tests/FL_Cube/Makefile.am:
        * tests/Faults/Makefile.am:
        * tests/File_IO/Makefile.am:
        * tests/Forwarding/Makefile.am:
        * tests/GIOP_Fragments/Java_Big_Reply/Makefile.am:
        * tests/GIOP_Fragments/Java_Big_Request/Makefile.am:
        * tests/GIOP_Fragments/PMB_With_Fragments/Makefile.am:
        * tests/Hello/Makefile.am:
        * tests/IDL_Test/Makefile.am:
        * tests/IORManipulation/Makefile.am:
        * tests/IORManipulation/filter/Makefile.am:
        * tests/IOR_Endpoint_Hostnames/Makefile.am:
        * tests/IPV6/Makefile.am:
        * tests/InterOp-Naming/Makefile.am:
        * tests/Leader_Followers/Makefile.am:
        * tests/LongUpcalls/Makefile.am:
        * tests/MProfile/Makefile.am:
        * tests/MProfile_Connection_Timeout/Makefile.am:
        * tests/MProfile_Forwarding/Makefile.am:
        * tests/MT_Client/Makefile.am:
        * tests/MT_Server/Makefile.am:
        * tests/MT_Timeout/Makefile.am:
        * tests/Makefile.am:
        * tests/Multiple/Makefile.am:
        * tests/Multiple_Inheritance/Makefile.am:
        * tests/Muxed_GIOP_Versions/Makefile.am:
        * tests/Muxing/Makefile.am:
        * tests/Native_Exceptions/Makefile.am:
        * tests/NestedUpcall/MT_Client_Test/Makefile.am:
        * tests/NestedUpcall/Simple/Makefile.am:
        * tests/Nested_Event_Loop/Makefile.am:
        * tests/Nested_Upcall_Crash/Makefile.am:
        * tests/No_Server_MT_Connect_Test/Makefile.am:
        * tests/OBV/Any/Makefile.am:
        * tests/OBV/Collocated/Forward/Makefile.am:
        * tests/OBV/Factory/Makefile.am:
        * tests/OBV/Forward/Makefile.am:
        * tests/OBV/TC_Alignment/Makefile.am:
        * tests/OBV/Truncatable/Makefile.am:
        * tests/OBV/ValueBox/Makefile.am:
        * tests/ORB_Local_Config/Two_DLL_ORB/Makefile.am:
        * tests/ORB_init/Portspan/Makefile.am:
        * tests/ORB_shutdown/Makefile.am:
        * tests/Object_Loader/Makefile.am:
        * tests/Objref_Sequence_Test/Makefile.am:
        * tests/Ondemand_Write/Makefile.am:
        * tests/Oneway_Buffering/Makefile.am:
        * tests/Oneway_Timeouts/Makefile.am:
        * tests/Oneways_Invoking_Twoways/Makefile.am:
        * tests/Optimized_Connection/Makefile.am:
        * tests/POA/Bug_2511_Regression/Makefile.am:
        * tests/POA/Deactivate_Object/Makefile.am:
        * tests/POA/Default_Servant/Makefile.am:
        * tests/POA/EndpointPolicy/Makefile.am:
        * tests/POA/Etherealization/Makefile.am:
        * tests/POA/Excessive_Object_Deactivations/Makefile.am:
        * tests/POA/Identity/Makefile.am:
        * tests/POA/MT_Servant_Locator/Makefile.am:
        * tests/POA/Makefile.am:
        * tests/POA/Nested_Non_Servant_Upcalls/Makefile.am:
        * tests/POA/Non_Servant_Upcalls/Makefile.am:
        * tests/POA/Object_Reactivation/Makefile.am:
        * tests/POA/POA_Destruction/Makefile.am:
        * tests/POA/Reference_Counting/Makefile.am:
        * tests/POA/Single_Threaded_POA/Makefile.am:
        * tests/POA/wait_for_completion/Makefile.am:
        * tests/Parallel_Connect_Strategy/Makefile.am:
        * tests/Param_Test/Makefile.am:
        * tests/Portable_Interceptors/Benchmark/Makefile.am:
        * tests/Portable_Interceptors/Bug_1559/Makefile.am:
        * tests/Portable_Interceptors/Bug_2510_Regression/Makefile.am:
        * tests/Portable_Interceptors/Dynamic/Makefile.am:
        * tests/Portable_Interceptors/ForwardRequest/Makefile.am:
        * tests/Portable_Interceptors/IORInterceptor/Makefile.am:
        * tests/Portable_Interceptors/PICurrent/Makefile.am:
        * tests/Portable_Interceptors/Request_Interceptor_Flow/Makefile.am:
        * tests/Portable_Interceptors/Service_Context_Manipulation/Makefile.am:
        * tests/QtTests/Makefile.am:
        * tests/RTCORBA/Activate_Object_Multiple_ORBs/Makefile.am:
        * tests/RTCORBA/Banded_Connections/Makefile.am:
        * tests/RTCORBA/Client_Propagated/Makefile.am:
        * tests/RTCORBA/Client_Protocol/Makefile.am:
        * tests/RTCORBA/Dynamic_Thread_Pool/Makefile.am:
        * tests/RTCORBA/Explicit_Binding/Makefile.am:
        * tests/RTCORBA/Linear_Priority/Makefile.am:
        * tests/RTCORBA/MT_Client_Protocol_Priority/Makefile.am:
        * tests/RTCORBA/Persistent_IOR/Makefile.am:
        * tests/RTCORBA/Policy_Combinations/Makefile.am:
        * tests/RTCORBA/Priority_Inversion_With_Bands/Makefile.am:
        * tests/RTCORBA/Private_Connection/Makefile.am:
        * tests/RTCORBA/Profile_And_Endpoint_Selection/Makefile.am:
        * tests/RTCORBA/Server_Declared/Makefile.am:
        * tests/RTCORBA/Server_Protocol/Makefile.am:
        * tests/RTCORBA/Thread_Pool/Makefile.am:
        * tests/RTScheduling/Scheduling_Interceptor/Makefile.am:
        * tests/Reliable_Oneways/Makefile.am:
        * tests/Servant_To_Reference_Test/Makefile.am:
        * tests/Server_Connection_Purging/Makefile.am:
        * tests/Server_Leaks/Makefile.am:
        * tests/Server_Port_Zero/Makefile.am:
        * tests/Single_Read/Makefile.am:
        * tests/Smart_Proxies/Benchmark/Makefile.am:
        * tests/Smart_Proxies/Collocation/Makefile.am:
        * tests/Smart_Proxies/Makefile.am:
        * tests/Smart_Proxies/On_Demand/Makefile.am:
        * tests/Smart_Proxies/Policy/Makefile.am:
        * tests/Smart_Proxies/dtor/Makefile.am:
        * tests/Stack_Recursion/Makefile.am:
        * tests/Strategies/Makefile.am:
        * tests/Timed_Buffered_Oneways/Makefile.am:
        * tests/Timeout/Makefile.am:
        * tests/TransportCurrent/Framework/Makefile.am:
        * tests/TransportCurrent/IIOP/Makefile.am:
        * tests/TransportCurrent/lib/Makefile.am:
        * tests/Two_Objects/Makefile.am:
        * tests/Typedef_String_Array/Makefile.am:
        * tests/UNKNOWN_Exception/Makefile.am:
        * tests/Xt_Stopwatch/Makefile.am:
        * orbsvcs/tests/Event/Mcast/AddrServer/Makefile.am:
        * orbsvcs/tests/Bug_2800_Regression/Makefile.am:
        * orbsvcs/tests/Bug_2925_Regression/Makefile.am:
        * orbsvcs/tests/COIOP_Naming_Test/Makefile.am:
        * orbsvcs/tests/Security/InsecureReferences/Makefile.am:
        * orbsvcs/tests/Security/Bug_2908_Regression/Makefile.am:
        * orbsvcs/tests/Security/EndpointPolicy/Makefile.am:
        * orbsvcs/tests/InterfaceRepo/Bug_2962_Regression/Makefile.am:
        * orbsvcs/tests/Bug_2926_Regression/Makefile.am:
        * orbsvcs/examples/CosEC/configure.ac.Makefiles
        * orbsvcs/examples/CosEC/configure.ac
        * tao/TSR.cpp.diff
        * tao/ORSET.h
        * tests/Bug_2909_Regression/Makefile.am:
        * tests/Object_Loader/configure.ac.Makefiles
        * tests/Object_Loader/configure.ac
        * tests/Bug_2918_Regression/Makefile.am:
        * tests/DynUnion_Test/Makefile.am:
        * tests/DLL_ORB/configure.ac.Makefiles
        * tests/DLL_ORB/configure.ac
        * tests/Bug_1383_Regression/Makefile.am:
        * tests/Bug_2826_Regression/Makefile.am:
        * tests/Bug_2953_Regression/Makefile.am:
        * tests/Bug_2791_Regression/Makefile.am:
        * tests/Bug_2678_Regression/Makefile.am:
        * tests/Bug_2809_Regression/Makefile.am:
        * tests/Bug_2936_Regression/Makefile.am:
        * tests/Bug_2768_Regression/Makefile.am:
        * tests/Bug_2869_Regression/Makefile.am:
        * tests/Bug_2804_Regression/Makefile.am:
        * tests/Bug_2844_Regression/Makefile.am:
        * tests/Bug_2356_Regression/Makefile.am:
        * tests/Bug_2792_Regression/Makefile.am:
        * tests/DiffServ/Makefile.am:
        * tests/POA/Bug_1592_Regression/Makefile.am:
        * tests/LongDouble/Makefile.am:
        * tests/Bug_2795_Regression/Makefile.am:
        * tests/CORBA_e_Implicit_Activation/Makefile.am:
        * tests/CSD_Strategy_Tests/TP_Test_Dynamic/configure.ac.Makefiles
        * tests/CSD_Strategy_Tests/TP_Test_Dynamic/configure.ac
        * tests/ORB_Local_Config/Two_DLL_ORB/configure.ac.Makefiles
        * tests/ORB_Local_Config/Two_DLL_ORB/configure.ac
        * tests/DSI_AMI_Gateway/Makefile.am:
        * tests/Bug_2805_Regression/Makefile.am:
        * tests/Bug_2966_Regression/Makefile.am:
        * tests/DSI_AMH/Makefile.am:
        * tests/Bug_933_Regression/Makefile.am:

          Regenerated and newly added Makefile.am for automake builds.

Mon Jul  9 12:25:56 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/IDL_Test/IDL_Test.mpc:

          Removed the -Gos option altogether from any settings via
          idlflags, and let the option be used only if the gen_ostream
          feature is turned on. There are too many IDL files that
          reference CORBA types to make it worth while to try and
          test the -Gos option in any kind of hard-coded way.

Mon Jul  9 11:32:20 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/IDL_Test/IDL_Test.mpc:

          Further subdivided IDL files into blocks that get slightly
          different IDL compiler command line options, in particular
          a new block, containing anonymous.idl and array_only.idl,
          that get -GA but not -Gos.

Sat Jul  7 19:56:20 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * orbsvcs/orbsvcs/AV/AVStreams_i.cpp:
        * orbsvcs/orbsvcs/AV/Endpoint_Strategy_T.cpp:
        * orbsvcs/orbsvcs/AV/FlowSpec_Entry.cpp:
        * orbsvcs/orbsvcs/AV/RTCP.cpp:
        * orbsvcs/orbsvcs/AV/RTCP_Packet.cpp:
        * orbsvcs/orbsvcs/AV/RTP.cpp:
        * orbsvcs/orbsvcs/AV/UDP.cpp:
        * orbsvcs/orbsvcs/ESF/ESF_Copy_On_Read.cpp:
        * orbsvcs/orbsvcs/ESF/ESF_Copy_On_Write.cpp:
        * orbsvcs/orbsvcs/ESF/ESF_Delayed_Changes.cpp:
        * orbsvcs/orbsvcs/ESF/ESF_Immediate_Changes.inl:
        * orbsvcs/orbsvcs/ESF/ESF_Proxy_Admin.cpp:
        * orbsvcs/orbsvcs/ETCL/ETCL_Interpreter.cpp:
        * orbsvcs/orbsvcs/ETCL/ETCL_l.cpp:
        * orbsvcs/orbsvcs/ETCL/ETCL_y.cpp:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Receiver.cpp:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Sender.cpp:

          Fixed ACE_OS fuzz warnings. Use ACE_OS calls instead of raw OS function
          where possible. If fuzz detected a false-positive, then disable
          the ACE_OS fuzz check for that section of the code.

Sat Jul  7 09:43:00 UTC 2007  Martin Corino  <mcorino@remedy.nl>

        * TAO_IDL/driver/drv_preproc.cpp:
          Restored OpenVMS specific code.

Fri Jul  6 20:38:00 UTC 2007  Martin Corino  <mcorino@remedy.nl>

        * TAO_IDL/be/be_interface.cpp:
          Restored OpenVMS specific code.

Fri Jul  6 10:18:16 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * MPC/config/gen_ostream.mpb:
        * tao/AnyTypeCode/TypeCode.cpp:
        * tao/AnyTypeCode/Any.h:
        * tao/AnyTypeCode/Any.cpp:
        * tao/AnyTypeCode/TypeCode.h:
        * tao/Object.h:
        * tao/Valuetype/AbstractBase.h:
        * tao/Valuetype/ValueBase.cpp:
        * tao/Valuetype/AbstractBase.cpp:
        * tao/Valuetype/ValueBase.h:
        * tao/Object.cpp:

          Added a flag, defined by when the gen_ostream feature is turned on,
          that guards the ostream operators for Object, ValueBase, Any,
          TypeCode, and AbstractBase.

Fri Jul  6 05:03:43 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * orbsvcs/examples/ImR/Advanced/TestClient.cpp:
        * orbsvcs/examples/ImR/Advanced/TestServer.cpp:
        * orbsvcs/examples/ImR/Advanced/manager_main.cpp:
        * orbsvcs/examples/ImR/Combined_Service/dynserver.cpp:
        * orbsvcs/examples/LoadBalancing/StockFactory.cpp:
        * orbsvcs/examples/Notify/Federation/Agent/Agent.cpp:
        * orbsvcs/examples/Notify/Federation/Gate/Gate.cpp:

          Fixed ACE_OS fuzz warnings. Use ACE_OS calls instead of raw OS function
          where possible. If fuzz detected a false-positive, then disable
          the ACE_OS fuzz check for that section of the code.

Thu Jul  5 18:50:00 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/Notify_Service/Notify_Server.cpp:
        * orbsvcs/orbsvcs/Notify/Properties.cpp:
        * orbsvcs/orbsvcs/Notify/Properties.h:
          Make the protocols an unmanages singleton and leak them at process
          exit. When loading the notification service as dll it can happen
          that we unload it after the unload of the anytypecode library
          and when we get a crash. The only solution that works when making
          a dll or an exe is to leak the singleton. Thanks to Chad Elliot
          for testing some patches and giving his insights in why things
          crash.

Thu Jul  5 13:35:00 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/Notify_Service/Notify_Server.cpp
        * orbsvcs/Notify_Service/Notify_Service.cpp
        * orbsvcs/orbsvcs/Notify/CosNotify_Service.cpp
        * orbsvcs/orbsvcs/Notify/CosNotify_Service.h
          Reverted my change below, it breaks the executable
          Thu Jul  5 06:22:00 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

Thu Jul  5 12:50:00 UTC 2007  Simon Massey  <sma@prismtech.com>

        * orbsvcs/tests/InterfaceRepo/Bug_2962_Regression/run_test.pl:

          typo.

Thu Jul  5 12:18:00 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Object_Adapter.inl:
          Layout change

        * tao/Strategies/DIOP_Acceptor.cpp:
        * tao/Strategies/DIOP_Connection_Handler.cpp:
        * tao/Strategies/DIOP_Connector.cpp:
        * tao/Strategies/DIOP_Endpoint.cpp:
        * tao/Strategies/DIOP_Factory.cpp:
          Made formatting of the ACE_DEBUG statements the same as in the core
          TAO lib

Thu Jul  5 12:17:00 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/DIOP/run_test.pl:
          Use a valid explicit portnumer

        * tests/DIOP/server.cpp:
          Layout change

Thu Jul  5 11:40:00 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2503_Regression/test_i.cpp:
        * tests/Bug_2560_Regression/Stock_Factory_i.cpp:
        * tests/Bug_2560_Regression/Stock_i.cpp:
          Removed exception specification

Thu Jul  5 11:31:00 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/AdvSlot/server.cpp:
        * tests/Portable_Interceptors/AdvSlotDblCpy/server.cpp:
        * tests/Portable_Interceptors/AdvSlotExt/server.cpp:
        * tests/Portable_Interceptors/Slot/driver.cpp:
          Removed exception specification

        * tests/POA/EndpointPolicy/run_test.pl:
          Remove another ior file

Thu Jul  5 11:26:00 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORB_Core.cpp:
          Removed not used static resource variable

        * tao/params.cpp:
          Fixed variable initialization order

Thu Jul  5 08:01:00 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORB_Core.cpp:
        * tao/ORB_Core.h:
        * tao/params.cpp:
        * tao/params.h:
          Moved several ORB configuration settins out of the static resources
          into the ORB params. With the introduction of the service gestalt
          the static resources where handled to have an instance for each ORB
          which leads to problems with RTCORBA. Now explicitly changed these
          settings to have a value for each ORB, this makes it also possible
          to mix RT and non RT ORBs/POAs in one process, but using the ORB
          Initializer we can make sure all RTORBs get the correct value.
          This fixes bugzilla 2953, thanks to Iliyan Jeliazkov for reviewing
          the patches.

        * MPC/config/strategies.mpb:
          Strategies library needs PI

        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientORBInitializer.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientService_Activate.cpp:
          Changed to set the endpoint selector factory name on each ORB
          instance using the ORB Initializer

        * orbsvcs/orbsvcs/PortableGroup/PortableGroup_ORBInitializer.cpp:
          Changed to set the POA name in each ORB instance

        * tao/CSD_Framework/CSD_Framework_Loader.cpp:
        * tao/CSD_Framework/CSD_Object_Adapter.h:
        * tao/CSD_Framework/CSD_ORBInitializer.cpp:
        * tao/CSD_Framework/CSD_ORBInitializer.h:
          Added an ORB Initializer to set the POA name in each ORB instance
          instead of setting it in the ORB static resources

        * tao/EndpointPolicy/EndpointPolicy_ORBInitializer.cpp:
        * tao/ORBInitializer_Registry.cpp:
        * tao/PI/PolicyFactory_Registry.cpp:
        * tao/PortableServer/Object_Adapter.cpp:
          Layout changes

        * tao/RTCORBA/RT_ORBInitializer.cpp:
          Set all values into the ORB we are now initializing instead of
          into the static resources

        * tao/Strategies.mpc:
        * tao/Strategies/OC_Endpoint_Selector_Factory.cpp:
        * tao/Strategies/OC_Endpoint_Selector_Factory.h:
        * tao/Strategies/Strategies_ORBInitializer.cpp:
        * tao/Strategies/Strategies_ORBInitializer.h
          Added ORB Initializer to set the endpoint selector factory, because
          of this the strategies library now also depends on PI

        * tao/TAO_Internal.cpp:
          Don't initialize the POA here, do that in the ORB

        * tao/Valuetype/ValueFactory_Map.cpp:
          No need to include TAO_Singleton

Thu Jul  5 06:22:00 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Notify/CosNotify_Service.cpp:
        * orbsvcs/orbsvcs/Notify/CosNotify_Service.h:
        * orbsvcs/Notify_Service/Notify_Server.cpp:
          Moved the TAO_Notify_Properties that is set as singleton from the
          Notify_Server to Notify_Service so that this also works when loading
          the notification service as dll. This fixes bugzilla 2926 and is
          also related to bugzilla 1675.

        * orbsvcs/tests/InterfaceRepo/IFR_Inheritance_Test/IFR_Inheritance_Test.mpc:
          Simplified this file

        * orbsvcs/Naming_Service/Naming_Service.cpp:
        * orbsvcs/orbsvcs/Notify/QoSProperties.cpp
        * orbsvcs/orbsvcs/Notify/ThreadPool_Task.cpp:
          Layout changes

        * orbsvcs/Naming_Service/Naming_Service.h:
        * orbsvcs/Naming_Service/NT_Naming_Service.h:
        * orbsvcs/Notify_Service/Notify_Service.h:
        * orbsvcs/Notify_Service/NT_Notify_Service.h:
          Converted to doxygen style documentation

        * orbsvcs/orbsvcs/Notify/Builder.cpp:
          Initialise pointer with 0

Wed Jul  4 14:30:00 UTC 2007  Simon Massey  <sma@prismtech.com>

        * orbsvcs/tests/InterfaceRepo/Bug_2962_Regression/run_test.pl:

          Fixed relative paths to ACE_ROOT/TAO_ROOT versions.

Wed Jul  4 12:39:39 UTC 2007  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/include/ast_typedef.h:
        * TAO_IDL/ast/ast_typedef.cpp:

          Added a public accessor for the 'owns_base_type' member. It turns
          out to be needed by the tao_ifr backend.

        * orbsvcs/IFR_Service/ifr_adding_visitor.h(element_type):
        * orbsvcs/IFR_Service/ifr_adding_visitor.cpp(element_type):

          Added a parameter to the signature, used when called from a
          typedef, when the 'owns_base_type' member of the typedef
          must be checked, taking the place of 'anonymous' as used
          in calls from a sequence, attribute or valuebox.

Wed Jul  4 06:58:31 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * orbsvcs/tests/Bug_1395_Regression/Bug_1395_Regression.mpc:
        * orbsvcs/tests/Bug_2137_Regression/Bug_2137_Regression.mpc:
        * orbsvcs/tests/Bug_2248_Regression/Bug_2248_Regression.mpc:
        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/GroupRef_Manipulation.mpc:
        * orbsvcs/tests/HTIOP/Hello/HTIOP_Hello.mpc:
        * orbsvcs/tests/Security/Big_Request/Big_Request.mpc:
        * orbsvcs/tests/Security/Bug_1107_Regression/Bug_1107_Regression.mpc:
        * orbsvcs/tests/Security/Bug_2908_Regression/Bug_2908_Regression.mpc:
        * orbsvcs/tests/Security/Secure_Invocation/Secure_Invocation.mpc:

          Remove exename from all projects that inherit from taoserver or taoclient.
          All projects that have taoserver or taoclient as base project do get an
          exename set as part of that project. Thanks to Johnny Willemsen for
          pointing that out.

Wed Jul  4 05:35:49 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * orbsvcs/tests/BiDir_CORBALOC/BiDirCORBALOC.mpc:
        * orbsvcs/tests/Bug_1395_Regression/Bug_1395_Regression.mpc:
        * orbsvcs/tests/Bug_2137_Regression/Bug_2137_Regression.mpc:
        * orbsvcs/tests/Bug_2247_Regression/Bug_2247_Regression.mpc:
        * orbsvcs/tests/Bug_2248_Regression/Bug_2248_Regression.mpc:
        * orbsvcs/tests/Bug_2800_Regression/Bug_2800_Regression.mpc:
        * orbsvcs/tests/Event/Basic/Event_Basic.mpc:
        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/GroupRef_Manipulation.mpc:
        * orbsvcs/tests/FaultTolerance/IOGR/FaultTolerance_IOGR.mpc:
        * orbsvcs/tests/HTIOP/AMI/HTIOP_AMI.mpc:
        * orbsvcs/tests/HTIOP/BiDirectional/HTIOP_BiDirectional.mpc:
        * orbsvcs/tests/HTIOP/Hello/HTIOP_Hello.mpc:
        * orbsvcs/tests/ImplRepo/ImplRepo.mpc:
        * orbsvcs/tests/ImplRepo/scale/scaletest.mpc:
        * orbsvcs/tests/InterfaceRepo/Application_Test/IFR_Application_Test.mpc:
        * orbsvcs/tests/InterfaceRepo/Latency_Test/Latency_Test.mpc:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/Application_Controlled.mpc:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Infrastructure_Controlled/Infrastructure_Controlled.mpc:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/Manage_Object_Group.mpc:
        * orbsvcs/tests/LoadBalancing/LoadMonitor/CPU/LoadMonitorCPU.mpc:
        * orbsvcs/tests/Miop/McastHello/McastHello.mpc:
        * orbsvcs/tests/Notify/Reconnecting/Reconnecting.mpc:
        * orbsvcs/tests/Property/Property.mpc:
        * orbsvcs/tests/Sched_Conf/Sched_Conf.mpc:
        * orbsvcs/tests/Security/BiDirectional/Secure_BiDir.mpc:
        * orbsvcs/tests/Security/Big_Request/Big_Request.mpc:
        * orbsvcs/tests/Security/Bug_1107_Regression/Bug_1107_Regression.mpc:
        * orbsvcs/tests/Security/Bug_2908_Regression/Bug_2908_Regression.mpc:
        * orbsvcs/tests/Security/Callback/Callback.mpc:
        * orbsvcs/tests/Security/Crash_Test/Security_Crash_Test.mpc:
        * orbsvcs/tests/Security/MT_IIOP_SSL/MT_IIOP_SSL.mpc:
        * orbsvcs/tests/Security/MT_SSLIOP/MT_SSLIOP.mpc:
        * orbsvcs/tests/Security/Secure_Invocation/Secure_Invocation.mpc:
        * orbsvcs/tests/Security/ssliop_corbaloc/corbaloc_ssliop.mpc:
        * orbsvcs/tests/Simple_Naming/Simple_Naming.mpc:
        * orbsvcs/tests/Trading/Trading.mpc:

          Make sure we have an explicit exename

Wed Jul  4 04:18:48 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * orbsvcs/tests/BiDir_CORBALOC/TimeServer.cpp:
        * orbsvcs/tests/Bug_1395_Regression/client.cpp:
        * orbsvcs/tests/Bug_1395_Regression/server.cpp:
        * orbsvcs/tests/Bug_2137_Regression/client.cpp:
        * orbsvcs/tests/Bug_2247_Regression/server.cpp:
        * orbsvcs/tests/Bug_2248_Regression/server.cpp:
        * orbsvcs/tests/Bug_2285_Regression/client.cpp:
        * orbsvcs/tests/Bug_2285_Regression/client2.cpp:
        * orbsvcs/tests/Bug_2285_Regression/server.cpp:
        * orbsvcs/tests/Bug_2285_Regression/server2.cpp:
        * orbsvcs/tests/Bug_2287_Regression/client.cpp:
        * orbsvcs/tests/Bug_2287_Regression/server.cpp:
        * orbsvcs/tests/Bug_2316_Regression/client.cpp:
        * orbsvcs/tests/Bug_2316_Regression/server.cpp:
        * orbsvcs/tests/Bug_2377_Regression/uipmc_test.cpp:
        * orbsvcs/tests/Bug_2615_Regression/client.cpp:
        * orbsvcs/tests/Bug_2615_Regression/server.cpp:
        * orbsvcs/tests/Bug_2709_Regression/client.cpp:
        * orbsvcs/tests/Bug_2709_Regression/server.cpp:
        * orbsvcs/tests/Bug_2800_Regression/client.cpp:
        * orbsvcs/tests/Bug_2925_Regression/client.cpp:
        * orbsvcs/tests/Bug_2925_Regression/server.cpp:
        * orbsvcs/tests/COIOP_Naming_Test/COIOP_Test.cpp:
        * orbsvcs/tests/Concurrency/CC_client.cpp:
        * orbsvcs/tests/CosEvent/Basic/Disconnect.cpp:
        * orbsvcs/tests/CosEvent/Basic/MT_Disconnect.cpp:
        * orbsvcs/tests/CosEvent/Basic/Pull_Push_Event.cpp:
        * orbsvcs/tests/CosEvent/Basic/Push_Event.cpp:
        * orbsvcs/tests/CosEvent/Basic/Random.cpp:
        * orbsvcs/tests/CosEvent/Basic/Shutdown.cpp:
        * orbsvcs/tests/EC_Custom_Marshal/ECM_Consumer.cpp:
        * orbsvcs/tests/EC_Custom_Marshal/ECM_Supplier.cpp:
        * orbsvcs/tests/EC_MT_Mcast/MCast.cpp:
        * orbsvcs/tests/EC_Mcast/EC_Mcast.cpp:
        * orbsvcs/tests/EC_Multiple/EC_Multiple.cpp:
        * orbsvcs/tests/EC_Throughput/ECT_Consumer_Driver.cpp:
        * orbsvcs/tests/EC_Throughput/ECT_Supplier_Driver.cpp:
        * orbsvcs/tests/EC_Throughput/ECT_Throughput.cpp:
        * orbsvcs/tests/Event/Basic/Atomic_Reconnect.cpp:
        * orbsvcs/tests/Event/Basic/BCast.cpp:
        * orbsvcs/tests/Event/Basic/Bitmask.cpp:
        * orbsvcs/tests/Event/Basic/Complex.cpp:
        * orbsvcs/tests/Event/Basic/Control.cpp:
        * orbsvcs/tests/Event/Basic/Disconnect.cpp:
        * orbsvcs/tests/Event/Basic/Gateway.cpp:
        * orbsvcs/tests/Event/Basic/MT_Disconnect.cpp:
        * orbsvcs/tests/Event/Basic/Negation.cpp:
        * orbsvcs/tests/Event/Basic/Observer.cpp:
        * orbsvcs/tests/Event/Basic/Random.cpp:
        * orbsvcs/tests/Event/Basic/Reconnect.cpp:
        * orbsvcs/tests/Event/Basic/Schedule.cpp:
        * orbsvcs/tests/Event/Basic/Shutdown.cpp:
        * orbsvcs/tests/Event/Basic/Timeout.cpp:
        * orbsvcs/tests/Event/Basic/Wildcard.cpp:
        * orbsvcs/tests/Event/Mcast/AddrServer/Client.cpp:
        * orbsvcs/tests/Event/Mcast/Complex/consumer.cpp:
        * orbsvcs/tests/Event/Mcast/Complex/gateway-ec.cpp:
        * orbsvcs/tests/Event/Mcast/Complex/supplier.cpp:
        * orbsvcs/tests/Event/Mcast/Simple/consumer.cpp:
        * orbsvcs/tests/Event/Mcast/Simple/gateway-ec.cpp:
        * orbsvcs/tests/Event/Mcast/Simple/supplier.cpp:
        * orbsvcs/tests/Event/Mcast/Two_Way/application.cpp:
        * orbsvcs/tests/Event/Mcast/Two_Way/gateway-ec.cpp:
        * orbsvcs/tests/Event/Performance/Connect.cpp:
        * orbsvcs/tests/Event/Performance/Inversion.cpp:
        * orbsvcs/tests/Event/Performance/Latency.cpp:
        * orbsvcs/tests/Event/Performance/Latency_Server.cpp:
        * orbsvcs/tests/Event/Performance/Throughput.cpp:
        * orbsvcs/tests/Event/ThreadFlags/testflags.cpp:
        * orbsvcs/tests/Event/UDP/receiver.cpp:
        * orbsvcs/tests/Event/UDP/sender.cpp:
        * orbsvcs/tests/FT_App/FT_Client.cpp:
        * orbsvcs/tests/FT_App/FT_Creator.cpp:
        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/client.cpp:
        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/server.cpp:
        * orbsvcs/tests/FaultTolerance/IOGR/server.cpp:
        * orbsvcs/tests/FaultTolerance/IOGRManipulation/IOGRTest.cpp:
        * orbsvcs/tests/HTIOP/AMI/client.cpp:
        * orbsvcs/tests/HTIOP/AMI/server.cpp:
        * orbsvcs/tests/HTIOP/AMI/simple_client.cpp:
        * orbsvcs/tests/HTIOP/BiDirectional/client.cpp:
        * orbsvcs/tests/HTIOP/BiDirectional/server.cpp:
        * orbsvcs/tests/HTIOP/Hello/client.cpp:
        * orbsvcs/tests/HTIOP/Hello/server.cpp:
        * orbsvcs/tests/ImplRepo/Bug_2604_Regression/MessengerServer.cpp:
        * orbsvcs/tests/ImplRepo/airplane_client.cpp:
        * orbsvcs/tests/ImplRepo/airplane_server.cpp:
        * orbsvcs/tests/ImplRepo/nestea_client.cpp:
        * orbsvcs/tests/ImplRepo/nestea_server.cpp:
        * orbsvcs/tests/ImplRepo/scale/server.cpp:
        * orbsvcs/tests/InterfaceRepo/Application_Test/client.cpp:
        * orbsvcs/tests/InterfaceRepo/Application_Test/server.cpp:
        * orbsvcs/tests/InterfaceRepo/IDL3_Test/client.cpp:
        * orbsvcs/tests/InterfaceRepo/Latency_Test/client.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/client.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/server.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Infrastructure_Controlled/client.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Infrastructure_Controlled/server.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/server.cpp:
        * orbsvcs/tests/LoadBalancing/LoadMonitor/CPU/client.cpp:
        * orbsvcs/tests/Miop/McastHello/client.cpp:
        * orbsvcs/tests/Miop/McastHello/server.cpp:
        * orbsvcs/tests/Notify/Basic/AdminProperties.cpp:
        * orbsvcs/tests/Notify/Basic/ConnectDisconnect.cpp:
        * orbsvcs/tests/Notify/Basic/Events.cpp:
        * orbsvcs/tests/Notify/Basic/Filter.cpp:
        * orbsvcs/tests/Notify/Basic/LifeCycle.cpp:
        * orbsvcs/tests/Notify/Basic/MultiTypes.cpp:
        * orbsvcs/tests/Notify/Basic/Sequence.cpp:
        * orbsvcs/tests/Notify/Basic/Simple.cpp:
        * orbsvcs/tests/Notify/Basic/Updates.cpp:
        * orbsvcs/tests/Notify/Reconnecting/Consumer.cpp:
        * orbsvcs/tests/Notify/Reconnecting/Supplier.cpp:
        * orbsvcs/tests/Notify/performance-tests/RedGreen/main.cpp:
        * orbsvcs/tests/Notify/performance-tests/Throughput/Throughput.cpp:
        * orbsvcs/tests/Property/client.cpp:
        * orbsvcs/tests/Property/main.cpp:
        * orbsvcs/tests/Property/server.cpp:
        * orbsvcs/tests/Sched_Conf/Sched_Conf.cpp:
        * orbsvcs/tests/Sched_Conf/Sched_Conf_Anomalies.cpp:
        * orbsvcs/tests/Sched_Conf/Sched_Conf_Runtime.cpp:
        * orbsvcs/tests/Security/BiDirectional/client.cpp:
        * orbsvcs/tests/Security/BiDirectional/server.cpp:
        * orbsvcs/tests/Security/Big_Request/client.cpp:
        * orbsvcs/tests/Security/Big_Request/server.cpp:
        * orbsvcs/tests/Security/Bug_1107_Regression/client.cpp:
        * orbsvcs/tests/Security/Bug_1107_Regression/server.cpp:
        * orbsvcs/tests/Security/Bug_2908_Regression/MessengerClient.cpp:
        * orbsvcs/tests/Security/Bug_2908_Regression/MessengerServer.cpp:
        * orbsvcs/tests/Security/Callback/client.cpp:
        * orbsvcs/tests/Security/Callback/server.cpp:
        * orbsvcs/tests/Security/Crash_Test/client.cpp:
        * orbsvcs/tests/Security/Crash_Test/server.cpp:
        * orbsvcs/tests/Security/EndpointPolicy/test.cpp:
        * orbsvcs/tests/Security/InsecureReferences/test.cpp:
        * orbsvcs/tests/Security/MT_IIOP_SSL/client.cpp:
        * orbsvcs/tests/Security/MT_IIOP_SSL/server.cpp:
        * orbsvcs/tests/Security/MT_SSLIOP/client.cpp:
        * orbsvcs/tests/Security/MT_SSLIOP/server.cpp:
        * orbsvcs/tests/Security/Secure_Invocation/client.cpp:
        * orbsvcs/tests/Security/Secure_Invocation/server.cpp:
        * orbsvcs/tests/Security/ssliop_corbaloc/client.cpp:
        * orbsvcs/tests/Simple_Naming/client.cpp:
        * orbsvcs/tests/Time/client.cpp:
        * orbsvcs/tests/Trading/colocated_test.cpp:
        * orbsvcs/tests/Trading/export_test.cpp:
        * orbsvcs/tests/Trading/import_test.cpp:

          Fixed fuzz warnings.
          Use "int ACE_TMAIN (int argc, ACE_TCHAR *argv[])"
          instead of "int main (int argc, char *argv[])" to conform to ACE's
          coding guidelines.

Tue Jul  3 18:25:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/RTScheduling/RTSchedTestLib.mpc
        * tests/Bug_1270_Regression/Bug_1270_Regression.mpc
        * tests/Bug_1361_Regression/Bug_1361_Regression.mpc
        * tests/Bug_2702_Regression/CloseConnection.mpc
        * tests/Bug_2791_Regression/Bug_2791_Regression.mpc
        * tests/DSI_Gateway/DSI_Gateway.mpc
        * tests/Faults/Faults.mpc
        * tests/IDL_Test/IDL_Test.mpc
        * tests/IORManipulation/filter/IORManip_Filter_Test.mpc
        * tests/LongDouble/LongDoubleTest.mpc
        * tests/MT_BiDir/MT_BiDir.mpc
        * tests/Multiple/Multiple.mpc
        * tests/NestedUpcall/Simple/Simple.mpc
        * tests/NestedUpcall/Triangle_Test/TT.mpc
        * tests/Object_Loader/Object_Loader.mpc
        * tests/OBV/Any/OBV_Any.mpc
        * tests/OBV/Truncatable/OBV_Truncatable.mpc
        * tests/Oneway_Timeouts/test.mpc
        * tests/ORB_destroy/ORB_destroy.mpc
        * tests/ORB_init/Portspan/ORB_Init_Portspan.mpc
        * tests/POA/Nested_Non_Servant_Upcalls/Nested_Non_Servant_Upcalls.mpc
        * tests/POA/Non_Servant_Upcalls/Non_Servant_Upcalls.mpc
        * tests/POA/Object_Reactivation/Object_Reactivation.mpc
        * tests/POA/POA_Destruction/POA_Destruction.mpc
        * tests/POA/POAManagerFactory/POAManagerFactory.mpc
        * tests/POA/Single_Threaded_POA/Single_Threaded_POA.mpc
        * tests/RTCORBA/Activate_Object_Multiple_ORBs/AO_Multiple_ORBs.mpc
        * tests/RTCORBA/Diffserv/RTCORBA_Diffserv.mpc
        * tests/Strategies/Strategies.mpc
        * tests/Xt_Stopwatch/Xt_Stopwatch.mpc
          Make sure we have an explicit exename

Tue Jul  3 12:25:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Makefile.am:
          Regenerated

Tue Jul  3 09:34:10 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_union.cpp:

          Fixed a bug in code generation of ostream operators, some
          compilers require a default switch case, but only if not
          all possible values appear as case statements.

Tue Jul  3 08:36:18 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_structure.cpp:

          Fixed a bug in code generation of ostream operators, an unused
          parameter warning in the operator for empty IDL exceptions.

Tue Jul  3 06:50:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/rt_client.mpb:
        * MPC/config/rt_server.mpb:
          Set exename, most of the RTCorba tests do derive from these base
          projects

Tue Jul  3 06:46:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/AMH_Exceptions/AMH_Exceptions.mpc
        * tests/AMH_Oneway/AMH_Oneway.mpc
        * tests/AMI/AMI.mpc
        * tests/BiDirectional_DelayedUpcall/BiDir_DelayedUpcall.mpc
        * tests/BiDirectional_NestedUpcall/BiDir_NestedUpcall.mpc
        * tests/Big_Oneways/Big_Oneways.mpc
        * tests/Big_Twoways/Big_Twoways.mpc
        * tests/Bug_2503_Regression/Bug_2503_Regression.mpc
        * tests/Bug_2805_Regression/Bug_2805_Regression.mpc
        * tests/Bug_2909_Regression/Bug_2909_Regression.mpc
        * tests/DiffServ/diffserv.mpc
        * tests/DSI_AMI_Gateway/DSI_AMI_Gateway.mpc
        * tests/Faults/Faults.mpc
        * tests/LongUpcalls/LongUpcalls.mpc
        * tests/MT_Timeout/MT_Timeout.mpc
        * tests/Nested_Event_Loop/Nested_Event_Loop.mpc
        * tests/NestedUpcall/MT_Client_Test/MT_Client_Test.mpc
        * tests/NestedUpcall/Triangle_Test/TT.mpc
        * tests/Oneway_Buffering/Oneway_Buffering.mpc
        * tests/Oneways_Invoking_Twoways/Oneways_Invoking_Twoways.mpc
        * tests/POA/Nested_Non_Servant_Upcalls/Nested_Non_Servant_Upcalls.mpc
        * tests/POA/Non_Servant_Upcalls/Non_Servant_Upcalls.mpc
        * tests/POA/Object_Reactivation/Object_Reactivation.mpc
        * tests/POA/POA_Destruction/POA_Destruction.mpc
        * tests/POA/POAManagerFactory/POAManagerFactory.mpc
        * tests/POA/Policies/Policies.mpc
        * tests/POA/Single_Threaded_POA/Single_Threaded_POA.mpc
        * tests/Portable_Interceptors/Slot/PI_Slot.mpc
        * tests/Reliable_Oneways/Reliable_Oneways.mpc
        * tests/RTCORBA/Collocation/RTCORBA_Collocation.mpc
        * tests/RTCORBA/Destroy_Thread_Pool/RTCORBA_Destroy_Thread_Pool.mpc
        * tests/RTCORBA/Diffserv/RTCORBA_Diffserv.mpc
        * tests/RTCORBA/Policies/Policies.mpc
        * tests/Servant_To_Reference_Test/Servant_to_Reference.mpc
        * tests/Timed_Buffered_Oneways/Timed_Buffered_Oneways.mpc
          Set explicit exename

Mon Jul  2 18:35:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_2926_Regression/DllORB.h:
          Added missing duplicate call

Mon Jul  2 16:14:25 UTC 2007  Adam Mitz  <mitza@ociweb.com>

        * tao/LocalObject.h:
        * tao/LocalObject.inl:
        * tao/LocalObject.cpp:
        * tao/Messaging/AMH_Response_Handler.cpp:
        * tao/Object.h:
        * tao/Object.inl:
        * tao/Object.cpp:

          Removed the separate reference count from
          TAO_Local_RefCounted_Object.  Local refcounted objects will now just
          use the reference count kept in Object itself.

Mon Jul  2 12:42:53 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/IDL_Test/IDL_Test.mpc:

          Removed the hard-coded -Gos IDL compiler option from being
          applied to sequence.idl, but allowed it to be applied if
          the ORB has also been built with ostream insertion operator
          generation turned on, since sequence.idl references a basic
          type IDL sequence defined in the ORB.

Mon Jul  2 12:15:37 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * MPC/config/gen_ostream.mpb:

          New file, containing the 'gen_ostream' feature, to enable the
          generation of ostream insertion operators for ORB IDL
          declarations (off by default) to be turned on by setting the
          feature in default.features.

        * tao/tao.mpc:

          Removed the -Gos command line option from the block of basic
          type sequence .pidl files, and added the base project described
          above.

        * docs/compiler.html:

          Added documentation for the new -Gos IDL compiler command line
          option, along with an explanation of how to turn on ostream
          insertion operator generation for ORB IDL declarations, and
          why such a thing might be needed.

Mon Jul  2 11:40:54 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * TAO.mwc:

          Utilize the new 'associate' feature to decrease the amount of
          hand editing required for automake generation.

Mon Jul  2 11:36:01 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * TAO_IDL/fe/idl.ll:
        * TAO_IDL/fe/lex.yy.cpp:

          The regular expression to recognize #line pragmas put in by the C
          preprocessor was enhanced to accept optional numbers after the file
          name to work with some versions of the GNU C preprocessor.

Mon Jul  2 11:29:28 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * tests/Bug_1812_Regression/test.cpp:
        * tests/Bug_1813_Regression/test.cpp:
        * tests/Bug_2222_Regression/test.cpp:
        * tests/Bug_2677_Regression/server.cpp:
        * tests/DLL_ORB/client.cpp:
        * tests/DLL_ORB/server.cpp:
        * tests/Object_Loader/driver.cpp:
        * tests/Queued_Message_Test/Queued_Message_Test.cpp:

          Fixed fuzz warnings.
          Use "int ACE_TMAIN (int argc, ACE_TCHAR *argv[])"
          instead of "int main (int argc, char *argv[])" to conform to ACE's
          coding guidelines.

Mon Jul  2 10:20:34 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/include/utl_scope.h:

          Cosmetic changes.

        * TAO_IDL/be_include/be_interface.h:

          Not checked in with

          Mon Jul  2 10:05:28 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

          as it should have been.

Mon Jul  2 10:15:47 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_type.cpp(nested_name):

          Added a check to ensure that a leading '::' will be generated
          for the type name of CORBA::TypeCode as it is for the other
          CORBA types Object, AbstractBase, ValueBase and Any.

Mon Jul  2 10:05:28 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_predefined_type.cpp:
        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_array.cpp:

          Added generation of ".in ()" to ostream operator generation
          for members that are _var or _forany types. Thanks to
          Johnny Willemsen <jwillemsen at remedy dot nl> for reporting
          the problem.

Mon Jul  2 09:45:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO/TAO_IDL/include/idl_narrow.h:
          Use 0 instead of NULL

Mon Jul  2 08:58:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2936_Regression/*:
          New regression test for bug 2936. Thanks to Lothar Werzingen
          <lothar at tradescape dot biz> for making the regression. The
          problem is in the regression itself, but that has been fixed and
          the test looks interesting for our test suite.

        * tests/RTCORBA/Activate_Object_Multiple_ORBs/run_test.pl:
          Improved for cross platform testing

        * tests/RTCORBA/Activate_Object_Multiple_ORBs/test.cpp:
          Make it possible to pass arguments to orb_init from the commandline

        * tests/RTCORBA/Diffserv/client.cpp:
          Fixed typo

        * tests/Optimized_Connection/oc_client.cpp:
          Layout change

Mon Jul  2 07:31:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Event/EC_ObserverStrategy.cpp:
          Initialise pointer with 0

        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientORBInitializer.cpp:
          Layout changes

        * orbsvcs/tests/Bug_2926_Regression/*:
          New regression test for bug 2926. Thanks to Lothar Werzingen
          <lothar at tradescape dot biz> for reporting this issue

        * orbsvcs/PortableServer/POAManager.inl:
          Fix bug 2926.

Sun Jul  1 17:13:40 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * tests/Bug_1904_Regression/test.cpp:
        * tests/Bug_2399_Regression/test.cpp:

          Fixed unused parameter warnings.

Sat Jun 30 21:38:25 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * orbsvcs/tests/AVStreams/Modify_QoS/sender.cpp:
        * orbsvcs/tests/BiDir_CORBALOC/TimeServer.cpp:
        * orbsvcs/tests/Bug_2247_Regression/test_i.cpp:
        * orbsvcs/tests/Bug_2248_Regression/test_i.cpp:
        * orbsvcs/tests/Bug_2377_Regression/Hello_Impl.cpp:
        * orbsvcs/tests/Bug_2800_Regression/NamingTask.cpp:
        * orbsvcs/tests/Bug_2800_Regression/nsmain.cpp:
        * orbsvcs/tests/Bug_2800_Regression/server.cpp:
        * orbsvcs/tests/Bug_2925_Regression/Hello_Impl.cpp:
        * orbsvcs/tests/COIOP_Naming_Test/NamingTask.cpp:
        * orbsvcs/tests/Concurrency/CC_client.cpp:
        * orbsvcs/tests/Concurrency/CC_command.tab.cpp:
        * orbsvcs/tests/Concurrency/CC_command.cpp:
        * orbsvcs/tests/Concurrency/lex.CC_command.cpp:
        * orbsvcs/tests/EC_Mcast/EC_Mcast.cpp:
        * orbsvcs/tests/EC_Multiple/EC_Multiple.cpp:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/EchoEventConsumerMain.cpp:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/EchoEventConsumer_i.cpp:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/EchoEventSupplierMain.cpp:
        * orbsvcs/tests/Event/Mcast/Two_Way/application.cpp:
        * orbsvcs/tests/FT_App/FT_Client.cpp:
        * orbsvcs/tests/FT_App/FT_Creator.cpp:
        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/client.cpp:
        * orbsvcs/tests/FtRtEvent/PushConsumer.cpp:
        * orbsvcs/tests/InterfaceRepo/IFR_Inheritance_Test/main.cpp:
        * orbsvcs/tests/Interoperable_Naming/ncontextext_client_i.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/LB_server.cpp:
        * orbsvcs/tests/Notify/Reconnecting/Consumer.cpp:
        * orbsvcs/tests/Notify/Reconnecting/Supplier.cpp:
        * orbsvcs/tests/Notify/Structured_Filter/Structured_Consumer.cpp:
        * orbsvcs/tests/Notify/Structured_Multi_Filter/Structured_Consumer.cpp:
        * orbsvcs/tests/Notify/XML_Persistence/main.cpp:
        * orbsvcs/tests/RTCosScheduling/client.cpp:
        * orbsvcs/tests/RTCosScheduling/server.cpp:
        * orbsvcs/tests/Redundant_Naming/client.cpp:
        * orbsvcs/tests/Sched/DynSched_Test.cpp:
        * orbsvcs/tests/Security/EndpointPolicy/test.cpp:
        * orbsvcs/tests/Security/InsecureReferences/test.cpp:

          Fixed ACE_OS fuzz warnings. Use ACE_OS calls instead of raw OS function
          where possible. If fuzz detected a false-positive, then disable
          the ACE_OS fuzz check for that section of the code.

Sat Jun 30 18:42:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/csd_framework.mpb:
        * tao/CSD_Framework.mpc:
          CSD_Framework can't be build with CORBA/e micro enabled because with
          CORBA/e micro you can't create a child POA

Sat Jun 30 16:58:36 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * tests/AMH_Exceptions/client.cpp:
        * tests/AMH_Exceptions/server.cpp:
        * tests/AMH_Oneway/client.cpp:
        * tests/AMH_Oneway/server.cpp:
        * tests/AMI/client.cpp:
        * tests/AMI/server.cpp:
        * tests/AMI/simple_client.cpp:
        * tests/AMI_Buffering/admin.cpp:
        * tests/AMI_Buffering/client.cpp:
        * tests/AMI_Buffering/server.cpp:
        * tests/AMI_Timeouts/client.cpp:
        * tests/AMI_Timeouts/server.cpp:
        * tests/Abstract_Interface/client.cpp:
        * tests/Abstract_Interface/server.cpp:
        * tests/Any/Recursive/client.cpp:
        * tests/Any/Recursive/server.cpp:
        * tests/BiDirectional/client.cpp:
        * tests/BiDirectional/server.cpp:
        * tests/BiDirectional_DelayedUpcall/client.cpp:
        * tests/BiDirectional_DelayedUpcall/server.cpp:
        * tests/BiDirectional_MultipleORB/destroy.cpp:
        * tests/BiDirectional_NestedUpcall/client.cpp:
        * tests/BiDirectional_NestedUpcall/server.cpp:
        * tests/Big_AMI/client.cpp:
        * tests/Big_AMI/server.cpp:
        * tests/Big_Oneways/client.cpp:
        * tests/Big_Oneways/server.cpp:
        * tests/Big_Reply/client.cpp:
        * tests/Big_Reply/server.cpp:
        * tests/Big_Request_Muxing/client.cpp:
        * tests/Big_Request_Muxing/server.cpp:
        * tests/Big_Twoways/client.cpp:
        * tests/Big_Twoways/server.cpp:
        * tests/Blocking_Sync_None/client.cpp:
        * tests/Blocking_Sync_None/server.cpp:
        * tests/Bug_1020_Basic_Regression/client.cpp:
        * tests/Bug_1020_Basic_Regression/server.cpp:
        * tests/Bug_1020_Regression/client.cpp:
        * tests/Bug_1020_Regression/server.cpp:
        * tests/Bug_1269_Regression/client.cpp:
        * tests/Bug_1269_Regression/server.cpp:
        * tests/Bug_1269_Regression/shutdown.cpp:
        * tests/Bug_1270_Regression/client.cpp:
        * tests/Bug_1270_Regression/server.cpp:
        * tests/Bug_1270_Regression/shutdown.cpp:
        * tests/Bug_1330_Regression/client.cpp:
        * tests/Bug_1330_Regression/server.cpp:
        * tests/Bug_1361_Regression/client.cpp:
        * tests/Bug_1361_Regression/server.cpp:
        * tests/Bug_1361_Regression/shutdown.cpp:
        * tests/Bug_1476_Regression/client.cpp:
        * tests/Bug_1476_Regression/server.cpp:
        * tests/Bug_1476_Test/client.cpp:
        * tests/Bug_1482_Regression/client.cpp:
        * tests/Bug_1482_Regression/server.cpp:
        * tests/Bug_1495_Regression/Threaded_Client.cpp:
        * tests/Bug_1495_Regression/Threaded_Server.cpp:
        * tests/Bug_1535_Regression/bug_1535_regression.cpp:
        * tests/Bug_1551_Regression/client.cpp:
        * tests/Bug_1551_Regression/server.cpp:
        * tests/Bug_1568_Regression/client.cpp:
        * tests/Bug_1568_Regression/server.cpp:
        * tests/Bug_1627_Regression/client.cpp:
        * tests/Bug_1627_Regression/server.cpp:
        * tests/Bug_1635_Regression/client.cpp:
        * tests/Bug_1670_Regression/client.cpp:
        * tests/Bug_1670_Regression/server.cpp:
        * tests/Bug_1676_Regression/client.cpp:
        * tests/Bug_1676_Regression/server.cpp:
        * tests/Bug_1693_Test/client.cpp:
        * tests/Bug_1904_Regression/test.cpp:
        * tests/Bug_2084_Regression/Collocated_Test.cpp:
        * tests/Bug_2174_Regression/server.cpp:
        * tests/Bug_2183_Regression/client.cpp:
        * tests/Bug_2183_Regression/server.cpp:
        * tests/Bug_2186_Regression/client.cpp:
        * tests/Bug_2186_Regression/server.cpp:
        * tests/Bug_2188_Regression/client.cpp:
        * tests/Bug_2188_Regression/server.cpp:
        * tests/Bug_2201_Regression/test.cpp:
        * tests/Bug_2289_Regression/client.cpp:
        * tests/Bug_2289_Regression/server.cpp:
        * tests/Bug_2328_Regression/client.cpp:
        * tests/Bug_2328_Regression/server.cpp:
        * tests/Bug_2349_Regression/client.cpp:
        * tests/Bug_2349_Regression/server.cpp:
        * tests/Bug_2356_Regression/client.cpp:
        * tests/Bug_2356_Regression/server.cpp:
        * tests/Bug_2399_Regression/test.cpp:
        * tests/Bug_2417_Regression/client.cpp:
        * tests/Bug_2417_Regression/server.cpp:
        * tests/Bug_2429_Regression/client.cpp:
        * tests/Bug_2429_Regression/server.cpp:
        * tests/Bug_2494_Regression/client.cpp:
        * tests/Bug_2494_Regression/server.cpp:
        * tests/Bug_2503_Regression/client.cpp:
        * tests/Bug_2503_Regression/server.cpp:
        * tests/Bug_2593_Regression/client.cpp:
        * tests/Bug_2593_Regression/server.cpp:
        * tests/Bug_2595_Regression/client.cpp:
        * tests/Bug_2595_Regression/server.cpp:
        * tests/Bug_2654_Regression/client.cpp:
        * tests/Bug_2654_Regression/server.cpp:
        * tests/Bug_2669_Regression/client.cpp:
        * tests/Bug_2678_Regression/client.cpp:
        * tests/Bug_2683_Regression/client.cpp:
        * tests/Bug_2683_Regression/server.cpp:
        * tests/Bug_2702_Regression/client.cpp:
        * tests/Bug_2792_Regression/client.cpp:
        * tests/Bug_2795_Regression/client.cpp:
        * tests/Bug_2804_Regression/client.cpp:
        * tests/Bug_2804_Regression/server.cpp:
        * tests/Bug_2805_Regression/client.cpp:
        * tests/Bug_2844_Regression/client.cpp:
        * tests/Bug_2844_Regression/server.cpp:
        * tests/Bug_2869_Regression/client.cpp:
        * tests/Bug_2909_Regression/client.cpp:
        * tests/Bug_2918_Regression/client.cpp:
        * tests/Bug_2918_Regression/server.cpp:
        * tests/Bug_2966_Regression/client.cpp:
        * tests/Bug_2966_Regression/server.cpp:
        * tests/Bug_933_Regression/MessengerClient.cpp:
        * tests/Bug_933_Regression/MessengerServer.cpp:
        * tests/CDR/allocator.cpp:
        * tests/CDR/basic_types.cpp:
        * tests/CDR/growth.cpp:
        * tests/CDR/tc.cpp:
        * tests/COIOP/COIOP_Simple_Test.cpp:
        * tests/COIOP/COIOP_Test.cpp:
        * tests/CORBA_e_Implicit_Activation/server.cpp:
        * tests/CSD_Strategy_Tests/TP_Common/TestAppMain.h:
        * tests/CSD_Strategy_Tests/TP_Test_Dynamic/client.cpp:
        * tests/CSD_Strategy_Tests/TP_Test_Dynamic/server.cpp:
        * tests/Cache_Growth_Test/client.cpp:
        * tests/Cache_Growth_Test/server.cpp:
        * tests/CallbackTest/client.cpp:
        * tests/CallbackTest/server.cpp:
        * tests/Client_Leaks/child.cpp:
        * tests/Client_Leaks/client.cpp:
        * tests/Client_Leaks/server.cpp:
        * tests/Codec/client.cpp:
        * tests/Collocation_Exception_Test/Collocated_Test.cpp:
        * tests/Collocation_Oneway_Tests/Collocated_Test.cpp:
        * tests/Collocation_Opportunities/Collocation_Opportunities.cpp:
        * tests/Collocation_Tests/Collocated_Test.cpp:
        * tests/Compression/server.cpp:
        * tests/Connect_Strategy_Test/client.cpp:
        * tests/Connect_Strategy_Test/server.cpp:
        * tests/Connection_Failure/client.cpp:
        * tests/Connection_Purging/client.cpp:
        * tests/Connection_Purging/server.cpp:
        * tests/Connection_Timeout/client.cpp:
        * tests/Crash_On_Write/client.cpp:
        * tests/Crash_On_Write/server.cpp:
        * tests/Crashed_Callback/client.cpp:
        * tests/Crashed_Callback/server.cpp:
        * tests/DII_Collocation_Tests/oneway/Collocated_Test.cpp:
        * tests/DII_Collocation_Tests/twoway/Collocated_Test.cpp:
        * tests/DIOP/client.cpp:
        * tests/DIOP/server.cpp:
        * tests/DSI_AMH/client.cpp:
        * tests/DSI_AMH/server.cpp:
        * tests/DSI_AMI_Gateway/client.cpp:
        * tests/DSI_AMI_Gateway/gateway.cpp:
        * tests/DSI_AMI_Gateway/server.cpp:
        * tests/DSI_Gateway/client.cpp:
        * tests/DSI_Gateway/gateway.cpp:
        * tests/DSI_Gateway/server.cpp:
        * tests/DiffServ/client.cpp:
        * tests/DiffServ/server.cpp:
        * tests/Explicit_Event_Loop/client.cpp:
        * tests/Explicit_Event_Loop/server.cpp:
        * tests/Exposed_Policies/client.cpp:
        * tests/Exposed_Policies/server.cpp:
        * tests/FL_Cube/server.cpp:
        * tests/Faults/client.cpp:
        * tests/Faults/middle.cpp:
        * tests/Faults/ping.cpp:
        * tests/Faults/pong.cpp:
        * tests/Faults/server.cpp:
        * tests/File_IO/client.cpp:
        * tests/File_IO/server.cpp:
        * tests/Forwarding/client.cpp:
        * tests/Forwarding/server.cpp:
        * tests/GIOP_Fragments/Java_Big_Reply/client.cpp:
        * tests/GIOP_Fragments/Java_Big_Request/server.cpp:
        * tests/GIOP_Fragments/PMB_With_Fragments/server.cpp:
        * tests/Hang_Shutdown/client.cpp:
        * tests/Hang_Shutdown/server.cpp:
        * tests/Hello/client.cpp:
        * tests/Hello/server.cpp:
        * tests/ICMG_Any_Bug/client.cpp:
        * tests/ICMG_Any_Bug/server.cpp:
        * tests/IDL_Test/main.cpp:
        * tests/IORManipulation/IORTest.cpp:
        * tests/IORManipulation/filter/server.cpp:
        * tests/IOR_Endpoint_Hostnames/generate_ior.cpp:
        * tests/IOR_Endpoint_Hostnames/list_interfaces.cpp:
        * tests/IPV6/client.cpp:
        * tests/IPV6/server.cpp:
        * tests/InterOp-Naming/INS_test_client.cpp:
        * tests/InterOp-Naming/INS_test_server.cpp:
        * tests/Leader_Followers/client.cpp:
        * tests/Leader_Followers/server.cpp:
        * tests/LongDouble/client.cpp:
        * tests/LongDouble/server.cpp:
        * tests/LongUpcalls/ami_client.cpp:
        * tests/LongUpcalls/ami_server.cpp:
        * tests/LongUpcalls/blocking_client.cpp:
        * tests/LongUpcalls/blocking_server.cpp:
        * tests/MProfile/client.cpp:
        * tests/MProfile/server.cpp:
        * tests/MProfile_Connection_Timeout/client.cpp:
        * tests/MProfile_Connection_Timeout/server.cpp:
        * tests/MProfile_Forwarding/client.cpp:
        * tests/MProfile_Forwarding/server.cpp:
        * tests/MT_BiDir/client.cpp:
        * tests/MT_BiDir/server.cpp:
        * tests/MT_Client/client.cpp:
        * tests/MT_Client/orb_creation.cpp:
        * tests/MT_Client/server.cpp:
        * tests/MT_Server/client.cpp:
        * tests/MT_Server/server.cpp:
        * tests/MT_Timeout/client.cpp:
        * tests/MT_Timeout/server.cpp:
        * tests/Multiple_Inheritance/client.cpp:
        * tests/Multiple_Inheritance/server.cpp:
        * tests/Muxed_GIOP_Versions/client.cpp:
        * tests/Muxed_GIOP_Versions/server.cpp:
        * tests/Muxing/client.cpp:
        * tests/Muxing/server.cpp:
        * tests/Native_Exceptions/client.cpp:
        * tests/Native_Exceptions/server.cpp:
        * tests/NestedUpcall/MT_Client_Test/client.cpp:
        * tests/NestedUpcall/MT_Client_Test/server.cpp:
        * tests/NestedUpcall/Triangle_Test/initiator.cpp:
        * tests/NestedUpcall/Triangle_Test/server_A.cpp:
        * tests/NestedUpcall/Triangle_Test/server_B.cpp:
        * tests/Nested_Event_Loop/client.cpp:
        * tests/Nested_Event_Loop/server.cpp:
        * tests/Nested_Upcall_Crash/client.cpp:
        * tests/Nested_Upcall_Crash/scavenger.cpp:
        * tests/Nested_Upcall_Crash/server.cpp:
        * tests/No_Server_MT_Connect_Test/client.cpp:
        * tests/No_Server_MT_Connect_Test/server.cpp:
        * tests/OBV/Any/client.cpp:
        * tests/OBV/Any/server.cpp:
        * tests/OBV/Collocated/Forward/Collocated_Test.cpp:
        * tests/OBV/Factory/client.cpp:
        * tests/OBV/Factory/server.cpp:
        * tests/OBV/Forward/client.cpp:
        * tests/OBV/Forward/server.cpp:
        * tests/OBV/Simple/client.cpp:
        * tests/OBV/Simple/server.cpp:
        * tests/OBV/Supports/client.cpp:
        * tests/OBV/Supports/server.cpp:
        * tests/OBV/TC_Alignment/client.cpp:
        * tests/OBV/TC_Alignment/server.cpp:
        * tests/OBV/Truncatable/client.cpp:
        * tests/OBV/Truncatable/server.cpp:
        * tests/OBV/ValueBox/client.cpp:
        * tests/OBV/ValueBox/server.cpp:
        * tests/ORB_destroy/ORB_destroy.cpp:
        * tests/ORB_init/ORB_init.cpp:
        * tests/ORB_init/Portspan/server.cpp:
        * tests/ORB_shutdown/server.cpp:
        * tests/ORT/client.cpp:
        * tests/Objref_Sequence_Test/client.cpp:
        * tests/Objref_Sequence_Test/server.cpp:
        * tests/OctetSeq/OctetSeq.cpp:
        * tests/OctetSeq/client.cpp:
        * tests/OctetSeq/server.cpp:
        * tests/Ondemand_Write/client.cpp:
        * tests/Ondemand_Write/server.cpp:
        * tests/Oneway_Buffering/admin.cpp:
        * tests/Oneway_Buffering/client.cpp:
        * tests/Oneway_Buffering/server.cpp:
        * tests/Oneways_Invoking_Twoways/client.cpp:
        * tests/Oneways_Invoking_Twoways/server.cpp:
        * tests/Optimized_Connection/oc_client.cpp:
        * tests/POA/Bug_1592_Regression/client.cpp:
        * tests/POA/Bug_1592_Regression/server.cpp:
        * tests/POA/Bug_2511_Regression/server.cpp:
        * tests/POA/Current/Current.cpp:
        * tests/POA/Deactivate_Object/server.cpp:
        * tests/POA/Default_Servant/Default_Servant.cpp:
        * tests/POA/EndpointPolicy/client.cpp:
        * tests/POA/EndpointPolicy/server.cpp:
        * tests/POA/Etherealization/Etherealization.cpp:
        * tests/POA/Excessive_Object_Deactivations/Excessive_Object_Deactivations.cpp:
        * tests/POA/Identity/Identity.cpp:
        * tests/POA/MT_Servant_Locator/MT_Servant_Locator.cpp:
        * tests/POA/Nested_Non_Servant_Upcalls/Nested_Non_Servant_Upcalls.cpp:
        * tests/POA/Non_Servant_Upcalls/Non_Servant_Upcalls.cpp:
        * tests/POA/Object_Reactivation/Object_Reactivation.cpp:
        * tests/POA/POAManagerFactory/POAManagerFactory.cpp:
        * tests/POA/POA_Destruction/POA_Destruction.cpp:
        * tests/POA/Persistent_ID/client.cpp:
        * tests/POA/Persistent_ID/server.cpp:
        * tests/POA/Policies/Policies.cpp:
        * tests/POA/Reference_Counting/test.cpp:
        * tests/POA/Single_Threaded_POA/Single_Threaded_POA.cpp:
        * tests/Parallel_Connect_Strategy/client.cpp:
        * tests/Parallel_Connect_Strategy/server.cpp:
        * tests/Param_Test/anyop.cpp:
        * tests/Param_Test/driver.cpp:
        * tests/Param_Test/server.cpp:
        * tests/Permanent_Forward/StubTest.cpp:
        * tests/Policies/Manipulation.cpp:
        * tests/Portable_Interceptors/AMI/client.cpp:
        * tests/Portable_Interceptors/AMI/server.cpp:
        * tests/Portable_Interceptors/AdvSlot/client.cpp:
        * tests/Portable_Interceptors/AdvSlot/server.cpp:
        * tests/Portable_Interceptors/AdvSlotDblCpy/client.cpp:
        * tests/Portable_Interceptors/AdvSlotDblCpy/server.cpp:
        * tests/Portable_Interceptors/AdvSlotExt/client.cpp:
        * tests/Portable_Interceptors/AdvSlotExt/server.cpp:
        * tests/Portable_Interceptors/Benchmark/client.cpp:
        * tests/Portable_Interceptors/Benchmark/server.cpp:
        * tests/Portable_Interceptors/Bug_1559/client.cpp:
        * tests/Portable_Interceptors/Bug_1559/server.cpp:
        * tests/Portable_Interceptors/Bug_2088/client.cpp:
        * tests/Portable_Interceptors/Bug_2510_Regression/client.cpp:
        * tests/Portable_Interceptors/Bug_2510_Regression/server.cpp:
        * tests/Portable_Interceptors/Collocated/Dynamic/Collocated_Test.cpp:
        * tests/Portable_Interceptors/Collocated/Service_Context_Manipulation/Collocated_Test.cpp:
        * tests/Portable_Interceptors/Dynamic/client.cpp:
        * tests/Portable_Interceptors/Dynamic/server.cpp:
        * tests/Portable_Interceptors/ForwardRequest/client.cpp:
        * tests/Portable_Interceptors/ForwardRequest/server.cpp:
        * tests/Portable_Interceptors/IORInterceptor/client.cpp:
        * tests/Portable_Interceptors/IORInterceptor/server.cpp:
        * tests/Portable_Interceptors/ORB_Shutdown/client.cpp:
        * tests/Portable_Interceptors/ORB_Shutdown/server.cpp:
        * tests/Portable_Interceptors/PICurrent/client.cpp:
        * tests/Portable_Interceptors/PICurrent/server.cpp:
        * tests/Portable_Interceptors/PolicyFactory/server.cpp:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/Collocated_Test.cpp:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/client_main.cpp:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/server_main.cpp:
        * tests/Portable_Interceptors/Recursive_ORBInitializer/client.cpp:
        * tests/Portable_Interceptors/Redirection/client.cpp:
        * tests/Portable_Interceptors/Redirection/server.cpp:
        * tests/Portable_Interceptors/Register_Initial_References/server.cpp:
        * tests/Portable_Interceptors/Request_Interceptor_Flow/client.cpp:
        * tests/Portable_Interceptors/Request_Interceptor_Flow/server.cpp:
        * tests/Portable_Interceptors/Service_Context_Manipulation/client.cpp:
        * tests/Portable_Interceptors/Service_Context_Manipulation/server.cpp:
        * tests/Portable_Interceptors/Slot/driver.cpp:
        * tests/QtTests/client.cpp:
        * tests/QtTests/server.cpp:
        * tests/RTCORBA/Banded_Connections/client.cpp:
        * tests/RTCORBA/Banded_Connections/server.cpp:
        * tests/RTCORBA/Client_Propagated/client.cpp:
        * tests/RTCORBA/Client_Propagated/server.cpp:
        * tests/RTCORBA/Client_Protocol/client.cpp:
        * tests/RTCORBA/Client_Protocol/server.cpp:
        * tests/RTCORBA/Collocation/Collocation.cpp:
        * tests/RTCORBA/Destroy_Thread_Pool/Destroy_Thread_Pool.cpp:
        * tests/RTCORBA/Diffserv/client.cpp:
        * tests/RTCORBA/Diffserv/server.cpp:
        * tests/RTCORBA/Dynamic_Thread_Pool/client.cpp:
        * tests/RTCORBA/Dynamic_Thread_Pool/server.cpp:
        * tests/RTCORBA/Explicit_Binding/client.cpp:
        * tests/RTCORBA/Explicit_Binding/server.cpp:
        * tests/RTCORBA/Linear_Priority/client.cpp:
        * tests/RTCORBA/Linear_Priority/server.cpp:
        * tests/RTCORBA/MT_Client_Protocol_Priority/client.cpp:
        * tests/RTCORBA/MT_Client_Protocol_Priority/server.cpp:
        * tests/RTCORBA/ORB_init/ORB_init.cpp:
        * tests/RTCORBA/Persistent_IOR/client.cpp:
        * tests/RTCORBA/Persistent_IOR/server.cpp:
        * tests/RTCORBA/Policies/Policies.cpp:
        * tests/RTCORBA/Policy_Combinations/client.cpp:
        * tests/RTCORBA/Policy_Combinations/server.cpp:
        * tests/RTCORBA/Priority_Inversion_With_Bands/client.cpp:
        * tests/RTCORBA/Priority_Inversion_With_Bands/server.cpp:
        * tests/RTCORBA/Private_Connection/client.cpp:
        * tests/RTCORBA/Private_Connection/server.cpp:
        * tests/RTCORBA/Profile_And_Endpoint_Selection/client.cpp:
        * tests/RTCORBA/Profile_And_Endpoint_Selection/server.cpp:
        * tests/RTCORBA/RTMutex/server.cpp:
        * tests/RTCORBA/Server_Declared/client.cpp:
        * tests/RTCORBA/Server_Declared/server.cpp:
        * tests/RTCORBA/Server_Protocol/client.cpp:
        * tests/RTCORBA/Server_Protocol/server.cpp:
        * tests/RTCORBA/Thread_Pool/client.cpp:
        * tests/RTCORBA/Thread_Pool/server.cpp:
        * tests/RTScheduling/Current/test.cpp:
        * tests/RTScheduling/DT_Spawn/test.cpp:
        * tests/RTScheduling/Scheduling_Interceptor/test_client.cpp:
        * tests/RTScheduling/Scheduling_Interceptor/test_server.cpp:
        * tests/RTScheduling/Thread_Cancel/test.cpp:
        * tests/RTScheduling/VoidData/test_client.cpp:
        * tests/Reliable_Oneways/client.cpp:
        * tests/Reliable_Oneways/server.cpp:
        * tests/Servant_To_Reference_Test/server.cpp:
        * tests/Server_Connection_Purging/client.cpp:
        * tests/Server_Connection_Purging/server.cpp:
        * tests/Server_Leaks/client.cpp:
        * tests/Server_Leaks/server.cpp:
        * tests/Server_Port_Zero/server.cpp:
        * tests/Single_Read/client.cpp:
        * tests/Single_Read/server.cpp:
        * tests/Smart_Proxies/Benchmark/client.cpp:
        * tests/Smart_Proxies/Benchmark/server.cpp:
        * tests/Smart_Proxies/On_Demand/client.cpp:
        * tests/Smart_Proxies/On_Demand/server.cpp:
        * tests/Smart_Proxies/Policy/client.cpp:
        * tests/Smart_Proxies/Policy/server.cpp:
        * tests/Smart_Proxies/client.cpp:
        * tests/Smart_Proxies/server.cpp:
        * tests/Stack_Recursion/client.cpp:
        * tests/Stack_Recursion/server.cpp:
        * tests/Strategies/client.cpp:
        * tests/Strategies/server.cpp:
        * tests/Timed_Buffered_Oneways/client.cpp:
        * tests/Timed_Buffered_Oneways/server.cpp:
        * tests/Timeout/server.cpp:
        * tests/TransportCurrent/Framework/simple.cpp:
        * tests/Two_Objects/client.cpp:
        * tests/Two_Objects/server.cpp:
        * tests/Typedef_String_Array/client.cpp:
        * tests/Typedef_String_Array/server.cpp:
        * tests/UNKNOWN_Exception/client.cpp:
        * tests/UNKNOWN_Exception/server.cpp:
        * tests/Xt_Stopwatch/client.cpp:
        * tests/Xt_Stopwatch/server.cpp:

          Fixed fuzz warnings.
          Use "int ACE_TMAIN (int argc, ACE_TCHAR *argv[])"
          instead of "int main (int argc, char *argv[])" to conform to ACE's
          coding guidelines.

Fri Jun 29 23:43:45 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * examples/Advanced/ch_12/icp.cpp:
        * examples/Advanced/ch_12/server.cpp:
        * examples/Advanced/ch_18/icp.cpp:
        * examples/Advanced/ch_18/server.cpp:
        * examples/Advanced/ch_21/icp.cpp:
        * examples/Advanced/ch_21/server.cpp:
        * examples/Advanced/ch_3/server.cpp:
        * examples/Advanced/ch_8_and_10/icp.cpp:
        * examples/Borland/ChatClientWnd.cpp:
        * examples/Buffered_AMI/client.cpp:
        * examples/Buffered_Oneways/client.cpp:
        * examples/CSD_Strategy/ThreadPool/OrbShutdownTask.cpp:
        * examples/CSD_Strategy/ThreadPool2/OrbShutdownTask.cpp:
        * examples/CSD_Strategy/ThreadPool3/OrbShutdownTask.cpp:
        * examples/CSD_Strategy/ThreadPool4/OrbShutdownTask.cpp:
        * examples/CSD_Strategy/ThreadPool5/OrbShutdownTask.cpp:
        * examples/CSD_Strategy/ThreadPool6/OrbShutdownTask.cpp:
        * examples/Callback_Quoter/Consumer_Input_Handler.cpp:
        * examples/Callback_Quoter/Notifier_Input_Handler.cpp:
        * examples/Content_Server/AMI_Iterator/Iterator_Factory_i.cpp:
        * examples/Content_Server/AMI_Observer/Push_Iterator_Factory_i.cpp:
        * examples/Content_Server/SMI_Iterator/Iterator_Factory_i.cpp:
        * examples/Event_Comm/Event_Comm_i.cpp:
        * examples/Event_Comm/consumer.cpp:
        * examples/Kokyu_dsrt_schedulers/fp_example/client.cpp:
        * examples/Kokyu_dsrt_schedulers/fp_example/test_i.cpp:
        * examples/Kokyu_dsrt_schedulers/mif_example/client.cpp:
        * examples/Kokyu_dsrt_schedulers/mif_example/test_i.cpp:
        * examples/Kokyu_dsrt_schedulers/muf_example/client.cpp:
        * examples/Kokyu_dsrt_schedulers/muf_example/test_i.cpp:
        * examples/Logging/Logging_Test_i.cpp:
        * examples/POA/Default_Servant/client.cpp:
        * examples/POA/Forwarding/client.cpp:
        * examples/POA/Generic_Servant/client.cpp:
        * examples/POA/TIE/client.cpp:
        * examples/PluggableUDP/tests/Performance/UDP_PerformanceClient.cpp:
        * examples/PluggableUDP/tests/SimplePerformance/client.cpp:
        * examples/Simulator/Event_Supplier/DualEC_Sup.cpp:
        * examples/Simulator/Event_Supplier/Event_Sup.cpp:
        * examples/Simulator/Event_Supplier/Logging_Sup.cpp:

          Fixed ACE_OS fuzz warnings. Use ACE_OS calls instead of raw OS function
          where possible. If fuzz detected a false-positive, then disable
          the ACE_OS fuzz check for that section of the code.

Fri Jun 29 19:41:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Latency/AMI/client.cpp
        * performance-tests/Latency/Thread_Per_Connection/client.cpp
        * performance-tests/Latency/Thread_Pool/client.cpp
        * performance-tests/POA/Demux/server.cpp
        * performance-tests/RTCorba/Multiple_Endpoints/Orb_Per_Priority/client.cpp
        * performance-tests/RTCorba/Multiple_Endpoints/Single_Endpoint/client.cpp
        * performance-tests/RTCorba/Oneways/Reliable/client.cpp
        * performance-tests/Sequence_Latency/AMI/client.cpp
        * performance-tests/Sequence_Latency/Thread_Per_Connection/client.cpp
        * performance-tests/Sequence_Latency/Thread_Pool/client.cpp
          Added missing includes

Fri Jun 29 12:00:25 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * performance-tests/Anyop/anyop.cpp:
        * performance-tests/CSD_Strategy/TestInf/TestAppMain.h:
        * performance-tests/Callback/client.cpp:
        * performance-tests/Callback/server.cpp:
        * performance-tests/Cubit/TAO/IDL_Cubit/client.cpp:
        * performance-tests/Cubit/TAO/IDL_Cubit/collocation_test.cpp:
        * performance-tests/Cubit/TAO/IDL_Cubit/server.cpp:
        * performance-tests/Cubit/TAO/MT_Cubit/client.cpp:
        * performance-tests/Cubit/TAO/MT_Cubit/server.cpp:
        * performance-tests/Latency/AMH_Single_Threaded/client.cpp:
        * performance-tests/Latency/AMH_Single_Threaded/server.cpp:
        * performance-tests/Latency/AMI/client.cpp:
        * performance-tests/Latency/AMI/server.cpp:
        * performance-tests/Latency/Collocation/Collocated_Test.cpp:
        * performance-tests/Latency/DII/client.cpp:
        * performance-tests/Latency/DII/server.cpp:
        * performance-tests/Latency/DSI/client.cpp:
        * performance-tests/Latency/DSI/server.cpp:
        * performance-tests/Latency/Deferred/client.cpp:
        * performance-tests/Latency/Deferred/server.cpp:
        * performance-tests/Latency/Single_Threaded/client.cpp:
        * performance-tests/Latency/Single_Threaded/server.cpp:
        * performance-tests/Latency/Thread_Per_Connection/client.cpp:
        * performance-tests/Latency/Thread_Per_Connection/server.cpp:
        * performance-tests/Latency/Thread_Pool/client.cpp:
        * performance-tests/Latency/Thread_Pool/server.cpp:
        * performance-tests/Memory/IORsize/client.cpp:
        * performance-tests/Memory/IORsize/server.cpp:
        * performance-tests/Memory/Single_Threaded/client.cpp:
        * performance-tests/Memory/Single_Threaded/server.cpp:
        * performance-tests/POA/Create_Reference/create_reference.cpp:
        * performance-tests/POA/Demux/client.cpp:
        * performance-tests/POA/Demux/demux_stats.cpp:
        * performance-tests/POA/Demux/write_names.cpp:
        * performance-tests/POA/Implicit_Activation/client.cpp:
        * performance-tests/POA/Implicit_Activation/collocated.cpp:
        * performance-tests/POA/Implicit_Activation/server.cpp:
        * performance-tests/POA/Object_Creation_And_Registration/registration.cpp:
        * performance-tests/Pluggable/client.cpp:
        * performance-tests/Pluggable/server.cpp:
        * performance-tests/Protocols/distributor.cpp:
        * performance-tests/Protocols/receiver.cpp:
        * performance-tests/Protocols/sender.cpp:
        * performance-tests/RTCorba/Multiple_Endpoints/Orb_Per_Priority/client.cpp:
        * performance-tests/RTCorba/Multiple_Endpoints/Orb_Per_Priority/server.cpp:
        * performance-tests/RTCorba/Multiple_Endpoints/Single_Endpoint/client.cpp:
        * performance-tests/RTCorba/Multiple_Endpoints/Single_Endpoint/server.cpp:
        * performance-tests/RTCorba/Oneways/Reliable/client.cpp:
        * performance-tests/RTCorba/Oneways/Reliable/server.cpp:
        * performance-tests/RTCorba/Thread_Pool/client.cpp:
        * performance-tests/RTCorba/Thread_Pool/server.cpp:
        * performance-tests/Sequence_Latency/AMH_Single_Threaded/client.cpp:
        * performance-tests/Sequence_Latency/AMH_Single_Threaded/server.cpp:
        * performance-tests/Sequence_Latency/AMI/client.cpp:
        * performance-tests/Sequence_Latency/AMI/server.cpp:
        * performance-tests/Sequence_Latency/DII/client.cpp:
        * performance-tests/Sequence_Latency/DII/server.cpp:
        * performance-tests/Sequence_Latency/DSI/client.cpp:
        * performance-tests/Sequence_Latency/DSI/server.cpp:
        * performance-tests/Sequence_Latency/Deferred/client.cpp:
        * performance-tests/Sequence_Latency/Deferred/server.cpp:
        * performance-tests/Sequence_Latency/Single_Threaded/client.cpp:
        * performance-tests/Sequence_Latency/Single_Threaded/server.cpp:
        * performance-tests/Sequence_Latency/Thread_Per_Connection/client.cpp:
        * performance-tests/Sequence_Latency/Thread_Per_Connection/server.cpp:
        * performance-tests/Sequence_Latency/Thread_Pool/client.cpp:
        * performance-tests/Sequence_Latency/Thread_Pool/server.cpp:
        * performance-tests/Throughput/client.cpp:
        * performance-tests/Throughput/server.cpp:

          Fixed fuzz warnings.
          Use "int ACE_TMAIN (int argc, ACE_TCHAR *argv[])"
          instead of "int main (int argc, char *argv[])" to conform to ACE's
          coding guidelines.

Fri Jun 29 10:57:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2953_Regression/*:
          New regression for bug 2953, reproduces a problem with RTCORBA
          that seems to be caused by the service gestalt related changes in
          TAO

Fri Jun 29 01:27:22 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * tests/AMH_Exceptions/server.cpp:
        * tests/Bug_1361_Regression/client.cpp:
        * tests/Bug_1676_Regression/Hello.cpp:
        * tests/Bug_2319_Regression/server.cpp:
        * tests/Bug_2349_Regression/server.cpp:
        * tests/Bug_2417_Regression/subscriber_impl.cpp:
        * tests/Bug_2560_Regression/Stock_Factory_i.cpp:
        * tests/Bug_2678_Regression/server.cpp:
        * tests/CDR/allocator.cpp:
        * tests/CSD_Strategy_Tests/TP_Common/OrbShutdownTask.cpp:
        * tests/CodeSets/simple/client.cpp:
        * tests/CodeSets/simple/server.cpp:
        * tests/CollocationLockup/SimpleNamingService.cpp:
        * tests/Collocation_Oneway_Tests/Collocated_Test.cpp:
        * tests/DII_Collocation_Tests/oneway/Hello.cpp:
        * tests/DII_Collocation_Tests/twoway/Hello.cpp:
        * tests/DiffServ/server.cpp:
        * tests/Explicit_Event_Loop/server.cpp:
        * tests/File_IO/client.cpp:
        * tests/IOR_Endpoint_Hostnames/generate_ior.cpp:
        * tests/IOR_Endpoint_Hostnames/list_interfaces.cpp:
        * tests/Leader_Followers/client.cpp:
        * tests/Leader_Followers/server.cpp:
        * tests/MT_Timeout/client.cpp:
        * tests/Multiple_Inheritance/client.cpp:
        * tests/NestedUpcall/MT_Client_Test/local_server.cpp:
        * tests/Nested_Event_Loop/client.cpp:
        * tests/OBV/Supports/client.cpp:
        * tests/OBV/ValueBox/Test_impl.cpp:
        * tests/OBV/ValueBox/client.cpp:
        * tests/ORB_Local_Config/Bug_2612/DllOrb.cpp:
        * tests/Objref_Sequence_Test/server.cpp:
        * tests/Oneway_Buffering/client.cpp:
        * tests/Oneway_Timeouts/server.cpp:
        * tests/POA/EndpointPolicy/server.cpp:
        * tests/POA/Persistent_ID/server.cpp:
        * tests/Param_Test/helper.cpp:
        * tests/Param_Test/results.cpp:
        * tests/Param_Test/ub_struct_seq.cpp:
        * tests/Param_Test/var_array.cpp:
        * tests/Portable_Interceptors/AdvSlot/server.cpp:
        * tests/Portable_Interceptors/AdvSlotDblCpy/server.cpp:
        * tests/Portable_Interceptors/AdvSlotExt/server.cpp:
        * tests/RTCORBA/Banded_Connections/server.cpp:
        * tests/RTCORBA/Client_Propagated/server.cpp:
        * tests/RTCORBA/Client_Protocol/server.cpp:
        * tests/RTCORBA/Collocation/Collocation.cpp:
        * tests/RTCORBA/Diffserv/server.cpp:
        * tests/RTCORBA/Explicit_Binding/server.cpp:
        * tests/RTCORBA/Linear_Priority/client.cpp:
        * tests/RTCORBA/Linear_Priority/server.cpp:
        * tests/RTCORBA/MT_Client_Protocol_Priority/server.cpp:
        * tests/RTCORBA/Persistent_IOR/client.cpp:
        * tests/RTCORBA/Persistent_IOR/server.cpp:
        * tests/RTCORBA/Policy_Combinations/client.cpp:
        * tests/RTCORBA/Policy_Combinations/server.cpp:
        * tests/RTCORBA/Private_Connection/server.cpp:
        * tests/RTCORBA/Profile_And_Endpoint_Selection/client.cpp:
        * tests/RTCORBA/Profile_And_Endpoint_Selection/server.cpp:
        * tests/RTCORBA/Server_Declared/server.cpp:
        * tests/RTCORBA/Server_Protocol/server.cpp:
        * tests/RTScheduling/Scheduling_Interceptor/test_server.cpp:
        * tests/Reliable_Oneways/client.cpp:
        * tests/Sequence_Unit_Tests/mock_array.cpp:
        * tests/Sequence_Unit_Tests/unbounded_octet_sequence_nocopy_ut.cpp:
        * tests/Single_Read/client.cpp:
        * tests/Smart_Proxies/Benchmark/server.cpp:
        * tests/Smart_Proxies/On_Demand/server.cpp:
        * tests/Smart_Proxies/Policy/server.cpp:
        * tests/Smart_Proxies/dtor/server.cpp:
        * tests/Smart_Proxies/server.cpp:
        * tests/Timed_Buffered_Oneways/client.cpp:
        * tests/Timeout/client.cpp:
        * tests/TransportCurrent/Framework/server.cpp:
        * tests/UNKNOWN_Exception/server.cpp:

          Fixed ACE_OS fuzz warnings. Use ACE_OS calls instead of raw OS function
          where possible. If fuzz detected a false-positive, then disable
          the ACE_OS fuzz check for that section of the code.

Fri Jun 29 01:12:34 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * performance-tests/CSD_Strategy/TestInf/OrbShutdownTask.cpp:
        * performance-tests/Cubit/TAO/MT_Cubit/client.cpp:
        * performance-tests/POA/Demux/demux_stats.cpp:
        * performance-tests/POA/Demux/demux_test_client.inl:
        * performance-tests/POA/Demux/demux_test_server.cpp:
        * performance-tests/POA/Demux/write_names.cpp:
        * performance-tests/Protocols/distributor.cpp:
        * performance-tests/Protocols/receiver.cpp:
        * performance-tests/RTCorba/Thread_Pool/server.cpp:

          Fixed ACE_OS fuzz warnings. Use ACE_OS calls instead of raw OS function
          where possible. If fuzz detected a false-positive, then disable
          the ACE_OS fuzz check for that section of the code.

Thu Jun 28 16:40:26 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/Event/Mcast/AddrServer/Client.cpp:
          Added error bailout if IPv6 address is obtained from the address
          server by a client compiled w/o IPv6 support.

        * tao/EndpointPolicy/IIOPEndpointValue_i.h:
        * tao/EndpointPolicy/IIOPEndpointValue_i.cpp:
          Store endpoint values internally as ACE_INET_Addrs rather than
          strings. This fixes a problem on windows where "localhost" gets
          translated to "127.0.0.1" when initializing an ACE_INET_Addr
          with "localhost" then later calling addr_to_string(). This then
          caused failures when attempting to set up a localhost-only IOR
          via the endpoint policy.

        * tao/Profile.h:
        * tao/Profile.cpp:
          Removed obsolete function object_key from the Unknown_Profile.
          It had previously been removed from all other profile types.

        * tao/Strategies/UIOP_Profile.cpp:
          It seems that Abdul's fix, (cf Thu Jun 28 00:03:58 UTC 2007
          Abdullah Sowayan  <abdullah.sowayan@lmco.com>) included
          replacing a call to isdigit with ACE_OS::ace_isdigit, but my
          compiler could not find ace_isdigit until I included
          ACE OS_NS_ctypes.h. Having done that, it seems that the old
          include of ace/os_include/os_ctype.h is redundant, so I've taken
          it out.

Thu Jun 28 14:07:00 UTC 2007  Simon Massey  <sma@prismtech.com>

        * orbsvcs/tests/InterfaceRepo/Bug_2962_Regression/client.cpp:

          Fix fuzz error.

Thu Jun 28 13:48:39 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/DynamicInterface/Request.cpp (poll_response):
          Don't hold the mutex when running the orb, could lead to a deadlock
          when the response arrives in a build with threading enabled. Thanks
          to Martin Corino for finding this issue, this fixes bugzilla 2966

        * tao/DynamicInterface/Request.{h,cpp,inl}:
          Use Atomic_Op for the refcount, much more optimal and also cleaner
          code

        * tao/DynamicInterface/Server_Request.{h,cpp}:
          Use Atomic_Op for the refcount, much more optimal and also cleaner
          code

        * tao/AnyTypeCode/NVList.cpp:
          Const changed

Thu Jun 28 10:27:39 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Connection_Handler.cpp:
        * tao/PortableServer/PortableServer.cpp:
          Layout changes

        * tao/PortableServer/Regular_POA.{h,cpp,inl}:
          Not needed with CORBA/e micro

        * tao/PortableServer/Root_POA.{h,cpp}:
          The new_POA method is not required with the CORBA/e micro
          profile

Thu Jun 28 08:43:39 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Connection_Handler.cpp:
          Documentation change

        * tao/Connection_Handler.h:
        * tao/EndpointPolicy/EndpointPolicy_ORBInitializer.cpp:
        * tao/FILE_Parser.cpp:
        * tao/FILE_Parser.h:
        * tao/HTTP_Parser.h:
        * tao/RTScheduling/RTScheduler_Initializer.cpp:
        * tao/TransportCurrent/Current_ORBInitializer_Base.cpp:
        * tao/TransportCurrent/IIOP_Current_Loader.cpp:
          Layout changes

        * tao/DiffServPolicy/DiffServPolicy_ORBInitializer.cpp:
          Catch exception as const

        * tao/IIOP_Connector.cpp:
          Updated some debug statements to conform the formatting
          done in TAO

        * tao/Invocation_Adapter.cpp:
          Removed not needed return

        * tao/Object.{h,cpp}:
          _get_component is not required for CORBA/e

        * tao/Protocols_Hooks.{h,cpp}:
        * tao/RTCORBA/RT_ORB.{h,cpp}:
        * tao/RTCORBA/RT_Protocols_Hooks.{h,cpp}:
          Extended the DIOP protocol properties with send and receive
          buffer size. This fixes bugzilla 2955

        * tao/RTCORBA/diffs/RT_ProtocolProperties.diff:
        * tao/RTCORBA/diffs/RTCORBA.diff:
          Need only a diff for the new RT_ProtocolProperties

        * tao/RTCORBA/Direct_Priority_Mapping.h:
        * tao/RTCORBA/Linear_Network_Priority_Mapping.h:
        * tao/RTCORBA/Linear_Priority_Mapping.h:
        * tao/RTCORBA/Multi_Priority_Mapping.h:
        * tao/RTCORBA/Network_Priority_Mapping.h:
        * tao/RTCORBA/Network_Priority_Mapping_Manager.h:
        * tao/RTCORBA/Priority_Mapping.h:
        * tao/RTCORBA/Priority_Mapping_Manager.h:
        * tao/RTCORBA/RT_Current.h:
        * tao/RTCORBA/RT_Endpoint_Selector_Factory.h:
        * tao/RTCORBA/RT_Invocation_Endpoint_Selectors.h:
        * tao/RTCORBA/RT_Mutex.h:
        * tao/RTCORBA/RT_ORB_Loader.h:
        * tao/RTCORBA/Thread_Pool.h:
          Rearranged includes

        * tao/RTCORBA/RT_Invocation_Endpoint_Selectors.cpp:
          No need for intermediate variable

        * tao/RTCORBA/RT_Policy_i.{h,cpp}:
          Layout changes and extended DIOP code

        * tao/RTCORBA/RT_ProtocolProperties.pidl:
        * tao/RTCORBA/RT_ProtocolPropertiesA.cpp:
        * tao/RTCORBA/RT_ProtocolPropertiesA.h:
        * tao/RTCORBA/RT_ProtocolPropertiesC.cpp:
        * tao/RTCORBA/RT_ProtocolPropertiesC.h:
        * tao/RTCORBA/RT_ProtocolPropertiesS.h:
          Moved the ProtocolProperties to its own file, this needs a manual
          patch

        * tao/RTCORBA/RTCORBA.h:
          Include the rtcorba_typedefs file here

        * tao/RTCORBA/RTCORBA.pidl:
          Moved the ProtocolProperties out of this file, now we can regenerate
          this as part of the build and this also makes it possible to support
          CORBA/e for the RTCORBA library

        * tao/RTCORBA/RTCORBAA.cpp:
        * tao/RTCORBA/RTCORBAA.h:
        * tao/RTCORBA/RTCORBAC.cpp:
        * tao/RTCORBA/RTCORBAC.h:
        * tao/RTCORBA/RTCORBAS.h:
          Removed from the repo

        * tao/Strategies/DIOP_Acceptor.cpp:
        * tao/Strategies/DIOP_Connector.cpp:
        * tao/Strategies/DIOP_Endpoint.cpp:
        * tao/Strategies/DIOP_Profile.cpp:
        * tao/Strategies/DIOP_Transport.cpp:
          Updated several debug statements, layout changes

        * tao/Strategies/DIOP_Connection_Handler.cpp:
          Use the send/receive buffer sizes

        * tao/RTCORBA.mpc:
          Enabled regeneration of RTCORBA.pidl

Mon Jun 25 20:57:14 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * docs: Added a new file called documentation.html to describe the
          TAO programmer's guides in a single place.

Thu Jun 28 04:28:26 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * utils/nslist/nslist.cpp:

          Fixed ACE_OS fuzz warnings. Use ACE_OS calls instead of raw OS function
          where possible. If fuzz detected a false-positive, then disable
          the ACE_OS fuzz check for that section of the code.

Thu Jun 28 01:28:20 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * docs/tutorials/Quoter/AMI/Stock_Factory_i.cpp:
        * docs/tutorials/Quoter/Naming_Service/Stock_Factory_i.cpp:
        * docs/tutorials/Quoter/On_Demand_Activation/Stock_Factory_Locator_i.cpp:
        * docs/tutorials/Quoter/On_Demand_Activation/Stock_Factory_i.cpp:
        * docs/tutorials/Quoter/Simple/Impl-Repo/Stock_Factory_i.cpp:
        * docs/tutorials/Quoter/Simple/Persistent/Stock_Factory_i.cpp:
        * docs/tutorials/Quoter/Simple/Server/Stock_Factory_i.cpp:

          Fixed ACE_OS fuzz warnings. Use ACE_OS calls instead of raw OS function
          where possible. If fuzz detected a false-positive, then disable
          the ACE_OS fuzz check for that section of the code.

Thu Jun 28 00:03:58 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * tao/Acceptor_Registry.cpp:
        * tao/CSD_ThreadPool/CSD_TP_Task.cpp:
        * tao/ORB.cpp:
        * tao/Profile.cpp:
        * tao/Reactive_Connect_Strategy.cpp:
        * tao/Strategies/SHMIOP_Acceptor.cpp:
        * tao/Strategies/UIOP_Profile.cpp:
        * tao/TypeCodeFactory/TypeCodeFactory_i.cpp:

          Fixed ACE_OS fuzz warnings. Use ACE_OS calls instead of raw OS function
          where possible. If fuzz detected a false-positive, then disable
          the ACE_OS fuzz check for that section of the code.

Wed Jun 27 23:49:36 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_sunsoft.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ih.cpp:
        * TAO_IDL/be/be_visitor_traits.cpp:
        * TAO_IDL/driver/drv_preproc.cpp:
        * TAO_IDL/fe/lex.yy.cpp:

          Fixed ACE_OS fuzz warnings. Use ACE_OS calls instead of raw OS function
          where possible. If fuzz detected a false-positive, then disable
          the ACE_OS fuzz check for that section of the code.


        * TAO_IDL/be/be_codegen.cpp:

          Fixed a bug introduced in:
          Wed Jun 27 09:10:21 UTC 2007  Jeff Parsons <j.parsons@...>

          The IDL compiler generated the following include "ace/Streams.h"
          which I changed to "ace/streams.h" to appease compilers that are
          case sensitive.

Wed Jun 27 09:50:00 UTC 2007  Simon Massey  <sma@prismtech.com>

        * orbsvcs/tests/InterfaceRepo/Bug_2962_Regression/Bug_2962_Regression.mpc:
        * orbsvcs/tests/InterfaceRepo/Bug_2962_Regression/client.cpp:
        * orbsvcs/tests/InterfaceRepo/Bug_2962_Regression/ReadMe.txt:
        * orbsvcs/tests/InterfaceRepo/Bug_2962_Regression/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/Bug_2962_Regression/test.idl:

          Added regression test for

        * orbsvcs/orbsvcs/IFRService/ArrayDef_i.cpp:

          Fixed bugzilla bug 2962, corrupted nested array length reporting.

Wed Jun 27 09:39:39 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/tutorials/Quoter/RT_Event_Service/Stock_Consumer.cpp:
        * docs/tutorials/Quoter/RT_Event_Service/Stock_Consumer.h:
        * docs/tutorials/Quoter/RT_Event_Service/Stock_Factory_i.cpp:
        * docs/tutorials/Quoter/RT_Event_Service/Stock_Factory_i.h:
        * docs/tutorials/Quoter/RT_Event_Service/Stock_i.cpp:
        * docs/tutorials/Quoter/RT_Event_Service/Stock_i.h:
          Zapped exception specification

Wed Jun 27 09:10:21 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs\IFR_Service\IFR_Service.mpc:

          Added line 'after += IFR_Service' to
          project TAO_IFR_BE, since the tao_ifr
          executable must resolve the IFR service.

        * tao\tao.mpc:

          Added new IDL compiler option -Gos (see
          below) to the command line for regenerating
          the basic type sequences.

        * tests\IDL_Test\IDL_Test.mpc:

          Added the new IDL compiler option -Gos to
          the processing of the IDL files in this test,
          to ensure that the generated ostream operators
          are compilable.

        * tao\AnyTypeCode\TypeCode.cpp:
        * tao\AnyTypeCode\Any.h:
        * tao\AnyTypeCode\Any.cpp:
        * tao\AnyTypeCode\TypeCode.h:
        * tao\Object.h:
        * tao\Typecode_typesC.h:
        * tao\Typecode_typesC.cpp:
        * tao\Valuetype\AbstractBase.h:
        * tao\Valuetype\ValueBase.cpp:
        * tao\Valuetype\AbstractBase.cpp:
        * tao\Valuetype\ValueBase.h:
        * tao\Object.cpp:

          Added ostream operators for the CORBA types
          in TAO that aren't automatically regenerated.

        * TAO_IDL\include\ast_union_branch.h:
        * TAO_IDL\be\be_union.cpp:
        * TAO_IDL\be\be_visitor_exception\cdr_op_ch.cpp:
        * TAO_IDL\be\be_visitor_exception\cdr_op_cs.cpp:
        * TAO_IDL\be\be_typedef.cpp:
        * TAO_IDL\be\be_structure.cpp:
        * TAO_IDL\be\be_valuetype.cpp:
        * TAO_IDL\be\be_field.cpp:
        * TAO_IDL\be\be_visitor_interface\interface_ch.cpp:
        * TAO_IDL\be\be_visitor_interface\cdr_op_ch.cpp:
        * TAO_IDL\be\be_visitor_interface\interface_cs.cpp:
        * TAO_IDL\be\be_visitor_interface\cdr_op_cs.cpp:
        * TAO_IDL\be\be_codegen.cpp:
        * TAO_IDL\be\be_union_branch.cpp:
        * TAO_IDL\be\be_visitor_sequence\cdr_op_ch.cpp:
        * TAO_IDL\be\be_visitor_sequence\cdr_op_cs.cpp:
        * TAO_IDL\be\be_predefined_type.cpp:
        * TAO_IDL\be\be_visitor_array\cdr_op_ch.cpp:
        * TAO_IDL\be\be_visitor_array\array_cs.cpp:
        * TAO_IDL\be\be_visitor_array\cdr_op_cs.cpp:
        * TAO_IDL\be\be_type.cpp:
        * TAO_IDL\be\be_visitor_union\cdr_op_ch.cpp:
        * TAO_IDL\be\be_visitor_union\cdr_op_cs.cpp:
        * TAO_IDL\be\be_visitor_structure\cdr_op_ch.cpp:
        * TAO_IDL\be\be_visitor_structure\cdr_op_cs.cpp:
        * TAO_IDL\be\be_exception.cpp:
        * TAO_IDL\be\be_global.cpp:
        * TAO_IDL\be\be_visitor_enum\cdr_op_ch.cpp:
        * TAO_IDL\be\be_visitor_enum\cdr_op_cs.cpp:
        * TAO_IDL\be\be_sequence.cpp:
        * TAO_IDL\be\be_visitor_valuetype\valuetype_cs.cpp:
        * TAO_IDL\be\be_visitor_valuetype\cdr_op_ch.cpp:
        * TAO_IDL\be\be_visitor_valuetype\valuetype_ch.cpp:
        * TAO_IDL\be\be_visitor_valuetype\cdr_op_cs.cpp:
        * TAO_IDL\be\be_interface.cpp:
        * TAO_IDL\be\be_enum.cpp:
        * TAO_IDL\be\be_string.cpp:
        * TAO_IDL\be\be_array.cpp:
        * TAO_IDL\ast\ast_expression.cpp:
        * TAO_IDL\ast\ast_union.cpp:
        * TAO_IDL\ast\ast_typedef.cpp:
        * TAO_IDL\ast\ast_enum.cpp:
        * TAO_IDL\ast\ast_union_branch.cpp:
        * TAO_IDL\be_include\be_field.h:
        * TAO_IDL\be_include\be_interface.h:
        * TAO_IDL\be_include\be_enum.h:
        * TAO_IDL\be_include\be_union_branch.h:
        * TAO_IDL\be_include\be_string.h:
        * TAO_IDL\be_include\be_array.h:
        * TAO_IDL\be_include\be_type.h:
        * TAO_IDL\be_include\be_union.h:
        * TAO_IDL\be_include\be_typedef.h:
        * TAO_IDL\be_include\be_structure.h:
        * TAO_IDL\be_include\be_valuetype.h:
        * TAO_IDL\be_include\be_predefined_type.h:
        * TAO_IDL\be_include\be_visitor_valuetype\valuetype_cs.h:
        * TAO_IDL\be_include\be_exception.h:
        * TAO_IDL\be_include\be_global.h:
        * TAO_IDL\be_include\be_sequence.h:

          Added new command line option -Gos, to optionally
          generate ostream operators for IDL declarations. These
          operators can be useful for exception handling and
          debugging in TAO applications. Thanks to
          Lothar Werzinger <lothar at tradescape dot biz> for
          requesting this feature. This fix closes [BUGID:2937].

Wed Jun 27 06:12:39 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2966_Regression/*:
          New test, will fail at this moment until the fix is ready

Wed Jun 27 03:23:14 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * orbsvcs/Naming_Service/Naming_Service.h:
          The documentation says that this class uses the TAO_ORB_Manager,
          yet TAO_ORB_Manager has been removed for a long while now. Update
          the class documentation to remove references to TAO_ORB_Manager.

Mon Jun 25 11:34:36 CDT 2007  Ciju John  <johnc@ociweb.com>

        * TAO version 1.5.9 released.

Mon Jun 25 16:11:55 UTC 2007  Ciju John  <johnc at ociweb dot com>

        * ChangeLog:
          cosmetic change.

        * NEWS:
          Add NEWS summary updates.

Fri Jun 22 14:56:03 UTC 2007  Ciju John  <johnc at ociweb dot com>

        * ChangeLog:
        * PROBLEM-REPORT-FORM:
        * VERSION:
        * tao/Version.h:
          Revert to x.5.8 status.

Tue Jun 19 15:37:16 UTC 2007  Ciju John  <johnc at ociweb dot com>

        * orbsvcs/orbsvcs/SSLIOP.mpc:
          The template file shouldn't be listed under "Source_Files".

Tue Jun 19 13:36:33 UTC 2007  Ciju John  <johnc at ociweb dot com>

        * tests/Oneway_Timeouts/run_test.pl:
          Fixing case mistake in test script. Fixes VxWorks test runs.

Thu Jun 14 10:28:00 UTC 2007  Simon Massey  <sma@prismtech.com>

        * orbsvcs/orbsvcs/SSLIOP/params_dup.cpp:

          Now the windows files are objecting to C linkage of
          the included c file. Having to backstep the cpp file
          to my original mods style once again which we know
          works on the windows platforms.

Wed Jun 13 12:40:00 UTC 2007  Simon Massey  <sma@prismtech.com>

        * orbsvcs/orbsvcs/SSLIOP.mpc:
        * orbsvcs/orbsvcs/SSLIOP/params_dup.c:
        * orbsvcs/orbsvcs/SSLIOP/params_dup.cpp:

          Annoying conflict of interest, having to revert the
          params_dup.c change/rename and put in another params_dup.cpp
          (that simply extern "C" block #includes paramer_dup.c)
          making which file is build conditional within the controlling
          mpc file.

Tue Jun 12 15:52:09 UTC 2007  Ciju John  <johnc at ociweb dot com>

        * orbsvcs/tests/Event/Mcast/AddrServer/Client.cpp:
          IPV6 dependent code enclosed within 'ACE_HAS_IPV6'

        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/EchoEventConsumer_i.cpp:
          Fix for platforms which don't support 'getpid' API.

Fri Jun  8 19:23:45 UTC 2007  Adam Mitz  <mitza@ociweb.com>

        * tao/Generic_Sequence_T.h:

          A default-constructed unbounded sequence has no buffer allocated, so
          "release" should be false.  This restores the behavior of sequences
          before the recent re-write.

        * tests/Sequence_Unit_Tests/bounded_string_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/bounded_value_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/string_sequence_tester.hpp:
        * tests/Sequence_Unit_Tests/unbounded_fwd_object_reference_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/unbounded_object_reference_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/unbounded_octet_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/unbounded_string_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/unbounded_value_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/value_sequence_tester.hpp:

          Updated unit tests to take this into account.

Fri Jun 08 10:20:00 UTC 2007  Simon Massey  <sma@prismtech.com>

        * TAO/orbsvcs/orbsvcs/SSLIOP/params_dup.c:

          Due to Window's MFC compatiable builds objecting to this
          c file, it has been renamed to .cpp and extern "C" statements
          included with the two functions that require C linkage.

Wed Jun 06 16:07:00 UTC 2007  Simon Massey  <sma@prismtech.com>

        * TAO_IDL/ast/ast_type.cpp:

          Remove an assert (that can get treiggered legaly during
          idl compilation when errors have been seen, and we are
          only checking code further down).

Wed Jun  6 12:05:22 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/Event/Mcast/AddrServer/Client.cpp:

          Fixed old reference to RtecUDPAdmin::INET that was overlooked
          yesterday.

Wed Jun 06 09:39:00 UTC 2007  Simon Massey  <sma@prismtech.com>

        * TAO_IDL/util/utl_scope.cpp:

          Corrects an issue with the wrong error message being
          generated for missing definitions within local modules.
          (Which exposed a lock-up problem.)

          Corrects the tao_idl lock-up that could occur during the
          look-up of certain identifiers within local modules, and
          put a stop to the non-CORBA compliance of searching in
          parent scope for identifiers that were not found within
          local modules. (Now displays a helpful diagnostic instead
          of generating non-complient code.)

Tue Jun  5 21:10:24 UTC 2007  Ciju John  <johnc at ociweb dot com>

        * orbsvcs/examples/Notify/Federation/SpaceCraft/SpaceCraft.cpp:
        * orbsvcs/orbsvcs/Trader/Constraint_y.cpp:
        * tests/Bug_2560_Regression/Stock_Factory_i.cpp:
          Corrected header includes order. This fixes log2 API not being
          found errors on VxWorks6.4 RTI builds.

Tue Jun  5 18:56:16 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/orbsvcs/Event/ECG_Mcast_EH.cpp:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Sender.cpp:
        * orbsvcs/orbsvcs/RtecUDPAdmin.idl:
        * orbsvcs/tests/EC_MT_Mcast/AddrServer.cpp:

          The enum added to RtecUDPAdmin.idl contained "INET" which
          apparently collided with a '#define INET' on some VxWorks build
          environments. To avoid this collision, the enum values have been
          renamed. Thanks to Martin Corino for finding the cause of this
          build problem on VxWorks.

Tue Jun  5 13:23:04 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/IDL_Test/nested_scope.idl:

          Commented out a line that has been determined by Simon Massey
          <simon dot massey at prismtech dot com> to be melformed IDL.

Mon Jun  4 22:40:13 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/run_test.pl:
          One more change to the ipv6 test address to use a spec-complient
          form of the test mcast address.

Mon Jun  4 19:14:02 UTC 2007  Ciju John  <johnc at ociweb dot com>

        * tests/Oneway_Timeouts/run_test.pl:
          Fixed test script. Had minor syntactic and control structures.

Mon Jun  4 11:37:42 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * docs/ORBEndpoint.html: Updated the files to use
          ORBListenEndpoint rather than ORBEndpoint.  Thanks to Vikram
          Karandikar" <softking at gmail dot com> for motivating this
          change.

Mon Jun  4 02:56:02 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/EC_MT_Mcast/MCast.cpp:
        * orbsvcs/tests/EC_Mcast/EC_Mcast.cpp:
        * orbsvcs/tests/Event/UDP/sender.cpp:

          Each of these test drivers use sap_any when opening a datagram
          socket, which on an IPv6 enabled platform causes the socket to
          only allow IPv6 target addresses when sending datagrams. Thus
          the test fails when using an IPv4 target address, reporting:
             Send of mcast fragment blocked (bad address).
          However this is not detected as an error. I have added the local
          endpoint's address family as a parameter to the datagram open
          method so that when the test is configured for IPv4 or IPv6, the
          local socket is set up correctly.

          This condition is written up in Bugzilla #2950. Ultimately I'd
          like to see a solution that is encapsulated in the
          ACE_SOCK_Dgram class so that applications such as these don't
          have to be modified. I'm not sure the best way to do that.

Sun Jun  3 19:57:23 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/IDL_Test/constants.idl:

          Commented out a recently-added

          Fri May 25 18:49:12 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

          addition to this file - an octet constant with a left-shift
          operator in the rhs literal. My fix to AST_Expression in
          the above checkin didn't work for big-endian systems. Possible
          approaches to a complete fix all involve protracted design
          changes in expression handling, so the problem IDL is commented out
          for now.

Fri Jun  1 22:32:52 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * NEWS:

          Added a comment regarding IPv6 Mcast federation support.

        * orbsvcs/orbsvcs/Event/ECG_UDP_Out_Endpoint.cpp:

          Make use of new ip address equality test in ACE_INET_Addr.

        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/EchoEventSupplierMain.cpp:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/Makefile.am:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/README:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/RTEC_MCast_Federated.mpc:
          Removed references to the barrier and the distributed address
          server, they were not needed for the test. For cross platform
          validation of the address server there is now a separate test
          case.

        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/run_test.pl:

          Fixed the representative IPv6 address to allow proper sharing
          across multiple interfaces.

        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/supplier.conf:

          Added a ConsumerControl specification so that a manually run
          supplier doesn't start spinning when the consumer goes away.

        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/AddrServerMain.cpp:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/Barrier.idl:

          Removed these files, they were proved to be useless.

Fri Jun  1 19:03:46 UTC 2007  Ciju John  <johnc at ociweb dot com>

        * TAO_IDL/fe/lex.yy.cpp:
          Minor change to update timestamp of this file. This is a
          generated file and therefore needs to have an later timestamp
          than the generator input (idl.ll).

Fri Jun 01 10:08:00 UTC 2007  Simon Massey  <sma@prismtech.com>

        * tests/CodeSets/libs/UCS4_UTF16/WUCS4_UTF16.cpp:

          Change the static_cast to a reinterprest_cast for the
          defined (ACE_ENABLE_SWAP_ON_WRITE) code path to actually
          compile.

Thu May 31 19:13:32 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/orbsvcs/RtecUDPAdmin.idl:
          Clean up typo in comment.

        * orbsvcs/tests/EC_MT_Mcast/AddrServer.h:
        * orbsvcs/tests/EC_MT_Mcast/AddrServer.cpp:
          Move the dependency on ace/INET_Addr.h into the cpp.

        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/Makefile.am:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/RTEC_MCast_Federated.mpc:
          regenerated Makefile.am to get automake builds working.

Thu May 31 13:17:00 UTC 2007  Simon Massey  <sma@prismtech.com>

        * tao/GIOP_Message_Base.cpp:

          Change the constness of the bodylen local variable to allow
          for the defined (ACE_ENABLE_SWAP_ON_WRITE) code path to actually
          compile.

Wed May 30 23:10:45 UTC 2007  Scott Harris  <harris_s@ociweb.com>

        * TAO_IDL/fe/idl.ll:

          This should have been part of the Fri May 25 18:02:30 UTC 2007
          commit.

Wed May 30 20:18:11 UTC 2007  Yan Dai  <dai_y@ociweb.com>

        These changes support built in sequences in DDS.
        The -Gdcpsonly option was added to just generate DDS specific
        code for built in sequence. A DDS DCPS IDL file that includes
        tao/*Seq.pidl will generate code to include the DDS version
        of the generated code instead of TAO version sequence code
        so it supports DDS serialization.

        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be_include/be_global.h:

          Added gen_dcps_type_support_only flag.

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_visitor_sequence/serializer_op_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/serializer_op_cs.cpp:

          Generated code similar to before with -Gdcps except using #if 0
          to disable TAO specific code when -Gdcpsonly is given.
          The DDS CORBA::*Seq generated code will include the
          TAO CORBA::*Seq generated code so both TAO and DDS
          functions will be available.

        * TAO_IDL/be/be_visitor_union_branch/serializer_op_cs.cpp:

          Fixed bugs that call strlen() without check if it's nil string.

Wed May 30 20:06:04 UTC 2007  Adam Mitz  <mitza@ociweb.com>

        * TAO_IDL/be/be_visitor_root.cpp:
        * TAO_IDL/be/be_visitor_root/root.cpp:
        * TAO_IDL/be_include/be_visitor_root/root.h:

          Added support for "native" at the root level (outside of a module or
          interface).

Wed May 30 12:44:07 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/Event/Mcast/AddrServer/Server.cpp:

          Added missing ACE_OS:: prefix for strcasecmp.

Wed May 30 03:28:13 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/AddrServerMain.cpp:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/EchoEventSupplierMain.cpp:

          Added missing "ace/OS_NS_strings.h" include and used
          ACE_OS::strcasecmp instead of raw strcasecmp call.

Wed May 30 03:17:16 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * orbsvcs/tests/Event/Mcast/AddrServer/Client.cpp:

          Added missing "ace/OS_NS_strings.h" include and used
          ACE_OS::strcasecmp instead of raw strcasecmp call.

        * orbsvcs/tests/Event/Mcast/AddrServer/TestAddrServer.h:
        * orbsvcs/tests/Event/Mcast/AddrServer/TestAddrServer.cpp:

          Fixed fuzz error, ACE_THROW_SEPC is deprecated now.

Wed May 30 02:05:51 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/EC_MT_Mcast/AddrServer.h:
        * orbsvcs/tests/EC_MT_Mcast/AddrServer.cpp:
        * orbsvcs/tests/EC_MT_Mcast/MCast.cpp:

          Fixed yet another implementation of a simple address server.

Tue May 29 14:11:17 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/examples/RtEC/MCast/AddrServer.h:
        * orbsvcs/examples/RtEC/MCast/AddrServer.cpp:

          Added changes required by new interface.

        * orbsvcs/orbsvcs/Event/ECG_Adapters.h:
        * orbsvcs/orbsvcs/Event/ECG_Complex_Address_Server.h:
        * orbsvcs/orbsvcs/Event/ECG_Complex_Address_Server.cpp:
        * orbsvcs/orbsvcs/Event/ECG_Mcast_EH.cpp:
        * orbsvcs/orbsvcs/Event/ECG_Simple_Address_Server.h:
        * orbsvcs/orbsvcs/Event/ECG_Simple_Address_Server.cpp:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Out_Endpoint.cpp:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Receiver.h:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Receiver.inl:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Sender.cpp:
        * orbsvcs/orbsvcs/Event/EC_UDP_Admin.h:
        * orbsvcs/orbsvcs/Event/EC_UDP_Admin.cpp:

        * orbsvcs/orbsvcs/RtecUDPAdmin.idl:

          Support for IPv6 addresses used to federate event channels via
          multicast. The AddressServer interface is extended to support
          either IPv4 or IPv6 addresses, retaining backwards
          compatibility. The interface differs from the solution
          originally coded for TAO 1.4a, as that solution does not support
          a single address server shared by many event channels in a mixed
          host environment. Support for the 1.4a variant is not provided
          at this time, but could be added in the future if necessary.
          Given the nature of the bug and the lack of complaint from any
          1.4a users (including the original funder) it seems unlikely
          that this lack of support will cause a problem.

        * orbsvcs/tests/Event/Basic/BCast.h:
        * orbsvcs/tests/Event/Basic/BCast.cpp:

          Removed redundant address server implementation.

        * orbsvcs/tests/Event/Mcast/AddrServer:

          This is a new test added to validate the sharing of an address
          server in a mixed host environment. In this case, mixed host
          means different OSes and byte orders, which impacts the encoding
          of address data.

        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/AddrServerMain.cpp:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/Barrier.idl:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/EchoEventConsumer_i.cpp:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/EchoEventSupplierMain.cpp:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/README:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/RTEC_MCast_Federated.mpc:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/SimpleAddressServer.h:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/SimpleAddressServer.cpp:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/run_test.pl:

          Modified the test to support IPv6 federation. Use run_test.pl
          -ipv6 to test. Also extended the test suite to enable running a
          distributed test across many hosts. A new executable,
          AddrServer, is generated that registers with the naming
          service. The AddrServer also acts as a synchronization point,
          supporting a new Barrier interface. This allows the test to be
          manually started on many hosts, with each supplier instance
          starting only when all expected suppliers have contacted the
          barrier.

        * orbsvcs/tests/Event/UDP/AddrServer.h:
        * orbsvcs/tests/Event/UDP/AddrServer.cpp:
        * orbsvcs/tests/Event/UDP/receiver.cpp:
        * orbsvcs/tests/Event/UDP/sender.cpp:

          Cleaned up the code to build with the new address server interface.

Tue May 29 09:39:55 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/MT_BiDir/run_test.pl:
        * tests/Oneway_Timeouts/run_test.pl:
        * tests/RTCORBA/Server_Protocol/run_test.pl:
        * tests/Servant_To_Reference_Test/run_test.pl:
          Updated for vxworks testing

Tue May 29 09:25:55 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/RTCORBA/Banded_Connections/run_test.pl:
        * tests/RTCORBA/Client_Propagated/run_test.pl:
        * tests/RTCORBA/Client_Protocol/run_test.pl:
          Updated for vxworks rtp, the RTCorba tests do require that the
          client also can use priorities, so when we have vxworks rtp,
          run also the client on the target

Tue May 29 00:15:35 UTC 2007  Scott Harris  <harris_s@ociweb.com>

        * TAO_IDL/be/be_visitor_native/native_ch.cpp:

          Fix a warning.

Mon May 28 12:29:13 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * orbsvcs/tests/Notify/lib/Driver.cpp:
        * orbsvcs/tests/Notify/lib/Periodic_Consumer.cpp:
        * orbsvcs/tests/Notify/lib/Periodic_Supplier.cpp:

          Addressed the "assignment within conditional expression" warning
          on the WinXP_VC71_WarningLevel4 build.

Mon May 28 05:06:55 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/RTCORBA/Explicit_Binding/run_test.pl:
        * tests/RTCORBA/Server_Protocol/run_test.pl:
        * tests/Two_Objects/run_test.pl:
          Updated for cross host testing

Mon May 28 01:01:09 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * orbsvcs/tests/Security/Bug_2908_Regression/MessengerServer.cpp:
        * orbsvcs/tests/Security/Crash_Test/client.cpp:

          Addressed "unreferenced local variable" warning on the
          WinXP_VC8_Versioned_Namespace build.

Sun May 27 15:35:46 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * orbsvcs/examples/Notify/Lanes/Consumer_Client.cpp:
        * orbsvcs/examples/Notify/Lanes/Supplier_Client.cpp:
        * orbsvcs/examples/Notify/ThreadPool/Consumer_Client.cpp:
        * orbsvcs/examples/Notify/ThreadPool/Supplier_Client.cpp:
        * orbsvcs/tests/Event/ThreadFlags/testflags.cpp:
        * orbsvcs/tests/Notify/Basic/AdminProperties.cpp:
        * orbsvcs/tests/Notify/Basic/ConnectDisconnect.cpp:
        * orbsvcs/tests/Notify/Basic/Events.cpp:
        * orbsvcs/tests/Notify/Basic/IdAssignment.cpp:
        * orbsvcs/tests/Notify/Basic/LifeCycle.cpp:
        * orbsvcs/tests/Notify/Basic/Sequence.cpp:
        * orbsvcs/tests/Notify/Basic/Simple.cpp:
        * orbsvcs/tests/Notify/RT_lib/RT_POA_Command.cpp:
        * orbsvcs/tests/Notify/performance-tests/RedGreen/RedGreen_Test.cpp:
        * orbsvcs/tests/Notify/performance-tests/Throughput/Throughput.cpp:
        * tests/Bug_2234_Regression/client.cpp:
        * tests/Bug_2677_Regression/DllORB.cpp:
        * tests/Exposed_Policies/Policy_Tester.cpp:
        * tests/Exposed_Policies/Policy_Verifier.cpp:
        * tests/ORB_Local_Config/Bug_2612/DllOrb.cpp:

          Addressed the "assignment within conditional expression" warning
          on the WinXP_VC71_WarningLevel4 build.

Sun May 27 14:03:18 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * examples/RTCORBA/Activity/Activity.cpp:
        * examples/RTCORBA/Activity/Builder.cpp:
        * examples/RTCORBA/Activity/POA_Holder.cpp:
        * examples/RTCORBA/Activity/Periodic_Task.cpp:
        * examples/RTScheduling/DT_Creator.cpp:
        * examples/RTScheduling/POA_Holder.cpp:

          Addressed the "assignment within conditional expression" warning
          on the WinXP_VC71_WarningLevel4 build.

Sat May 26 03:09:27 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * tao/ORB_Core.cpp:

          Addressed the "assignment within conditional expression" warning
          on the WinXP_VC71_WarningLevel4 build.

Sat May 26 00:30:18 UTC 2007  Scott Harris  <harris_s@ociweb.com>

        * TAO_IDL/fe/fe_lookup.cpp:
          Reverse an unwanted change to this file.

Fri May 25 18:49:12 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_expression.cpp:

          Fixed a bug in parsing of octet constants where the rhs
          has an infix operator. Thanks to Lother Werzinger
          <lothar at tradescape dot biz> for reporting the
          problem. This fix closes [BUGID:2944].

        * tests/IDL_Test/constants.idl:

          Added some of items in the example IDL submitted by
          Lothar to our test suite of problem IDL declarations.

Fri May 25 18:02:30 UTC 2007  Scott Harris  <harris_s@ociweb.com>

        * TAO_IDL/include/idl_global.h:
        * TAO_IDL/be/be_visitor_native/native_ch.cpp:
        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/fe/fe_lookup.cpp:
        * TAO_IDL/fe/lex.yy.cpp:
        * TAO_IDL/util/utl_global.cpp:
          Provide support for TAO DDS zero-copy read native types.

Thu May 24 12:02:55 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Muxed_GIOP_Versions/run_test.pl:
        * tests/POA/Bug_1592_Regression/run_test.pl:
          Updated for cross platform testing

Thu May 24 08:00:55 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Connection_Purging/run_test.pl:
          Updated for cross platform testing

Wed May 23 19:57:55 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/TransportCurrent/IIOP/run_test.pl:
        * tests/TransportCurrent/Framework/run_test.pl:
          Updated for cross platform testing

Wed May 23 12:41:55 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PI/ClientRequestInterceptor_Adapter_Impl.{h,cpp}:
          Made the exception argument of process_forward_request const

        * tao/TAO_Server_Request.{h,cpp,inl}:
          Removed result_seq_ member and associated methods, I did a
          search through the code and couldn't fine a place where these
          are used, so removed them. If this causes errors on the
          scoreboard I will readd them, but so far as I can tell that will
          not be needed. This will reduce footprint and increase
          performance

        * tao/AnyTypeCode/Union_TypeCode.cpp:
          Addressed code not reached warning

Wed May 23 12:37:55 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/LongUpcalls/run_test.pl:
          Updated for cross platform testing

Wed May 23 11:41:55 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/POA/EndpointPolicy/run_test.pl:
          Updated for cross platform testing

Tue May 22 12:40:55 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/GIOP_Message_Generator_Parser.cpp (write_reply_header):
          The service context can just be marshaled with the regular <<
          operator in all cases and added a check whether this succeeded
          or not

        * tao/RTCORBA/Thread_Pool.cpp:
          Layout changes

Mon May 21 12:36:55 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/AMI_Buffering/run_timeout_reactive.pl:
        * tests/Bug_2735_Regression/run_test.pl:
        * tests/Crash_On_Write/run_test.pl:
        * tests/Faults/run_test.pl:
        * tests/Portable_Interceptors/Redirection/run_test.pl:
        * tests/Smart_Proxies/Policy/run_test.pl:
          Improved for VxWorks cross platform testing

Mon May 21 12:01:30 UTC 2007  Vadym Ridosh <vridosh@prismtech.com>

        * orbsvcs/tests/Bug_2925_Regression/run_test_ipv6.pl:
        * orbsvcs/tests/Bug_2925_Regression/run_test.pl:
        * orbsvcs/tests/Bug_2925_Regression/README:
          On some test systems the timeout for client and server
          was too short. So, extended the timeout and added README.
          Bug#2925.

Thu May 17 16:38:23 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * MPC/config/taoidldefaults.mpb:

          Only set the tao_idl, tao_idl_dep and tao_idlflags template
          variables if we're not generating for automake.  It does not need
          these settings.

Thu May 17 12:14:08 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * utils/catior/catior.cpp:

          Added a missing newline from an error message.

Thu May 17 12:08:15 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/tests/Bug_2377_Regression/Makefile.am:

          The source files were changed in the change from
          Mon May  7 16:08:17 UTC 2007.  The Makefile.am needs to be
          manually updated.

Thu May 17 12:02:12 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tests/IORManipulation/filter/Makefile.am:

          It wasn't my last attempt.  I'm adding the TAO_PortableServer
          library to the link list.

Wed May 16 16:26:32 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tests/IORManipulation/filter/Makefile.am:

          Hopefully my last attempt to correct this file.

Wed May 16 09:33:38 UTC 2007  Vadym Ridosh <vridosh@prismtech.com>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connector.cpp:
          There was a compile error on SunOS introduced with the
          fix for bug#2925. Fixed it.

        * tao/Profile.h:
          Fix for compile warnings generated because of improper
          class member initialization.

Wed May 16 07:30:55 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_2248_Regression/Bug_2248_Regression.mpc:
          Removed -z now for suncc, we do that in generic for sun now

Tue May 15 12:46:18 UTC 2007  Vadym Ridosh <vridosh@prismtech.com>

        * orbsvcs/tests/Bug_2377_Regression/run_test_ipv6.pl:
          Added IPv6 test to MIOP test for bug#2377.

Tue May 15 11:36:07 UTC 2007  Vadym Ridosh <vridosh@prismtech.com>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Acceptor.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connection_Handler.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connector.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Endpoint.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.cpp:
          Implementation of IPv6 and dscp in MIOP. Fix for bug#2925.

        * orbsvcs/tests/Bug_2925_Regression/client.cpp:
        * orbsvcs/tests/Bug_2925_Regression/svc.conf:
        * orbsvcs/tests/Bug_2925_Regression/run_test_ipv6.pl:
        * orbsvcs/tests/Bug_2925_Regression/Hello_Impl.cpp:
        * orbsvcs/tests/Bug_2925_Regression/server.cpp:
        * orbsvcs/tests/Bug_2925_Regression/Hello.idl:
        * orbsvcs/tests/Bug_2925_Regression/Hello_Impl.h:
        * orbsvcs/tests/Bug_2925_Regression/Bug_2925_Regression.mpc:
        * orbsvcs/tests/Bug_2925_Regression/run_test.pl:
          Adding test for bug#2925.

Tue May 15 07:57:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/BiDirectional/run_test.pl:
        * tests/Bug_2654_Regression/run_test.pl:
        * tests/Bug_2734_Regression/run_test.pl:
        * tests/CallbackTest/run_test.pl:
        * tests/MT_BiDir/run_test.pl:
        * tests/Muxed_GIOP_Versions/run_test.pl:
        * tests/POA/EndpointPolicy/run_test.pl:
        * tests/Smart_Proxies/run_test.pl:
        * tests/Stack_Recursion/run_test.pl:
          Improved for vxworks testing

        * tests/Bug_2356_Regression/Bug_2356_Regression.mpc:
        * tests/Bug_2356_Regression/client.cpp:
        * tests/Bug_2356_Regression/server.cpp:
          Explicitly link in the codeset library

Tue May 15 07:36:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Param_Test/client.h:
        * tests/Param_Test/Makefile.am:
        * tests/Param_Test/Param_Test.mpc:
        * tests/Param_Test/server.cpp:
          Use the codeset library, we do experience crashes when doing
          interoperability tests between linux and vxworks where both
          are linked statically and then can't load the library on demand

Tue May 15 06:28:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Big_Oneways/run_test.pl:
        * tests/CSD_Strategy_Tests/TP_Test_1/run_test.pl:
        * tests/DSI_AMH/run_test.pl:
        * tests/LongUpcalls/run_test.pl:
        * tests/Multiple/run_test.pl:
        * tests/ORT/run_test.pl:
        * tests/Server_Connection_Purging/run_test.pl:
          Improvements for VxWorks cross platform testing

Mon May 14 16:32:59 UTC 2007  Vadym Ridosh <vridosh@prismtech.com>

        * tao/Profile.cpp:
        * tao/Profile.h:
          Proper fix for the race condition in
          TAO_Profile::create_tagged_profile that was discussed
          in bug#2377.

Mon May 14 13:02:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/DSI_Gateway/run_test.pl:
          Extended timeouts for slower systems

Mon May 14 11:39:08 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tests/IORManipulation/filter/Makefile.am:

          Use $(TAO_IDL) instead of $(ACE_ROOT)/bin/tao_idl for the
          dependency.

Mon May 14 10:21:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Acceptor.cpp:
        * tao/Strategies/COIOP_Acceptor.cpp:
        * tao/Strategies/DIOP_Acceptor.cpp:
        * tao/Strategies/SHMIOP_Acceptor.cpp:
        * tao/Strategies/UIOP_Acceptor.cpp:
          Fixed unreachable code warnings, fixes bugzilla 2929, thanks
          to Ossama for delivering the patch

Fri May 11 14:32:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/PluggableUDP/DIOP/README:
          Small updates to reflect current location of DIOP

Fri May 11 14:32:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * interop-tests/wchar/client.cpp:
        * interop-tests/wchar/server.cpp:
          Layout changes

Fri May 11 14:26:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Naming/Naming_Server.cpp:
          Fixed argument not used warning when messaging is disabled

        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadAlert_Handler.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_ClientRequestInterceptor.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientRequest_Interceptor.cpp:
          Layout change

        * orbsvcs/orbsvcs/LoadBalancing/LB_LeastLoaded.cpp:
          Initialise pointer with 0

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Current.cpp:
          bool and layout changes

        * orbsvcs/tests/HTIOP/AMI/Test_Output.cpp:
        * orbsvcs/tests/HTIOP/BiDirectional/Test_Output.cpp:
        * orbsvcs/tests/HTIOP/Hello/Test_Output.cpp:
          Removed check for psos

Fri May 11 14:16:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_typecode/enum_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/struct_typecode.cpp:
          Removed not needed includes

Fri May 11 14:15:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/GIOP_Message_Generator_Parser_12.h:
          Improvement to get better doxygen docu

Fri May 11 14:07:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Tagged_Profile.{h,cpp,inl}:
          Doxygen fixes, bool changes and layout changes

Fri May 11 11:36:25 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * tao/Utils/ORB_Manager.h:
        * tao/Utils/ORB_Manager.cpp:

          Layout Changes.
          Use PolicyList_Destroyer to destroy Policy object even in exceptional cases.
          Removed redundant method.
          Use ::_nil() instead of 0 (NULL pointer).

Thu May 10 17:40:58 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tests/IORManipulation/filter/Makefile.am:

          Another attempt at fixing the idl processing rules.

Wed May  9 19:19:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/AnyTypeCode/String_TypeCode.cpp:
        * tao/BiDir_Adapter.h:
        * tao/BiDir_GIOP/BiDir_ORBInitializer.cpp:
        * tao/BiDir_GIOP/BiDirPolicy_Validator.cpp:
        * tao/PortableServer/Servant_Upcall.h:
        * tao/TypeCodeFactory/TypeCodeFactory_i.cpp:
          Layout changes

Wed May  9 11:29:42 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tests/IORManipulation/filter/Makefile.am:

          Fixed by adding the idl processing rules.

Tue May  8 11:25:53 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * configure.ac:
        * tests/IORManipulation/Makefile.am:
        * tests/IORManipulation/filter/Makefile.am:

          Added an automake makefile for the IORManip filter test.

Tue May  8 11:15:00 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tao/IORManipulation/IORManip_IIOP_Filter.h:
        * tao/IORManipulation/IORManip_IIOP_Filter.cpp:

          Added missing checks for TAO_HAS_IIOP.

        * tao/Makefile.am:

          Added the new IORManip*Filter.{h,cpp} files.

Tue May  8 09:31:35 UTC 2007  Vadym Ridosh <vr@prismtech.com>

        * orbsvcs/tests/Bug_2377_Regression/Hello_Impl.cpp:
        * orbsvcs/tests/Bug_2377_Regression/uipmc_test.cpp:
          Changed number of client threads in the test from 1 to 32
          and made output a bit nicer.

Mon May  7 18:43:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Makefile.am:
          Added missing String_Const_Sequence_Element_T.h. Thanks to
          Thomas Lockhart <Thomas dot Lockhart at jpl dot nasa dot gov>
          for reporting this issue

Mon May  7 16:08:17 UTC 2007  Vadym Ridosh  <vr@prismtech.com>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connector.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Acceptor.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connector.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Endpoint.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.cpp:
          Fix for Bug 2377. It introduces same connection management
          as in other protocols (IIOP, etc) which actually fixed the problem.

        * orbsvcs/tests/Bug_2377_Regression/Hello.cpp:
        * orbsvcs/tests/Bug_2377_Regression/Hello_Impl.cpp:
        * orbsvcs/tests/Bug_2377_Regression/Hello.idl:
        * orbsvcs/tests/Bug_2377_Regression/Hello_Impl.h:
        * orbsvcs/tests/Bug_2377_Regression/Bug_2377_Regression.mpc:
        * orbsvcs/tests/Bug_2377_Regression/run_test.pl:
        * orbsvcs/tests/Bug_2377_Regression/uipmc_test.cpp:
          The test was updated.

        * tao/Profile.cpp:
        * tao/Profile.h:
          Fix for a race condition in TAO_Profile::create_tagged_profile()
          use of which is triggered by UIPMC addressing mode. This is
          discussed in context of Bug 2377.

Mon May  7 11:46:47 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tao/IORManipulation/IORManip_Filter.h:
        * tao/IORManipulation/IORManip_Filter.cpp:
        * tao/IORManipulation/IORManip_IIOP_Filter.h:
        * tao/IORManipulation/IORManip_IIOP_Filter.cpp:

          Added a filter class that allows users to create new object
          references based on existing multi-profile object references by
          filtering out profiles using user defined criteria.  The use of
          -ORBUseSharedProfile 0 is required for this to function.

        * tests/IORManipulation/filter/IORManip_Filter_Test.mpc:
        * tests/IORManipulation/filter/Test.idl:
        * tests/IORManipulation/filter/run_test.pl:
        * tests/IORManipulation/filter/server.cpp:

          Added a test to demonstrate the functionality of the filtering
          ability.

Fri May  4 14:43:37 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Trader/Trader.cpp:
          Fixed setting of maximums through the commandline. Thanks to
          Patrick Spiering <pspiering at aweta dot nl> for delivering
          the patch. This fixes bugzilla 2921

Fri May  4 14:06:39 UTC 2007  Ciju John  <johnc at ociweb dot com>

        * tao/Transport_Connector.cpp:
          Made TransportCleanupGuard exception safe.

Fri May  4 09:12:37 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/AnyTypeCode/Any.cpp:
        * tao/AnyTypeCode/Sequence_TypeCode.h:
        * tao/AnyTypeCode/TypeCode_Case_Base_T.h:
        * tao/AnyTypeCode/Union_TypeCode.h:
        * tao/TypeCodeFactory/TypeCodeFactory_i.cpp:
          Layout changes

Thu May  3 13:08:37 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2804_Regression/Test.idl:
        * tests/Bug_2804_Regression/client.cpp:
          Simplified this test another step

Thu May  3 12:34:37 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2804_Regression/Test.idl:
          Simplified this file to the real minimum required to reproduce the
          bug

Thu May  3 10:09:37 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/AnyTypeCode/TypeCode_CDR_Extraction.cpp:
          Fixed interoperability problems with TAO 1.3.x and the current
          version as reported in bugzilla 2918. The IDL compiler still
          needs to be done to also generate repeated typecodes for the
          given test case. Thanks to Patrick Spiering <pspiering at aweta dot nl>
          for delivering the patch

        * tao/DynamicInterface/Request.h:
        * tao/Messaging/AMI_Arguments_Converter_Impl.cpp:
        * tao/Messaging/Asynch_Invocation_Adapter.cpp:
          Layout changes

Wed May  2 14:05:37 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2918_Regression/*:
          New test for bug 2918, at this moment it works, but the test will
          be extended to detect whether the size of the marshalled any is
          too big or not.

        * tests/Bug_2289_Regression/server.cpp:
          Initialise pointer with 0

        * tests/IDL_Test/struct.idl:
          Added some more test cases

        * tests/OBV/Simple/run_test.pl:
          Extended wait time for slower systems

Wed May  2 14:02:37 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Messaging/ExceptionHolder_i.cpp:
        * tao/Messaging/Messaging.cpp:
        * tao/Messaging/Messaging.h:
          Moved the exception_holder_raise from Messaging_Helper
          to the exception holder. No need anymore to have this as
          seperate helper method

        * tao/PortableServer/Upcall_Wrapper.cpp:
          Reworked the upcall wrapper to always do a try/catch and when
          an exception has occured, invoke the collocated argument
          converter when one is set, this will then handle the exception,
          if it is not set, we raise it as normally. With this change
          when using collocated AMI, the exception is passed to the
          reply handler instead of passed back to the caller. This fixes
          bugzilla 2909.

        * tao/DynamicInterface/DII_Arguments_Converter_Impl.cpp:
          Implement handle_corba_exception to raise the exception is there
          is one available in the request. Needed because of the changes
          in the upcall wrapper above.

        * tao/Messaging/AMI_Arguments_Converter_Impl.{h,cpp}:
          Implemented handle_corba_exception

        * tao/PortableServer/Collocated_Arguments_Converter.h:
          Added method to handle exceptions

        * tao/PortableServer/Upcall_Wrapper.h:
          Doxygen fix

Wed May  2 13:26:37 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/AnyTypeCode/Enum_TypeCode.h:
        * tao/AnyTypeCode/skip.cpp:
        * tao/AnyTypeCode/Struct_TypeCode.cpp:
        * tao/AnyTypeCode/Struct_TypeCode.h:
        * tao/AnyTypeCode/TypeCode_CDR_Extraction.cpp:
        * tao/IORInterceptor/IORInfo.cpp:
        * tao/IORInterceptor/IORInterceptor_Adapter_Impl.cpp:
          Layout changes

        * tao/Messaging/AMI_Arguments_Converter_Impl.cpp:
          Extended to also handle exceptions in the server request

        * tao/PortableServer/Root_POA.cpp:
          Layout changes and zapped some intermediate variables

Mon Apr 30 08:59:37 CDT 2007  Chad Elliott  <elliott_c@ociweb.com>

        * TAO version 1.5.8 released.

Mon Apr 30 17:47:32 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * configure.ac:

          Removed a non-existent entry.

Mon Apr 30 12:57:32 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * NEWS:

          Added user visible changes for 1.5.8 based on ChangeLog entries.

Fri Apr 27 08:19:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Trading/Offer_Importer.cpp:
          Fixed compile error with Borland C++

        * tests/Bug_2909_Regression/client.cpp:
          Fixed argument not used warning

Thu Apr 26 19:06:19 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/orbsvcs/Trader/Constraint_Nodes.cpp:

          Fixed a bug introduced by my CORBA::LongLong support changes.  The
          use of CORBA::Long was inadvertently broken. Thanks to
          Patrick Spiering <pspiering at aweta dot nl> for reporting this.

        * orbsvcs/orbsvcs/Trader/Constraint_Visitors.cpp:

          Call get_double() on the dynamic any sequence in the
          TAO_Element_Equal<CORBA::Double> specialization.

        * orbsvcs/tests/Trading/Offer_Importer.cpp:
        * orbsvcs/tests/Trading/TT_Info.h:
        * orbsvcs/tests/Trading/TT_Info.cpp:

          Modified this test to ensure that the queries return the expected
          number of elements or an error is printed.

Thu Apr 26 14:37:16 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * NEWS:

          Added an entry about the new -a option on Event_Service.

Thu Apr 26 13:22:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2909_Regression/*:
          New regression for bug 2909. This bug is not fixed yet, just adding
          the test to the repo. This test works perfect with collocation
          disabled (using -ORBCollocation no or -ORBAMICollocation 0) but
          fails when using a collocated AMI call

Thu Apr 26 12:19:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2768_Regression/Bug_2768_Regression.mpc:
          Don't build the server with CORBA/e micro

Thu Apr 26 11:52:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/AMH_Oneway/server.cpp:
          Added timestamp to the received message so that we get some more
          info why this test timeouts on one of the solaris test hosts

Thu Apr 26 05:48:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        Reverted the change below, this breaks the Portable_Interceptors/Slot
        and Portable_Interceptors/Bug_2510_Regression tests on linux

        Wed Apr 25 08:52:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>
        * tao/ORB_Core.cpp:
          Cleanup TSS resources in the destructor. This fixes bugzilla bug 2533.
          Thanks to Martin Cornelius <Martin dot Cornelius at smiths-heimann dot com>
          for reporting this.

Wed Apr 25 18:29:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORB_Core.cpp:
          Fixed compile problem in single threaded builds

Wed Apr 25 09:40:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Security/Bug_2908_Regression/*:
          Integrated regression for bug 2908. Thanks to Ravi Kanth
          <kanth dot ravi at wipro dot com> for reporting this issue
          and delivering the regression test.

Wed Apr 25 08:52:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORB_Core.cpp:
          Cleanup TSS resources in the destructor. This fixes bugzilla bug 2533.
          Thanks to Martin Cornelius <Martin dot Cornelius at smiths-heimann dot com>
          for reporting this.

        * tao/Cleanup_Func_Registry.h:
        * tao/PI/ORBInitInfo.cpp:
          Layout changes

Wed Apr 25 07:39:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/GIOP_Message_Base.cpp (process_reply_message):
          Also copy the char/wchar translators

        * tao/Messaging/Asynch_Reply_Dispatcher.cpp:
          Layout change

        * tao/Messaging/ExceptionHolder_i.{h,cpp}:
        * tao/Messaging/Messaging.cpp:
        * tao/Messaging/Messaging.h:
          Added char/wchar translator which are then used when demarshaling the
          exception. This fixes bugzilla bug 2356, when throwing an exception
          with AMI that does contain a wstring the demarshaling of the wstring
          resulted in an incorrect wstring because the wchar translator was not
          used. Thanks to Alan Stokes <alan at alanstokes dot org dot uk> for
          reporting this issue.

        * TAO_IDL/be/be_visitor_operation/ami_handler_reply_stub_operation_cs.cpp:
          When creating the exception holder we now have to pass in the
          char and wchar translators

        * tao/AnyTypeCode/Union_TypeCode.cpp:
          Layout changes

Wed Apr 25 07:19:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/AMI/ami_test_i.cpp:
          When throwing the exception explicitly pass in an id and string

        * tests/AMI/simple_client.cpp:
          Check all values in the reply handler, if they have an unexpected
          result log an error.

        * tests/Nested_Event_Loop/server.cpp:
          No need to pass in empty orb name and destroy the ORB when
          ready.

Wed Apr 25 07:07:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2356_Regression/*:
          New regression for bug 2356

Tue Apr 24 18:35:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Compression/Compression.pidl:
        * tao/Compression/zlib/ZlibCompressor_Factory.cpp:
        * tests/Compression/server.cpp:
          Added COMPRESSORID_ for all id constants to make them more unique

Tue Apr 24 13:17:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2201_Regression/tests.cpp:
          Added orb->destroy(), then the test exists on VxWorks

Tue Apr 24 13:05:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/POA/Policies/Policies.cpp:
          Added orb->destroy(), then the test exists on VxWorks

Tue Apr 24 13:05:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/POA/Current/Current.cpp:
          Added orb->destroy(), then the test exists on VxWorks

Tue Apr 24 12:06:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Compression/Compression.pidl:
        * tao/Compression/zlib/ZlibCompressor_Factory.cpp:
        * tests/Compression/server.cpp:
          Made the CompressorId an unsigned short and define constants
          for the predefined compressor ids. Thanks to Ossama for proposing
          this change. This fixed bugzilla bug 2910.

Tue Apr 24 11:54:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2678_Regression/Bug_2678_Regression.mpc:
          Don't build server when using CORBA/e micro

Tue Apr 24 09:22:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Messaging/AMI_Arguments_Converter_Impl.cpp:
          Implemented the convert_reply. When there is a reply
          dispatcher (set in the collocated case), we do invoke the
          reply dispatcher to call the reply handler. This fixes
          bugzilla 2806

        * tao/Messaging/Asynch_Invocation_Adapter.cpp:
          In case doing a collocated AMI call set the reply
          dispatcher in the operation details. This is needed to
          call the reply dispatcher after the servant has been
          invoked.

        * tao/operation_details.h:
        * tao/operation_details.inl:
          Added reply dispatcher as optional member with get/set
          methods

        * tao/CDR.cpp:
        * tao/Collocated_Invocation.h:
        * tao/Endpoint_Selector_Factory.h:
        * tao/GIOP_Message_Generator_Parser_10.cpp:
        * tao/IIOP_Acceptor.cpp:
        * tao/Invocation_Adapter.cpp:
        * tao/Messaging/ExceptionHolder_i.h
          Layout change

        * tao/DynamicInterface/DII_Reply_Dispatcher.h:
          Fixed typo in comment

        * tao/Messaging/Connection_Timeout_Policy_i.cpp:
        * tao/TAO_Server_Request.inl:
          Use true/false

        * tao/Messaging/Messaging.h:
        * tao/Messaging/Asynch_Invocation_Adapter.cpp:
        * tao/Messaging/Asynch_Reply_Dispatcher.cpp:
        * tao/Messaging/Asynch_Reply_Dispatcher.h:
        * tao/Messaging/Asynch_Invocation_Adapter.h:
          We do call the reply handler stub instead of skeleton, so did
          some rename actions

        * tao/PortableServer/Servant_Base.cpp:
          Catch const exception

        * tao/TAO_Server_Request.h:
          Documentation update

Tue Apr 24 07:50:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/DIOP/run_test.pl:
          Improved for cross host testing

        * tests/Bug_2805_Regression/client.cpp:
          Added some more debug statements and made the reply count
          an atomic op because it is updated by multiple threads and
          could lead to invalid results

Mon Apr 23 14:16:00 UTC 2007  Simon Massey  <sma@prismtech.com>

        * tests/RTCORBA/Banded_Connections/server.cpp:
          Get rid of assert and throw/return an error report!

Mon Apr 23 12:03:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_operation/ami_handler_reply_stub_operation_ch.cpp:
          Improved layout of generated code

Mon Apr 23 11:16:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Big_Oneways/run_test.pl:
        * tests/Big_Twoways/run_test.pl:
        * tests/Bug_2349_Regression/run_test.pl:
        * tests/Bug_2494_Regression/run_test.pl:
        * tests/Bug_2683_Regression/run_test.pl:
        * tests/MT_Server/run_test.pl:
        * tests/Native_Exceptions/run_test.pl:
        * tests/Nested_Event_Loop/run_test.pl:
        * tests/NestedUpcall/Simple/run_test.pl:
        * tests/Parallel_Connect_Strategy/run_test.pl:
        * tests/POA/Persistent_ID/run_test.pl:
          Improved for vxworks testing

Fri Apr 20 14:27:45 UTC 2007  Adam Mitz  <mitza@ociweb.com>

        * tests/Bug_2768_Regression/Bug_2768_Regression.mpc:

          Added the 'corba_messaging' base project since this test uses CORBA
          messaging features.

Fri Apr 20 13:42:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/CORBALOC_Parser.cpp:
        * tao/CORBANAME_Parser.cpp:
        * tao/PI/ORBInitializer_Registry_Impl.cpp:
          Layout changes

        * tao/TAO_Internal.cpp:
          Use prefix increment

        * tao/Transport_Connector.cpp:
          Made debug statements consistent

Fri Apr 20 13:37:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/CollocationLockup/run_test.pl:
          Fixed error in this script

Fri Apr 20 11:43:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1330_Regression/run_test.pl:
          Corrected this script

Fri Apr 20 11:38:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Messaging/AMI_Arguments_Converter_Impl.cpp:
          Fixed compile error

Fri Apr 20 10:00:00 UTC 2007  Simon Massey  <sma@prismtech.com>

        * tests/Oneway_Buffering/test.idl:
        * tests/Oneway_Buffering/client.cpp:
        * tests/Oneway_Buffering/Oneway_Buffering_Admin.cpp:
        * tests/Oneway_Buffering/Oneway_Buffering_Admin.h:

          On slower (long time sliced multi-threaded) systems, the
          old test assumed that all communications between the
          three processes were "instantainious", which allowed the
          client to miss the syncronization with previous attempts,
          which caused it to issue lost message debug. Then the
          lost message was immediatly found on the next itteration
          of the test which caused it to think the policy it wasr
          testing had failed. Basically this modification allows for
          slight delays (only if necessary) when we are expecting the
          various communications to have been sent.

Fri Apr 20 08:05:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Collocated_Arguments_Converter.cpp:
        * tao/PortableServer/Collocated_Arguments_Converter.h:
        * tao/PortableServer/DII_Arguments_Converter.cpp:
        * tao/PortableServer/DII_Arguments_Converter.h:
          Refactored the DII argument to a generic collocated argument
          converter. The issue that was solved for DII is also valid
          for AMI. Also made a method for converting the request and
          one for the reply, converting the reply is now not done yet but
          we do know that also fails.

        * tao/PortableServer/Upcall_Wrapper.cpp:
          Changed how the argument converter is retrieved. Instead of retrieving
          it using service configurator we put a pointer in the operation details
          which is set or not.

        * tao/DynamicInterface/DII_Arguments_Converter_Impl.cpp:
        * tao/DynamicInterface/DII_Arguments_Converter_Impl.h:
          Updated because the DII base class is renamed:

        * tao/DynamicInterface/DII_Invocation_Adapter.cpp:
        * tao/DynamicInterface/DII_Invocation_Adapter.h:
          Added new adapter for oneway DII calls so that this adapter can
          set the DII Argument Converter for DII oneway calls.

        * tao/DynamicInterface/Request.cpp:
          Use false instead of 0, layout changes, use new DII Oneway adapter.

        * tao/DynamicInterface/Request.h:
        * tao/Protocol_Factory.cpp:
        * tao/IIOP_Profile.cpp:
        * tao/PI/PolicyFactoryC.cpp:
          Layout changes

        * tao/DynamicInterface/Request.inl:
          Use false instead of 0

        * tao/DynamicInterface/Server_Request.inl:
          Use static_cast instead of c-style cast

        * tao/IIOP_Connector.cpp:
          Fixed an inconsistent debug statement

        * tao/Invocation_Adapter.cpp:
        * tao/Invocation_Adapter.h:
        * tao/Invocation_Adapter.inl:
          Layout changes and no need to have a member whether we are
          a DII invocation or not

        * tao/Makefile.am:
          Updated for new files

        * tao/Messaging/AMI_Arguments_Converter_Impl.cpp:
        * tao/Messaging/AMI_Arguments_Converter_Impl.h:
          New AMI argument converter

        * tao/Messaging/Asynch_Invocation_Adapter.cpp:
          Use the new AMI argument converter which fixes bugzilla 2805. Also
          use the

        * tao/Messaging/Messaging_Loader.cpp:
          Added include of the AMI Argument converter

        * tao/operation_details.cpp:
        * tao/operation_details.h:
        * tao/operation_details.inl:
          Instead of storing whether we have a DII call or not, we store
          a pointer to a collocated argument converter that is set or not set

        * tao/ORB_Core.cpp:
        * tao/ORB_Core.h:
        * tao/params.cpp:
        * tao/params.h:
        * tao/params.inl:
          Added a new -ORBAMICollication which is default 1. If this is 0,
          then when a collocated AMI invocation is made, the call is converted
          to a remote call so that another thread can handle the servant. Also
          the problems with argument corruption are then gone. This is for
          bugzilla 2351.

        * tao/Profile.h:
          Documentation fix

        * tao/Profile_Transport_Resolver.cpp:
        * tao/Profile_Transport_Resolver.h:
        * tao/PortableServer/POAManager.h:
        * tao/PortableServer/POAManagerFactory.cpp:
          Layout changes

        * tao/Stub.inl:
        * tao/TAO_Server_Request.cpp:
        * tao/TAO_Server_Request.h:
        * tao/TAO_Server_Request.inl:
          Bool changes

        * tao/TkResource/TkResource_Factory.h:
        * tao/QtResource/QtResource_Factory.h:
          Removed not used mutex

        * tao/Valuetype/AbstractBase.cpp:
          Bool change

        * docs/Options.html:
          Document new ORBAMICollocation option, this is default 1 which
          means that when a collocated AMI call is made the servant is invoked
          using the client thread. When this option is no, when a collocated AMI
          call is made, this is converted to a remote call so that a different
          thread can be used to invoke the servant.

Thu Apr 19 18:24:45 UTC 2007  Wallace Zhang  <zhang_w@ociweb.com>

        * orbsvcs/tests/Bug_2248_Regression/Bug_2248_Regression.mpc:

          To resolve the strange "recursive" static initialization
          with SunCC compiler, we have to use '-z now' option in the
          linking stage for the client executable.More debtails see
          the relavent bugzilla entry.

Thu Apr 19 17:12:19 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/driver/drv_preproc.cpp (DRV_sweep_dirs):

          For each directory swept recursively, get its full path
          name and add it to the IDL compiler's internal list of
          include paths. This change makes it unnecessary for the
          user to add a -I option for each directory in the subtree
          whose root is passed to the -r option. Thanks to Abdullah
          Sowayan <abdullah dot sowayan at lmco dot com> for
          reporting the problem.

Thu Apr 19 16:46:01 UTC 2007  Adam Mitz  <mitza@ociweb.com>

        * tests/Sequence_Unit_Tests/run_test.pl:

          Added the -boost and -noboost options to allow the user to determine
          whether or not to run tests that require the Boost unit test library.

Thu Apr 19 13:49:12 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/AMI_Timeouts/run_test.pl:
          Use $PerlACE::wait_interval_for_process_creation

Thu Apr 19 12:43:12 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/examples/CosEC/Simple/run_test.pl:
        * orbsvcs/examples/CosEC/TypedSimple/run_test.pl:
        * orbsvcs/examples/ImR/Advanced/run_test.pl:
        * orbsvcs/examples/LoadBalancing/run_test.pl:
        * orbsvcs/examples/Log/Basic/run_test.pl:
        * orbsvcs/examples/Log/Event/run_test.pl:
        * orbsvcs/examples/Log/Notify/run_test.pl:
        * orbsvcs/examples/Log/RTEvent/run_test.pl:
        * orbsvcs/examples/ORT/run_test.pl:
        * orbsvcs/examples/RtEC/IIOPGateway/consumerec_crash.pl:
        * orbsvcs/examples/RtEC/IIOPGateway/run_test.pl:
        * orbsvcs/examples/RtEC/Simple/run_test.pl:
        * orbsvcs/examples/Security/Send_File/run_test.pl:
        * orbsvcs/performance-tests/LoadBalancing/LBPerf/CPU/default_configuration.pl:
        * orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/default_configuration.pl:
        * orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/run_test.pl:
        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/run_test.pl:
        * orbsvcs/tests/AVStreams/Bidirectional_Flows/run_test.pl:
        * orbsvcs/tests/AVStreams/Component_Switching/run_test.pl:
        * orbsvcs/tests/AVStreams/Full_Profile/run_test.pl:
        * orbsvcs/tests/AVStreams/Latency/run_test.pl:
        * orbsvcs/tests/AVStreams/Modify_QoS/run_test.pl:
        * orbsvcs/tests/AVStreams/Multicast/run_test.pl:
        * orbsvcs/tests/AVStreams/Multicast_Full_Profile/run_test.pl:
        * orbsvcs/tests/AVStreams/Multiple_Flows/run_test.pl:
        * orbsvcs/tests/AVStreams/Pluggable/run_test.pl:
        * orbsvcs/tests/AVStreams/Pluggable_Flow_Protocol/run_test.pl:
        * orbsvcs/tests/AVStreams/Simple_Three_Stage/run_test.pl:
        * orbsvcs/tests/Bug_1334_Regression/run_test.pl:
        * orbsvcs/tests/Bug_1393_Regression/run_test.pl:
        * orbsvcs/tests/Bug_1395_Regression/run_test.pl:
        * orbsvcs/tests/Bug_1436_Regression/run_test.pl:
        * orbsvcs/tests/Bug_1437_Regression/run_test.pl:
        * orbsvcs/tests/Bug_1630_Regression/run_test.pl:
        * orbsvcs/tests/Bug_2247_Regression/run_test.pl:
        * orbsvcs/tests/Bug_2248_Regression/run_test.pl:
        * orbsvcs/tests/Bug_2316_Regression/run_test.pl:
        * orbsvcs/tests/Bug_2800_Regression/run_test.pl:
        * orbsvcs/tests/CosEvent/Timeout/run_test.pl:
        * orbsvcs/tests/EC_Custom_Marshal/run_test.pl:
        * orbsvcs/tests/EC_Multiple/run_test.pl:
        * orbsvcs/tests/EC_Throughput/run_test.pl:
        * orbsvcs/tests/EC_Throughput/run_test_overflow.pl:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/run_test.pl:
        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/run_test.pl:
        * orbsvcs/tests/FaultTolerance/IOGR/run_test.pl:
        * orbsvcs/tests/FT_App/run_test_basic.pl:
        * orbsvcs/tests/FT_App/run_test_demo.pl:
        * orbsvcs/tests/FT_App/run_test_detector.pl:
        * orbsvcs/tests/FT_App/run_test_fault_consumer.pl:
        * orbsvcs/tests/FT_App/run_test_notifier.pl:
        * orbsvcs/tests/FT_App/run_test_registry.pl:
        * orbsvcs/tests/FT_App/run_test_rmnotifier.pl:
        * orbsvcs/tests/FT_App/run_test_rmregistry.pl:
        * orbsvcs/tests/HTIOP/AMI/run_test.pl:
        * orbsvcs/tests/HTIOP/BiDirectional/run_test.pl:
        * orbsvcs/tests/HTIOP/Hello/run_test.pl:
        * orbsvcs/tests/ImplRepo/Bug_689_Regression/run_test.pl:
        * orbsvcs/tests/ImplRepo/locked/run_test.pl:
        * orbsvcs/tests/ImplRepo/NameService/run_test.pl:
        * orbsvcs/tests/ImplRepo/run_test.pl:
        * orbsvcs/tests/ImplRepo/scale/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/Application_Test/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/IDL3_Test/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/IFR_Inheritance_Test/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/IFR_Test/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/Latency_Test/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/Persistence_Test/run_test.pl:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/run_test.pl:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Infrastructure_Controlled/run_test.pl:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/run_test.pl:
        * orbsvcs/tests/Log/Basic_Log_Test/run_test.pl:
        * orbsvcs/tests/Miop/McastHello/run_test.pl:
        * orbsvcs/tests/Notify/Blocking/run_test.pl:
        * orbsvcs/tests/Notify/Bug_1385_Regression/run_test.pl:
        * orbsvcs/tests/Notify/Bug_2561_Regression/run_test.pl:
        * orbsvcs/tests/Notify/Discarding/run_test.pl:
        * orbsvcs/tests/Notify/Ordering/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/Filter/run_test.pl:
        * orbsvcs/tests/Notify/Reconnecting/run_test.pl:
        * orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter/run_test.pl:
        * orbsvcs/tests/Notify/Sequence_Multi_Filter/run_test.pl:
        * orbsvcs/tests/Notify/Structured_Filter/run_test.pl:
        * orbsvcs/tests/Notify/Structured_Multi_Filter/run_test.pl:
        * orbsvcs/tests/Property/run_test.pl:
        * orbsvcs/tests/RTCosScheduling/run_test.pl:
        * orbsvcs/tests/Security/BiDirectional/run_test.pl:
        * orbsvcs/tests/Security/Big_Request/run_test.pl:
        * orbsvcs/tests/Security/Bug_1107_Regression/run_test.pl:
        * orbsvcs/tests/Security/Callback/run_test.pl:
        * orbsvcs/tests/Security/MT_IIOP_SSL/run_test.pl:
        * orbsvcs/tests/Security/MT_SSLIOP/run_test.pl:
        * orbsvcs/tests/Security/MT_SSLIOP/run_test_harsh.pl:
        * orbsvcs/tests/Security/MT_SSLIOP/run_test_heavy.pl:
        * orbsvcs/tests/Security/Secure_Invocation/run_test.pl:
        * orbsvcs/tests/Time/run_test.pl:
          Use $PerlACE::wait_interval_for_process_creation

Thu Apr 19 12:34:12 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * interop-tests/wchar/run_test.pl:
          Use $PerlACE::wait_interval_for_process_creation

Thu Apr 19 12:32:12 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Advanced/ch_12/run_test.pl:
        * examples/Advanced/ch_21/run_test.pl:
        * examples/Advanced/ch_3/run_test.pl:
        * examples/Advanced/ch_8_and_10/run_test.pl:
        * examples/Buffered_AMI/run_test.pl:
        * examples/Buffered_Oneways/run_test.pl:
        * examples/Callback_Quoter/run_test.pl:
        * examples/OBV/Typed_Events/run_test.pl:
        * examples/Persistent_Grid/run_test.pl:
        * examples/PluggableUDP/tests/Performance/run_test.pl:
        * examples/PluggableUDP/tests/SimplePerformance/run_test.pl:
        * examples/RTScheduling/Fixed_Priority_Scheduler/run_test.pl:
        * examples/RTScheduling/MIF_Scheduler/run_test.pl:
        * examples/Simple/bank/run_test.pl:
        * examples/Simple/echo/run_test.pl:
        * examples/Simple/grid/run_test.pl:
        * examples/Simple/time-date/run_test.pl:
        * examples/Simple/time/run_test.pl:
          Use $PerlACE::wait_interval_for_process_creation

Thu Apr 19 12:30:12 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * utils/nslist/run_test.pl:
          Use $PerlACE::wait_interval_for_process_creation

Thu Apr 19 12:28:12 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Callback/run_test.pl:
        * performance-tests/Cubit/TAO/DII_Cubit/run_test.pl:
        * performance-tests/Cubit/TAO/IDL_Cubit/run_test.pl:
        * performance-tests/Cubit/TAO/IDL_Cubit/run_test_lite.pl:
        * performance-tests/Cubit/TAO/MT_Cubit/run_test.pl:
        * performance-tests/Latency/AMH_Single_Threaded/run_test.pl:
        * performance-tests/Latency/AMI/run_test.pl:
        * performance-tests/Latency/Deferred/run_test.pl:
        * performance-tests/Latency/DII/run_test.pl:
        * performance-tests/Latency/DSI/run_test.pl:
        * performance-tests/Latency/Single_Threaded/default_configuration.pl:
        * performance-tests/Latency/Single_Threaded/run_test.pl:
        * performance-tests/Latency/Thread_Per_Connection/run_test.pl:
        * performance-tests/Latency/Thread_Pool/run_test.pl:
        * performance-tests/POA/Implicit_Activation/run_test.pl:
        * performance-tests/Protocols/run_test.pl:
        * performance-tests/RTCorba/Multiple_Endpoints/Orb_Per_Priority/run-test.pl:
        * performance-tests/RTCorba/Multiple_Endpoints/Single_Endpoint/run-test.pl:
        * performance-tests/RTCorba/Oneways/Reliable/run_test.pl:
        * performance-tests/Sequence_Latency/AMH_Single_Threaded/run_test.pl:
        * performance-tests/Sequence_Latency/AMI/run_test.pl:
        * performance-tests/Sequence_Latency/Deferred/run_test.pl:
        * performance-tests/Sequence_Latency/DII/run_test.pl:
        * performance-tests/Sequence_Latency/DSI/run_test.pl:
        * performance-tests/Sequence_Latency/Single_Threaded/default_configuration.pl:
        * performance-tests/Sequence_Latency/Single_Threaded/run_test.pl:
        * performance-tests/Sequence_Latency/Thread_Per_Connection/run_test.pl:
        * performance-tests/Sequence_Latency/Thread_Pool/run_test.pl:
        * performance-tests/Throughput/run_test.pl:
          Use $PerlACE::wait_interval_for_process_creation

Thu Apr 19 05:39:12 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/LocateRequest_Invocation_Adapter.cpp:
          Fixed conversion warning with VxWorks

Thu Apr 19 05:24:12 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/AlternateIIOP/run_test.pl:
          Improved for vxworks testing

        * tests/Bug_1476_Test/client.cpp:
          Layout changes

        * tests/CollocationLockup/CollocationLockup.mpc:
          Removed not needed after

        * tests/CollocationLockup/run_test.pl:
        * tests/MT_Server/run_test.pl:
          Added check whether spawn did work, if not, exit directly instead of
          waiting for an IOR file

        * tests/Native_Exceptions/run_test.pl:
        * tests/NestedUpcall/Simple/run_test.pl:
        * tests/Server_Leaks/run_test.pl:
          Use a perl variable for the base ior filename so that we only define
          it once

Wed Apr 18 19:55:11 UTC 2007  Yan Dai  <dai_y@ociweb.com>

        * TAO_IDL/be/be_visitor_structure/serializer_op_ch.cpp:

          Fixed a bug that does not generate the correct key
          comparison for DCPS KeyLessThan when there are multiple
          DCPS keys.

Wed Apr 18 19:15:12 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/AMI/run_test.pl:
        * tests/AMI_Buffering/run_buffer_size.pl:
        * tests/AMI_Buffering/run_message_count.pl:
        * tests/AMI_Buffering/run_test.pl:
        * tests/AMI_Buffering/run_timeout.pl:
        * tests/AMI_Buffering/run_timeout_reactive.pl:
        * tests/BiDirectional/run_test_ipv6.pl:
        * tests/Big_Request_Muxing/run_test.pl:
        * tests/Blocking_Sync_None/run_test.pl:
        * tests/Bug_1476_Test/run_test.pl:
        * tests/Bug_1535_Regression/run_test.pl:
        * tests/Bug_2183_Regression/run_test.pl:
        * tests/Bug_2429_Regression/run_test.pl:
        * tests/Bug_2678_Regression/run_test.pl:
        * tests/Client_Leaks/run_test.pl:
        * tests/DLL_ORB/run_test.pl:
        * tests/DSI_AMI_Gateway/run_exception_test.pl:
        * tests/DSI_Gateway/run_exception_test.pl:
        * tests/Exposed_Policies/run_test.pl:
        * tests/Faults/run_test.pl:
        * tests/GIOP_Fragments/Java_Big_Reply/run_test.pl:
        * tests/GIOP_Fragments/Java_Big_Request/run_test.pl:
        * tests/InterOp-Naming/run_test.pl:
        * tests/MT_BiDir/run_test.pl:
        * tests/MT_Timeout/run_test.pl:
        * tests/Muxed_GIOP_Versions/run_test.pl:
        * tests/NestedUpcall/Triangle_Test/run_test.pl:
        * tests/Oneway_Buffering/run_buffer_size.pl:
        * tests/Oneway_Buffering/run_message_count.pl:
        * tests/Oneway_Buffering/run_test.pl:
        * tests/Oneway_Buffering/run_timeout.pl:
        * tests/Oneway_Buffering/run_timeout_reactive.pl:
        * tests/Oneway_Timeouts/run_test.pl:
        * tests/Oneways_Invoking_Twoways/run_test.pl:
        * tests/Parallel_Connect_Strategy/run_test.pl:
        * tests/RTCORBA/Dynamic_Thread_Pool/run_test.pl:
        * tests/RTCORBA/Linear_Priority/run_test.pl:
        * tests/RTCORBA/MT_Client_Protocol_Priority/run_test.pl:
        * tests/RTCORBA/Private_Connection/run_test.pl:
        * tests/Typedef_String_Array/run_test.pl:
          Improvements for vxworks cross platform testing and for
          slower test systems like OpenVMS

Wed Apr 18 15:37:09 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/ImplRepo_Service/Activator_Options.cpp:

          Clarify the units accepted by the -e option.

Wed Apr 18 13:01:12 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2791_Regression/MessageFactory.h:
          Fixed fuzz error

Wed Apr 18 12:59:12 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Collocation_Opportunities/Collocation_Opportunities.cpp:
          No need to pass in empty orb name

        * tests/Collocation_Opportunities/run_test.pl:
          Improvements for vxworks cross platform testing

Wed Apr 18 12:50:12 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1330_Regression/run_test.pl:
          Improvements for vxworks cross platform testing

Wed Apr 18 12:38:12 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2084_Regression/run_test.pl:
        * tests/COIOP/run_test.pl:
        * tests/Collocation_Exception_Test/run_test.pl:
        * tests/Collocation_Oneway_Tests/run_test.pl:
        * tests/Collocation_Tests/run_test.pl:
        * tests/DII_Collocation_Tests/oneway/run_test.pl:
        * tests/DII_Collocation_Tests/twoway/run_test.pl:
        * tests/Portable_Interceptors/Collocated/Service_Context_Manipulation/run_test.pl:
          Improvements for vxworks cross platform testing

Wed Apr 18 12:10:12 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/OctetSeq/run_test.pl:
          Increased timeout for vxworks

        * tests/POA/Non_Servant_Upcalls/Non_Servant_Upcalls.cpp:
          Layout changes and removed msvc specific warning disabling

        * tests/POA/Object_Reactivation/Object_Reactivation.cpp:
        * tests/POA/Persistent_ID/server.cpp:
        * tests/POA/POA_Destruction/POA_Destruction.cpp:
          Layout changes, no need to pass in empty orb name

        * tests/Policies/Manipulation.cpp:
          Layout changes

Wed Apr 18 11:39:12 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2791_Regression/run_test.pl:
          Updated to run under VxWorks

        * tests/Bug_2289_Regression/run_test.pl:
          Don't use LocalFile for the executables

Wed Apr 18 10:23:00 UTC 2007  Ian Roberts  <ir@prismtech.com>

        * tao/Valuetype/Valuetype_Adapter_Impl:
          Fix for Bug 2791, resolving a memory leak when
          unregistering a value factory.

        * tests/Bug_2791_Regression/*:
          New regression test to cover Bug 2791.

Wed Apr 18 10:20:12 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/FoxResource.mpc:
        * tao/FoxResource/*:
          New Fox Toolkit support library. Thanks to
          Dmitriy Nikitinskiy <nick at bel dot ru> for providing these
          files. This fixes bugzilla 1400.

Tue Apr 17 16:05:50 UTC 2007 Yan Dai  <dai_y@ociweb.com>

        * tao/DynamicAny/DynEnum_i.cpp:

          Use .in() on the var to avoid warnings from some
          platforms.

Tue Apr 17 14:29:52 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/tests/ImplRepo/Bug_689_Regression/run_test.pl:

          Increased the timeouts for slower machines.

Tue Apr 17 13:53:03 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tests/Bug_2702_Regression/run_test.pl:

          Remove a portion of the path to perl when running on VMS.

Tue Apr 17 13:41:49 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * performance-tests/Cubit/TAO/MT_Cubit/Globals.cpp:

          Use ACE_SCOPE_THREAD on BSD instead of ACE_SCOPE_PROCESS. It's
          not supported.

Tue Apr 17 13:20:14 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/tests/ImplRepo/Bug_689_Regression/run_test.pl:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/run_test.pl:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Infrastructure_Controlled/run_test.pl:

          Added missing kill's for when things go wrong.

Tue Apr 17 13:17:12 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2768_Regression/server.cpp:
          Use orb->run

        * tao/LocateRequest_Invocation.h:
          Use public inheritance

        * tao/LocateRequest_Invocation_Adapter.{h,cpp}:
          Fixed handling of a location forward. This fixes bugzilla
          2768. Thanks to Markus Henschel <m dot henschel at bally-wulff dot de>
          for reporting this problem

Tue Apr 17 13:05:52 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/tests/ImplRepo/run_test.pl:

          Added a missing kill of the ImplRepo_Service for the airplane_ir
          test when the ImR_Activator fails to start.

Tue Apr 17 12:09:12 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2768_Regression/*:
          New regression which is failing at this moment, thanks to
          Markus Henschel <m dot henschel at bally-wulff dot de> for making this
          regression.

        * tests/Big_Oneways/run_test.pl:
          Corrected these scripts for VxWorks cross host testing

Tue Apr 17 12:01:56 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/Event_Service/Event_Service.cpp:

          Added an option, -a, to use the thread-per-consumer dispatching
          strategy instead of the default dispatching strategy.

        * orbsvcs/ImplRepo_Service/Activator_Options.h:
        * orbsvcs/ImplRepo_Service/Activator_Options.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Activator_i.h:
        * orbsvcs/ImplRepo_Service/ImR_Activator_i.cpp:

          Added a new option, -e, to the ImR_Activator to set the
          environment buffer length for activated servants.  The default
          value, 16kb, is based on the ACE_Process_Options default value.

        * orbsvcs/tests/ImplRepo/run_test.pl:

          Added a usage of the -e option.

Tue Apr 17 08:16:12 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/ImplRepo/Bug_689_Regression/Bug_689_Regression.mpc:
          Added missing after

Tue Apr 17 08:14:12 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2678_Regression/run_test.pl:
        * tests/Bug_2683_Regression/run_test.pl:
        * tests/DIOP/run_test.pl:
        * tests/GIOP_Fragments/PMB_With_Fragments/run_test.pl:
        * tests/InterOp-Naming/run_test.pl:
          Fixed variable to be used for VxWorks target name

Tue Apr 17 07:46:12 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1476_Regression/run_test.pl:
        * tests/Bug_2084_Regression/run_test.pl:
        * tests/Bug_2494_Regression/run_test.pl:
        * tests/Collocation/run_test.pl:
        * tests/IORManipulation/run_test.pl:
        * tests/Native_Exceptions/run_test.pl:
        * tests/Optimized_Connection/run_test.pl:
        * tests/Queued_Message_Test/run_test.pl:
        * tests/Stack_Recursion/run_test.pl:
          Corrected these scripts for VxWorks cross host testing

Tue Apr 17 07:33:12 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1476_Regression/run_test.pl:
        * tests/Bug_2494_Regression/run_test.pl:
        * tests/Bug_2542_Regression/run_test.pl:
          Corrected these scripts for VxWorks cross host testing

Tue Apr 17 07:25:12 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2201_Regression/run_test.pl:
        * tests/Bug_2289_Regression/run_test.pl:
          Corrected these scripts for VxWorks cross host testing

Tue Apr 17 07:06:12 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/ServantRetentionStrategyRetain.cpp:
          Removed not needed check for CORBA/e

Mon Apr 16 18:41:16 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * docs/tutorials/Quoter/Simple/Persistent/index.html:
        * docs/tutorials/Quoter/Simple/ImprovedServer/index.html:
        * docs/tutorials/Quoter/Simple/Impl-Repo/index.html:
        * docs/tutorials/Quoter/Simple/Client/index.html:
        * docs/tutorials/Quoter/Simple/Server/index.html: Updated the
          documentation to use MPC files rather than makefiles.  Thanks to
          Bill Bruns <bruns dot bill at gmail dot com> for noticing this
          and Johnny Willemsen for suggesting the MPC update.

Mon Apr 16 18:03:55 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tao/PortableServer/ServantRetentionStrategyRetain.cpp:
        * tests/CORBA_e_Implicit_Activation/server.cpp:

          When attempting to implicitly activate an object, the
          PortableServer::POA::WrongPolicy should be thrown when using CORBA/e
          This fixes bug 2853.

Mon Apr 16 14:43:56 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2702_Regression/run_test.pl:
          Try to get this working for vxworks

        * tests/DIOP/run_test.pl:
          Fix for VxWorks testing

Mon Apr 16 13:05:59 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tests/CSD_Strategy_Tests/TP_Test_3/run_test.pl:

          If a client fails, start wrapping up the test instead of waiting a
          minute for each client to finish.  Otherwise, it could take quite
          a long time for the test to finish if all the clients are timing
          out.

Mon Apr 16 13:01:00 UTC 2007 Simon Massey  <sma@prismtech.com>

        * tao_idl/be/be_visitor_constant/constant_cs.cpp:

          Add CORBA complient storeage emmition even when class
          static const int are declared inline in the header class.
          This fixes a CORBA non-complience however it uncovered
          some platforms (noteably Microsoft) where the compiler
          was non- C++ complient in that it always provides storeage
          for such constants at the point they are seen at the
          declaration (in the header). The standard C++ states that
          if storage is required (and it doesn't have to be) it should
          be defined (i.e. allocated) in the definition (i.e. the
          .cpp file as well as declared in the header).

Mon Apr 16 12:04:56 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/DIOP/run_test.pl:
          Updated for VxWorks cross host testing

        * tests/Persistent_ID/run_test.pl:
          Use PerlACE::LocalFile

        * tests/OctetSeq/run_test.pl:
          Run the performance test on the target system when using
          VxWorks cross host testing

        * tests/Abstract_Interface/client.cpp:
          No need to pass in an empty orb name

Mon Apr 16 11:47:56 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Collocation_Exception_Test/run_test.pl:
        * tests/CollocationLockup/run_test.pl:
        * tests/GIOP_Fragments/PMG_With_Fragments/run_test.pl:
        * tests/Permanent_Forward/run_test.pl:
          Corrected these scripts for VxWorks cross host testing

Mon Apr 16 11:27:56 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1693_Test/run_test.pl:
        * tests/Sequence_Unit_Tests/run_test.pl:
        * tests/Big_Twoways/run_test.pl:
          Corrected these scripts for VxWorks cross host testing

Mon Apr 16 11:22:32 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/tests/ImplRepo/Bug_689_Regression/Bug_689_Regression.mpc:

          Set IDL_Flags to empty in client and server.  The idl was already
          processed in the *idl project and leaving them in caused problems
          with parallel builds.

Mon Apr 16 11:12:56 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/OBV/Simple/run_test.pl:
          Corrected this script for VxWorks cross host testing

Sun Apr 15 18:38:56 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        Reverted the change below, it does breaks support for
        recursive structs when TAO is the client. With this change the Recursive
        Any should succeed again.

        Thu Apr 12 10:52:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>
        * tao/AnyTypeCode/Any_Unknown_IDL_Type.cpp:
        * tao/AnyTypeCode/TypeCode_CDR_Extraction.cpp:
          Added patches for bug 2678, thanks to Alexander Kornienko
          <alexfh at gmail dot com> for creating the patch and the
          starter test program for this bug. Thanks to
          Dale Boan <boan at sedsystems dot ca> for creating the initial
          report and Ben Mohlenhoff <Benjamin_A_Mohlenhoff at raytheon dot com>
          for letting us know that the patched also worked for their setup.

Sun Apr 15 06:18:56 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/AMI/client.cpp:
        * tests/AMI/AMI.mpc:
        * tests/AMI/run_test.pl:
        * tests/Bug_2805_Regression/*:
          Moved test for bug 2805 to its own regression, now the AMI
          test should succeed again, but 2805 is failing

Sun Apr 15 06:01:56 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Any/Recursive/Test.idl:
        * tests/Any/Recursive/client.cpp:
        * tests/Bug_2844_Regression/*:
          Moved regression for bug 2844 to its own file

Sat Apr 14 20:22:13 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tests/DynAny_Test/test_dynenum.cpp:

          Removed old exception macros.

Sat Apr 14 19:00:56 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Any/Recursive/Test.idl:
        * tests/Any/Recursive/client.cpp:
          Removed regression for bug 2804, this has now its own test program

Sat Apr 14 18:57:56 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2804_Regression/*:
          Moved the test for bug 2804 from Any/Recursive to its own seperate test, makes
          it easier to reproduce and I am moving all known issues outside of the
          Any/Recursive test so that we can make sure that things that do work keep
          working

Fri Apr 13 19:47:56 UTC 2007 Yan Dai  <dai_y@ociweb.com>

          Fixed several bugs in DynamicAny (See bugzilla #2896).

        * tao/DynamicAny/DynAny_i.cpp:
        * tao/DynamicAny/DynAnyFactory.cpp:

          Added DynamicAny support for longdouble type.

        * tao/DynamicAny/DynUnion_i.cpp:

          Fixed bug in destroy() that does not check if the member is nil
          to destroy.  This causes crash when union has no active
          member.

        * tao/DynamicAny/DynEnum_i.cpp:

          Fixed bug in
          get_as_string/set_as_string/get_as_ulong/set_as_ulong that do
          not strip the alias to find the member information. This causes
          the problem when calling these functions for typedefed enums
          encapsulated in structs.

        * tao/DynamicAny/DynCommon.cpp:

          Moved out ACE_static_cast from "if" statement in next() method
          to avoid strange problem "coredump from signal 10" on
          sunos58_gcc3.2.1_d0o1 build.

        * tests/DynAny_Test/da_tests.idl:
        * tests/DynAny_Test/data.cpp:
        * tests/DynAny_Test/data.h:
        * tests/DynAny_Test/DynAny_Test.mpc:
        * tests/DynAny_Test/test_dynany.cpp:
        * tests/DynAny_Test/test_dynenum.cpp:
        * tests/DynAny_Test/test_dynstruct.cpp:
        * tests/DynAny_Test/test_dynunion.cpp:

          Added test cases for above bug fixes.

Fri Apr 13 16:38:36 UTC 2007  Wallace Zhang  <zhang_w@ociweb.com>

        * tao/ORB_Core.cpp:

          Reverted my change immediately because I am not quite sure about
          the name convention/usage here, need more research:
                                        Fri Apr 13 16:29:47 UTC 2007  Wallace Zhang  <zhang_w@ociweb.com>

Fri Apr 13 16:29:47 UTC 2007  Wallace Zhang  <zhang_w@ociweb.com>

        * tao/ORB_Core.cpp:

          Corrected the valuetype_adapter_factory_name_.

Fri Apr 13 12:35:40 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:

          When starting a server, only reset the ImR_Activator information
          if we are certain that the activator is completely non-responsive.
          There is no test associated with this fix since it would require
          that the activator be temporarily unresponsive (i.e., cause a
          CORBA::TRANSIENT to be thrown).  In any event, this change can not
          make things less reliable since we're in an exceptional situation
          from the start.

          Thanks to Richard Ridgway <Richard_Ridgway at ml dot com> for
          reporting this (bug 2833) and providing the fix.

Fri Apr 13 04:56:08 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * examples/Load_Balancing_persistent/Load_Balancer_i.cpp

          Switch to using naked new instead of macro for placement new
          operations.

Thu Apr 12 19:11:31 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/orbsvcs/Notify/EventType.h:
        * orbsvcs/orbsvcs/Notify/EventType.inl:
        * orbsvcs/orbsvcs/Notify/EventType.cpp:

          Modified the equivalence operator to match wildcards on the
          domain_name and event_type (instead of a straight string compare).

        * orbsvcs/orbsvcs/Notify/Event_Map_T.inl:

          Since an event type can be equivalent to another and not hash to
          the same thing, we must iterate over the map if a find() on the
          ACE_Hash_Map_Manager doesn't return an entry.

          These changes fix bug 1385.

Thu Apr 12 17:27:44 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/tests/Notify/Bug_1385_Regression/Notify_Structured_Push_Consumer.cpp:

          Changed to use the subscription_change() method from the base
          class instead of calling it directly on the proxy.

        * orbsvcs/tests/Notify/Bug_1385_Regression/Structured_Supplier.cpp:

          Fixed the domain_name and type_name on the event header.

Thu Apr 12 15:09:49 UTC 2007  Wallace Zhang  <zhang_w@ociweb.com>

        * tao/DynamicInterface/DII_Arguments.h:

          Changed the lazy_evaluation_ data member back to non-const.
          Because the CORBA::NVList::_tao_incoming_cdr(TAO_InputCDR&, int, bool&)
          will need to modify its value.
          This reverted: Thu Apr 12 10:52:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>
          * tao/DynamicInterface/DII_Arguments.h:
            Const improvement

Thu Apr 12 13:53:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/DynamicInterface/DII_Reply_Dispatcher.cpp:
        * tao/Profile.cpp:
          Layout changes

Thu Apr 12 13:44:12 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * configure.ac:
        * orbsvcs/tests/Notify/Bug_1385_Regression/Bug_1385_Regression.mpc:
        * orbsvcs/tests/Notify/Bug_1385_Regression/Makefile.am:
        * orbsvcs/tests/Notify/Bug_1385_Regression/Notify_Structured_Push_Consumer.h:
        * orbsvcs/tests/Notify/Bug_1385_Regression/Notify_Structured_Push_Consumer.cpp:
        * orbsvcs/tests/Notify/Bug_1385_Regression/Structured_Consumer.cpp:
        * orbsvcs/tests/Notify/Bug_1385_Regression/Structured_Supplier.cpp:
        * orbsvcs/tests/Notify/Bug_1385_Regression/go.idl:
        * orbsvcs/tests/Notify/Bug_1385_Regression/notify.conf:
        * orbsvcs/tests/Notify/Bug_1385_Regression/notify.conf.xml:
        * orbsvcs/tests/Notify/Bug_1385_Regression/run_test.pl:
        * orbsvcs/tests/Notify/Makefile.am:

          Added a new test to demonstrate the subscription_change() does not
          work properly (bug 1385).

Thu Apr 12 12:00:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/POA/DSI/Database_i.{h,cpp}:
          Added nothrow new/delete operators

Thu Apr 12 10:52:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/AnyTypeCode/Any_Unknown_IDL_Type.cpp:
        * tao/AnyTypeCode/TypeCode_CDR_Extraction.cpp:
          Added patches for bug 2678, thanks to Alexander Kornienko
          <alexfh at gmail dot com> for creating the patch and the
          starter test program for this bug. Thanks to
          Dale Boan <boan at sedsystems dot ca> for creating the initial
          report and Ben Mohlenhoff <Benjamin_A_Mohlenhoff at raytheon dot com>
          for letting us know that the patched also worked for their setup.

        * tao/DynamicInterface/DII_Arguments.h:
          Const improvement

        * tao/DynamicInterface/ExceptionList.inl:
          Removed not needed cast and use C++ casts

        * tao/IOR_Parser.h:
          Documentation improvement

        * tao/Pluggable_Messaging_Utils.inl:
          Use false instead of 0

        * tao/Stub.h:
          Layout changes

        * tao/GIOP_Message_Base.cpp:
        * tao/Profile.h:
          Layout changes

Thu Apr 12 06:25:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2678_Regression/client.cpp:
          Fixed typo in include

Wed Apr 11 18:31:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2678_Regression/*:
          New regression test, it needs a C# client as reproducer, that will
          not work, so I am reusing parts of the PMB GIOP test to emulate
          a client but this is not working 100% perfect. When it works perfect
          I will enable the regression test in the test suite.

Wed Apr 11 13:32:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/AMI/ami_test_i.cpp:
          Fixed small bug in this test code that could lead to an
          incorrect return value when the parameters are checked.

Wed Apr 11 12:25:17 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/tests/Notify/Makefile.am:

          Changed the build order to get Bug_2561_Regression to build after
          TAO_NotifyTests.

Wed Apr 11 10:14:51 UTC 2007  Vadym Ridosh <vridosh@prismtech.com>

        * tao/IIOP_Acceptor.cpp:

          Previous fix for bug 2871 had a small flaw for IPv4 only server
          setups. This patch fixes this flaw.

Tue Apr 10 09:57:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/DII_Collocation_Tests/twoway/Client_Task.cpp:
        * tests/DII_Collocation_Tests/twoway/Hello.cpp:
        * tests/DII_Collocation_Tests/twoway/Hello.h:
        * tests/DII_Collocation_Tests/twoway/Test.idl:
          Extended this test to test the out arguments and response_received
          method of the request. This test now fails, see bugzilla 2890

Mon Apr  9 21:09:51 UTC 2007  Yan Dai  <dai_y@ociweb.com>

        * docs/transport_current/index.html:

          Corrected the example of service configuration file for
          dynamic loading TransportCurrent library.

Mon Apr  9 13:02:26 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/tests/ImplRepo/Bug_689_Regression/run_test.pl:

          Modified the imr registration command line to take into account
          the different executable locations for non-debug Windows builds.

Mon Apr  9 11:50:35 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/tests/Bug_2248_Regression/Server_Request_Interceptor.cpp:

          Put the ORB id into a CORBA::String_var to avoid memory leaks.

        * orbsvcs/tests/Bug_2248_Regression/run_test.pl:

          Removed an extra ./server in the command arguments.

        * orbsvcs/tests/EC_Throughput/ECT_Supplier.cpp:

          When disconnecting the consumer, ignore exceptions as the consumer
          may already be gone by that time.

        * orbsvcs/tests/FT_App/run_test_demo.pl:

          This script defaults to "Release" executables on Windows, but
          defaults to "Debug" on all other platforms.

        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/Server_Request_Interceptor.cpp:

          Changed the error message to start with ERROR: and to provide
          useful information.

        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/Basic.h:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/Basic.cpp:

          Switched the location_ data member from const char* to
          CORBA::String_var to avoid memory leaks.

        * orbsvcs/tests/Redundant_Naming/run_test.pl:

          Sleep one second before starting the client to allow the redundant
          naming service to get into a usable state.

        * orbsvcs/tests/Simple_Naming/client.h:
        * orbsvcs/tests/Simple_Naming/client.cpp:

          Change name_service_ior_ to a CORBA::String_var to avoid a memory
          leak.

        * tests/OBV/Collocated/Forward/Client_Task.cpp:

          Even though bug 1390 is still reported as broken, the client now
          shuts down the server so the run test script doesn't have to
          time out.

Mon Apr  9 11:29:26 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * configure.ac:

          Added the missing entry for tests/DIOP.

Sun Apr  8 15:46:17 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * tao/Utils/ORB_Manager.cpp:

          duplicate object references passed in the constructor. This fixes
          bugzilla 2887.

          Layout enhancements.

Fri Apr  6 17:58:37 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/tests/FaultTolerance/IOGR/Manager.h:
        * orbsvcs/tests/FaultTolerance/IOGR/Manager.cpp:

          Moved file level statics into the Manager class.  They were being
          destroyed in the wrong order with respect to the object manager
          and the ORB.

Fri Apr  6 14:34:21 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * configure.ac:

          Added the makefiles for the new directories (Bug_689_Regression,
          Bug_1107_Regression, Bug_2561_Regression, Bug_2677_Regression and
          Bug_2735_Regression).

Fri Apr  6 13:46:19 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/tests/Notify/Bug_2561_Regression/Notify_Push_Consumer.cpp:

          Initialize count_ to 0 in the constructor.

Fri Apr  6 14:36:25 UTC 2007  Vadym Ridosh <vridosh@prismtech.com>

        * tao/ORB_Core.cpp:
        * tao/IIOP_Acceptor.cpp:
        * tao/params.h:
        * tao/params.cpp:
        * docs/Options.html:

          Fix for bug 2871. It introduces a new option -ORBUseIPV6LinkLocal
          which is false by default, i.e. no IPv6 link local addresses will
          be used by server ORB.

Fri Apr  6 12:09:37 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/tests/ImplRepo/Bug_689_Regression/Bug_689_Regression.mpc:
        * orbsvcs/tests/ImplRepo/Bug_689_Regression/Makefile.am:
        * orbsvcs/tests/ImplRepo/Bug_689_Regression/server.cpp:

          Added the ImR_Client library so that this test will work on static
          builds.

Thu Apr  5 15:45:30 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/tests/Notify/Bug_2561_Regression/Bug_2561_Regression.mpc:
        * orbsvcs/tests/Notify/Bug_2561_Regression/Consumer.cpp:
        * orbsvcs/tests/Notify/Bug_2561_Regression/Makefile.am:
        * orbsvcs/tests/Notify/Bug_2561_Regression/Notify_Push_Consumer.h:
        * orbsvcs/tests/Notify/Bug_2561_Regression/Notify_Push_Consumer.cpp:
        * orbsvcs/tests/Notify/Bug_2561_Regression/Supplier.cpp:
        * orbsvcs/tests/Notify/Bug_2561_Regression/go.idl:
        * orbsvcs/tests/Notify/Bug_2561_Regression/notify.conf:
        * orbsvcs/tests/Notify/Bug_2561_Regression/notify.conf.xml:
        * orbsvcs/tests/Notify/Bug_2561_Regression/run_test.pl:
        * orbsvcs/tests/Notify/Makefile.am:

          Added a regression test for bug 2561 where a pacing interval of
          100 microseconds is used and two batch consumers are attached to
          the Notify_Service.

        * orbsvcs/tests/Notify/lib/Notify_Test_Client.cpp:

          Avoid destroying the poa and the orb if they're nil.

Thu Apr  5 14:25:10 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tests/Bug_2174_Regression/run_test.pl:
        * tests/Bug_2183_Regression/run_test.pl:
        * tests/Bug_2429_Regression/run_test.pl:
        * tests/Bug_2494_Regression/run_test.pl:
        * tests/Connection_Purging/run_test.pl:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/run_test.pl:
        * tests/Server_Leaks/run_test.pl:
        * tests/Typedef_String_Array/run_test.pl:

          Increased timeouts to allow these to run on slower machines.

Thu Apr  5 13:45:52 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/tests/Notify/Structured_Multi_Filter/Notify_Push_Consumer.cpp:

          Switch to ETCL and use a $prefix on the component name to test bug
          1428.

        * orbsvcs/tests/Notify/Structured_Multi_Filter/notify.conf.xml:

          Converted notify.conf to XML for use with the XML service
          configurator.

Thu Apr  5 13:37:51 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/tests/Notify/Structured_Filter/Structured_Consumer.cpp:

          Change one of the constraint expressions to use a $ prefix on the
          component name to ensure that this works.

Thu Apr  5 11:51:23 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * MPC/config/link_codecfactory.mpb:
        * MPC/config/nolink_codecfactory.mpb:

          Feature projects to link or not link the TAO_CodecFactory.

        * MPC/config/taoexe.mpb:
        * MPC/config/taolib.mpb:

          Inherit from the link_codecfactory base project to allow the user
          to determine if the TAO_CodecFactory will be linked into an
          executable or library that uses TAO.  On QNX, the dynamic
          unloading of the TAO_CodecFactory library at exit causes a core
          dump.  If the library is linked in, the problem is eliminated.

        * tao/AnyTypeCode.mpc:
        * tao/CodecFactory.mpc:
        * tao/Codeset.mpc:

          Inherit from the nolink_codecfactory base project to ensure that
          the TAO_CodecFactory library is not linked into these libraries.
          This would cause a circular link dependency.

Thu Apr  5 11:24:01 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tests/Bug_933_Regression/MessengerClient.cpp:

          Changed to use .in() to avoid warnings from gcc.

Thu Apr  5 11:20:52 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * examples/Load_Balancing_persistent/Identity_Server.cpp:

          Changed to use .in() to avoid warnings from gcc.

Wed Apr  4 19:13:53 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tests/Bug_2735_Regression/server.cpp:

          Avoid string conversion warnings.

Wed Apr  4 19:04:51 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/tests/ImplRepo/Bug_689_Regression/Bug_689_Regression.mpc:
        * orbsvcs/tests/ImplRepo/Bug_689_Regression/Makefile.am:
        * orbsvcs/tests/ImplRepo/Bug_689_Regression/bug_689_regression.idl:
        * orbsvcs/tests/ImplRepo/Bug_689_Regression/bug_689_regression_i.h:
        * orbsvcs/tests/ImplRepo/Bug_689_Regression/bug_689_regression_i.cpp:
        * orbsvcs/tests/ImplRepo/Bug_689_Regression/client.cpp:
        * orbsvcs/tests/ImplRepo/Bug_689_Regression/run_test.pl:
        * orbsvcs/tests/ImplRepo/Bug_689_Regression/server.cpp:
        * orbsvcs/tests/ImplRepo/Makefile.am:

          Added a regression test for bug 689.

Wed Apr  4 16:10:46 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/tests/Security/Bug_1107_Regression/Bug_1107_Regression.mpc:
        * orbsvcs/tests/Security/Bug_1107_Regression/Foo.idl:
        * orbsvcs/tests/Security/Bug_1107_Regression/Foo_i.h:
        * orbsvcs/tests/Security/Bug_1107_Regression/Foo_i.cpp:
        * orbsvcs/tests/Security/Bug_1107_Regression/Makefile.am:
        * orbsvcs/tests/Security/Bug_1107_Regression/README:
        * orbsvcs/tests/Security/Bug_1107_Regression/cacert.pem:
        * orbsvcs/tests/Security/Bug_1107_Regression/client.conf:
        * orbsvcs/tests/Security/Bug_1107_Regression/client.conf.xml:
        * orbsvcs/tests/Security/Bug_1107_Regression/client.cpp:
        * orbsvcs/tests/Security/Bug_1107_Regression/client_cert.pem:
        * orbsvcs/tests/Security/Bug_1107_Regression/client_key.pem:
        * orbsvcs/tests/Security/Bug_1107_Regression/run_test.pl:
        * orbsvcs/tests/Security/Bug_1107_Regression/server.conf:
        * orbsvcs/tests/Security/Bug_1107_Regression/server.conf.xml:
        * orbsvcs/tests/Security/Bug_1107_Regression/server.cpp:
        * orbsvcs/tests/Security/Bug_1107_Regression/server_cert.pem:
        * orbsvcs/tests/Security/Bug_1107_Regression/server_key.pem:
        * orbsvcs/tests/Security/Makefile.am:

          Added a regression test based on the Secure_Invocation test for
          bug 1107.

Wed Apr  4 14:42:01 UTC 2007  Wallace Zhang  <zhang_w@ociweb.com>

        * tao/IFR_Client_Adapter.h:
        * tao/IFR_Client_Adapter.cpp:

          Fixed the dynamic_cast failure in the same way as Ossama and Chris did in
          Wed May 18 16:23:01 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>
          Mon Nov 21 13:21:03 2005  Chris Cleeland  <cleeland_c@ociweb.com>
          In short, I have added an out-of-line virtual destructor to this class.
          Thanks Ossama for his help on this issue.

Wed Apr  4 13:04:25 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/Notify_Service/Notify_Service.cpp:

          Added the missing parameter for %p in an ACE_ERROR_RETURN().

Wed Apr  4 11:40:33 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * MPC/config/utils.mpb:

          Renamed the after setting from Utils to TAO_Utils to reflect the
          change from Tue Apr  3 18:53:54 UTC 2007.

Wed Apr  4 11:36:10 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tests/Bug_2677_Regression/Makefile.am:
        * tests/Bug_2735_Regression/Makefile.am:

          Added missing automake makefiles.

        * tests/Bug_2735_Regression/server.cpp:

          Fixed a compilation error on HP-UX.  They have some pretty simple
          macros defined (e.g., SERVER).

Tue Apr  3 19:08:44 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/orbsvcs/Event/ECG_UDP_Out_Endpoint.inl:

          Added static_cast to avoid conversion warning on MSVC8.

Tue Apr  3 18:53:54 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/Utils.mpc:

          Changed project name from Utils to TAO_Utils to avoid namespace
          pollution, since MPC doesn't accept duplicate project names
          anywhere in the tree during generation.

Tue Apr  3 18:29:29 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tests/Bug_2677_Regression/Bug_2677_Regression.mpc:

          Removed the redundant inheritance of taolib.

        * tests/Bug_2677_Regression/DllORB.h:
        * tests/Bug_2677_Regression/DllORB.cpp:

          Removed the requirement of threads from this test.  It was not
          necessary to exercise the fix for 2677.

Tue Apr  3 16:10:10 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/orbsvcs/Notify/Notify_Constraint_Visitors.cpp:

          Fixed a couple of filtering issues:

          1) If exist was used in the form of "exist $.filterable_data(ident)",
             memory would be leaked in the form of a CORBA::string_dup().
          2) If exist was used in the form of "exist ident", it would never
             match anything.  It now defaults to the looking at the
             filterable data identifiers.

          This fixes bug 1263.

        * orbsvcs/tests/Notify/Structured_Filter/Structured_Consumer.cpp:

          Modified this test to use both forms of exist in the filter.

        * orbsvcs/tests/Notify/Structured_Filter/notify.conf.xml:

          Converted notify.conf to XML for use with the XML service
          configurator.

Tue Apr  3 13:05:52 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tests/Bug_2734_Regression/README:
        * tests/Bug_2734_Regression/run_test.pl:

          Added a regression test for Bug 2734 based on the Timeout test.

Tue Apr  3 12:37:37 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tests/Makefile.am:

          Added Bug_2677_Regression and Bug_2735_Regression to the list of
          sub-directories.

Tue Apr  3 12:09:43 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tao/GIOP_Message_Version.h:
        * tao/GIOP_Message_Version.inl:

          Changed the equality and inequality operators to const (as they
          should have originally been).

Tue Apr  3 11:56:17 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tests/Bug_2677_Regression/DllORB.cpp:

          Removed the call to POAManager::deativate(), it wasn't necessary
          and caused problems for minimum CORBA and CORBA e compact.

Mon Apr  2 18:14:07 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/tests/ImplRepo/airplane_client_i.cpp:
        * orbsvcs/tests/ImplRepo/nestea_client_i.cpp:

          Delete the server_key_ before assigning to it, since memory is
          allocated in the constructor.

        * tao/ImR_Client/ImR_Client.cpp:

          Put the result of poa->the_name () in a CORBA::String_var to
          ensure memory is not leaked.  This happened inside an
          if (TAO_debug_level > 0) statement.

Mon Apr  2 17:52:41 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/ImplRepo_Service/INS_Locator.h:

          Use a TAO_Local_RefCounted_Object instead of CORBA::LocalObject to
          ensure that the INS_Locator is released in the end.

        * orbsvcs/ImplRepo_Service/Locator_Options.cpp:

          Use ImplRepo_Service in the usage instead of ImR_Locator.

Mon Apr  2 15:24:46 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tests/Bug_2735_Regression/run_test.pl:
        * tests/Bug_2735_Regression/server.cpp:

          Modified this test to work with the XML service configurator.

Mon Apr  2 15:00:08 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tests/Bug_2677_Regression/Bug_2677_Regression.mpc:
        * tests/Bug_2677_Regression/DllORB.h:
        * tests/Bug_2677_Regression/DllORB.cpp:
        * tests/Bug_2677_Regression/README:
        * tests/Bug_2677_Regression/bug_2677_regression_export.h:
        * tests/Bug_2677_Regression/run_test.pl:
        * tests/Bug_2677_Regression/server.cpp:

          Added a regression test for Bug 2677 provided by Lothar Wrzinger
          <lothar at tradescape dot biz>.

Mon Apr 2 14:06:12 UTC 2007  Martin Corino  <mcorino@remedy.nl>

        * TAO_IDL/include/idl_global.h:
        * TAO_IDL/fe/lex.yy.cpp:
        * TAO_IDL/fe/idl.ll:
        * TAO_IDL/driver/drv_preproc.cpp:
        * TAO_IDL/util/utl_global.cpp:

          Platform specific changes to make IDL compiler run on both
          OpenVMS Alpha and OpenVMS IA64.

Sun Apr  1 04:03:06 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tests/Bug_2735_Regression/run_test.pl:

          Fixed the command line to work on Windows.

Fri Mar 30 14:49:24 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tests/Bug_2735_Regression/Bug_2735_Regression.mpc:
        * tests/Bug_2735_Regression/run_test.pl:
        * tests/Bug_2735_Regression/server.cpp:

          Added a regression test for Bug 2735 which involves the
          -ORBSvcConfDirective option.

Fri Mar 30 12:25:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Current.cpp:
          Layout changes

Fri Mar 30 12:22:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/compiler.html:
          Removed deprecated flags, fixed typos and updated a few parts

Thu Mar 29 16:50:15 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_type.cpp:
        * TAO_IDL/fe/fe_init.cpp:

          Fixed calls to ACE_String_Base methods set (const char*, bool)
          and reset (bool) to pass a boolean instead of an integer.

Wed Mar 28 16:02:37 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * docs/Options.html: Updated the documentation to explain what the
          -ORBSkipServiceConfigOpen option does.  Thanks to Vance Maverick
          <vmaverick at pgp dot com> for motivating.

Thu Mar 29 13:40:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_codegen.cpp:
          Use the safe include in the anyop header file, not in the source
          file, makes it possible to use a safe include in the diffserv library.

        * tao/DiffServPolicy.mpc:
        * tao/DiffServPolicy/Client_Network_Priority_Policy.cpp:
        * tao/DiffServPolicy/Client_Network_Priority_Policy.h:
        * tao/DiffServPolicy/DiffServ_Network_Priority_Hook.cpp:
        * tao/DiffServPolicy/DiffServPolicy_ORBInitializer.cpp:
        * tao/DiffServPolicy/Server_Network_Priority_Policy.cpp:
        * tao/DiffServPolicy/Server_Network_Priority_Policy.h:
          Use the safe include feature to make sure people have to include
          the correct file to use diffserv

Thu Mar 29 12:14:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/IIOP_Profile.cpp:
          Fixed bug 2869, handling an invalid endpoint string. Thanks to
          Pierre Bisaillon <pierrebizz at hotmail dot com> for reporting this bug

        * tests/Bug_2869_Regression/*:
          New regression for bug 2869

Thu Mar 29 11:13:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/MCast_Parser.{h,cpp,inl}:
        * tao/ORB.cpp:
        * tao/TAO_Internal.cpp:
        * tao/default_resource.cpp:
          Only use the mcast parser when ACE_HAS_IP_MULTICAST is enabled,
          mcast is not available when this define is not set, so no need
          to build this parser when it can't be used. This fixes bugzilla
